-- trigger volaný při vytvoření a aktualizaci položky interního dokladu - aktualizuje položky v daňové evidenci
CREATE OR REPLACE FUNCTION dpolintupdatedanevid()
  RETURNS trigger AS $$
declare
  ZAZNAM record;
begin
  if (tg_op = 'DELETE') then  
    ZAZNAM := OLD;  
  else  
    ZAZNAM := NEW;  
  end if;

  perform uUpdateDanEvid(ZAZNAM.idDoklInt);
  
  return ZAZNAM;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION public.dpolintupdatedanevid() OWNER TO %firmaRole%;

-- navěšení triggeru na tabulku položek interních dokladů
CREATE TRIGGER dpolintupdatedanevid AFTER INSERT OR UPDATE OR DELETE ON dpolint
  FOR EACH ROW EXECUTE PROCEDURE dpolintupdatedanevid();