-- trigger volany pri smazeni obchodni polozky
CREATE OR REPLACE FUNCTION dpolobchdeleterezer()
  RETURNS trigger AS $$
begin
  delete from srezervace where idpolobch = OLD.idpolobch;

  return OLD;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION public.dpolobchdeleterezer() OWNER TO %firmaRole%;

-- navěšení triggeru na tabulku položek obchodnich dokladů
CREATE TRIGGER dpolobchdeleterezer BEFORE DELETE ON dpolobch
  FOR EACH ROW EXECUTE PROCEDURE dpolobchdeleterezer();