/**
 * pricte obrat danoveho naklady v tabulce uObraty
 *
 * @author jdrahos
 */
create or replace function mDanNaklInsert() returns trigger as $$
declare
  mena integer;
begin
  select leasing.idMeny into mena from mleasing leasing where NEW.idleasing = leasing.idleasing;

  execute createOrUpdateObraty(NEW.Ucetni, false, NEW.DatUcto, NEW.idZklMdUcet, NEW.idZklDalUcet,
        mena, NEW.idStred, NEW.sumZkl, NEW.sumZklMen);

  return NEW;
end;
$$ LANGUAGE plpgsql;

drop trigger if exists mDanNaklInsert on mdannakl;

create trigger mDanNaklInsert before insert on mdannakl
for each row execute procedure mDanNaklInsert();