---------------------------------------------------------------
-- Bug 45470 - Flexibee mzdy - oprava srážek na výplatní pásce
---------------------------------------------------------------
 create or replace function runupgrade()
   returns void as $$
 declare
   stat character varying(10);
 begin
   select a.uuid into stat from nnastav n 
     left join utyporg u on u.idtyporg = n.idtyporg
     left join astaty a on a.idstatu = u.idstatu
   order by coalesce(n.platioddata, '1900-01-01') desc limit 1;
 
   if (stat = 'CZ_CZ') then

UPDATE pmzdcalc SET cisrad = 539 WHERE idmzdcalc = 7231;
UPDATE pmzdcalc SET cisrad = 539 WHERE idmzdcalc = 7911;
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (8124, '2016-05-24 00:00:00.000', '18', 'Příspěvek firmy na penzijní a životní pojištění do limitu', true, 538, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 8, 249, 135);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (8125, '2016-05-24 00:00:00.000', '18', 'Příspěvek firmy na penzijní a životní pojištění do limitu', true, 538, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 9, 249, 135);
DELETE FROM pmzdcalc WHERE idmzdcalc = 7232;
DELETE FROM pmzdcalc WHERE idmzdcalc = 7912;

PERFORM pg_catalog.setval('seq_pmzdcalc', 8125, true);

   end if;
 end;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;
 
 select runupgrade();
   
 drop function runupgrade();

  -- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 1014, 't', %appVersion%, clock_timestamp());