-------------------------------------------------------------------------------
-- Bug 39250 - Doklady s vygenerovanými čísly balíků nejdou smazat 
-------------------------------------------------------------------------------
SELECT drop_constraint_if_exists('dcislobal', 'dcislobal_iddoklfak');
SELECT drop_constraint_if_exists('dcislobal', 'dcislobal_iddoklobch');
SELECT drop_constraint_if_exists('dcislobal', 'dcislobal_iddoklsklad');

ALTER TABLE dcislobal
  ADD CONSTRAINT dcislobal_iddoklfak FOREIGN KEY (iddoklfak)
      REFERENCES ddoklfak (iddoklfak) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade,
  ADD CONSTRAINT dcislobal_iddoklobch FOREIGN KEY (iddoklobch)
      REFERENCES ddoklobch (iddoklobch) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade,
  ADD CONSTRAINT dcislobal_iddoklsklad FOREIGN KEY (iddoklsklad)
      REFERENCES ddoklsklad (iddoklsklad) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade;
      
-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 1032, 't', %appVersion%, clock_timestamp());
