-------------------------------------------------------------------------
-- Bug 45341 - Přejmejovat GE Money Bank na Moneta Money Bank k 1. květnu 
-------------------------------------------------------------------------
create or replace function runupgrade()
    returns void as $$
declare
    stat character varying;
begin
    select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
        where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
    
    if (stat = 'CZ_CZ') then
        update asmerkod set nazev = 'Moneta Money Bank', lastupdate = '2016-09-25' where kod = '0600';
    end if;
 end;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 1045, 't', %appVersion%, clock_timestamp());