-- Oprava kurzovych mnozstvi - bug 11072
UPDATE umeny SET kurzmnozstvi=100 WHERE kod in ('JPY', 'HUF');

INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('BRL', 'Brazilský real', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('CNY', 'Čínský jüan', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('EEK', 'Estonská koruna', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('PHP', 'Filipínské peso', 0, 9999, '2008-11-04', true, 100);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('HKD', 'Hongkongský dolar', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('IDR', 'Indonéská rupie', 0, 9999, '2008-11-04', true, 1000);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('ISK', 'Islandská koruna', 0, 9999, '2008-11-04', true, 100);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('ZAR', 'Jihoafrický rand', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('KRW', 'Jihokorejský won', 0, 9999, '2008-11-04', true, 100);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('LTL', 'Litevský lit', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('LVL', 'Lotyšský lat', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('MYR', 'Malajsijský ringgit', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('MXN', 'Mexické peso', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('PLN', 'Polský zlotý', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('RON', 'Rumunský leu', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('RUB', 'Ruský rubl', 0, 9999, '2008-11-04', true, 100);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('SGD', 'Singapurský dolar', 0, 9999, '2008-11-04', true, 1);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('THB', 'Thajský baht', 0, 9999, '2008-11-04', true, 100);
INSERT INTO umeny (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, KurzMnozstvi) 
  VALUES ('TRY', 'Nová turecká lira', 0, 9999, '2008-11-04', true, 1);


-- Oprava peneznich ustavu - bug 11407

-- zanikle
UPDATE asmerkod SET PlatiDo = 2007 WHERE kod = '0400';
UPDATE asmerkod SET PlatiDo = 1998 WHERE kod = '2800';
UPDATE asmerkod SET PlatiDo = 2001 WHERE kod = '3900';
UPDATE asmerkod SET PlatiDo = 2008 WHERE kod = '2400';

-- opravy nazvu
UPDATE asmerkod SET Nazev = 'GE Money Bank a.s.' WHERE kod = '0600';
UPDATE asmerkod SET Nazev = 'Pragobanka a.s.' WHERE kod = '1600';
UPDATE asmerkod SET Nazev = 'eBanka a.s.' WHERE kod = '2400';
UPDATE asmerkod SET Nazev = 'UniCredit Bank Czech Republic a.s.' WHERE kod = '2700';
UPDATE asmerkod SET Nazev = 'ING Bank N. V.' WHERE kod = '3500';
UPDATE asmerkod SET Nazev = 'LBBW Bank CZ a.s.' WHERE kod = '4000';
UPDATE asmerkod SET Nazev = 'Calyon bank Czech republic a.s.' WHERE kod = '5000';
UPDATE asmerkod SET Nazev = 'J&T banka, a.s.' WHERE kod = '5800';
UPDATE asmerkod SET Nazev = 'PPF banka, a.s.' WHERE kod = '6000';
UPDATE asmerkod SET Nazev = 'Banco Popolare Česká republika a.s.' WHERE kod = '6100';
UPDATE asmerkod SET Nazev = 'Raiffeisen stavební spořitelna a.s.' WHERE kod = '7950';
UPDATE asmerkod SET Nazev = 'Modrá pyramida stavební spořitelna a.s.' WHERE kod = '7990';  	 
UPDATE asmerkod SET Nazev = 'Oberbank AG, pobočka Česká republika' WHERE kod = '8040';  	 
UPDATE asmerkod SET Nazev = 'HSBC Bank ČR' WHERE kod = '8150';

-- nove
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('0700', 'Česká národní banka', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('2020', 'Bank of Tokyo-Mitsubishi UFJ (Holland) N.V. Prague Branch, organizační složka', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('6210', 'BRE Bank (mBank)', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('6300', 'Fortis Bank SA/NV, pobočka Česká republika', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('7980', 'Wüstenrot hypoteční banka a.s.', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('2030', 'AKCENTA CZ a.s.', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('2210', 'Banka mezinárodní spolupráce a.s.', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('2010', 'Fio', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('2070', 'Moravský Peněžní Ústav', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('8200', 'Privat Bank AG, pobočka Česká republika', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('2040', 'Unibon spořitelní a úvěrní družstvo', 0, 9999, '2008-11-04', true);
INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show) 
  VALUES ('2050', 'WPB Capital, spořitelní družstvo', 0, 9999, '2008-11-04', true);


-- Oprava nazvu formatu MultiCash - bug 11403
UPDATE delbanformat SET nazev='MultiCash', popis='MultiCash formát' WHERE kod='MLT';


-- zvýšení verze DB
insert into dbversion(iddbversion, dbversion, needreimport) values (nextval('seq_dbversion'), 15, 't')