-- Bug 16679 – [WinStrom] Zaktualizovat ciselnik bank
-----------------------------------------------------

create or replace function runupgrade()
    returns void as
$BODY$
declare
    stat character varying(10);
begin
    select a.uuid into stat from nnastav n  left join
        utyporg u on u.idtyporg = n.idtyporg
        left join astaty a on a.idstatu = u.idstatu
        where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);
    if (stat = 'CZ_CZ') then
        INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, uuid)
          VALUES ('2230', 'AXA Bank Europe, organizační složka', 2008, 9999, '2009-11-19', true, 'CZ_2230');
        INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, uuid)
          VALUES ('9910', 'Centrální depozitář cenných papírů, a.s.', 2009, 9999, '2009-11-19', true, 'CZ_9910');
        INSERT INTO asmerkod (Kod, Nazev, PlatiOd, PlatiDo, LastUpdate, Show, uuid)
          VALUES ('2240', 'Poštová banka, a.s.', 2009, 9999, '2009-11-19', true, 'CZ_2240');
    end if;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 176, 't');