--------------------------------------------------------------------------------
-- Bug 17816 – [WinStrom] Souhrnne hlaseni pro rok 2010
--------------------------------------------------------------------------------

alter table aadresar add column nazevPojistovny character varying(255);

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy, pro vsechny ostatni ji smazeme
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
 
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid)
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 001', 'Finanční úřad pro Prahu 1', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '001', 'Prahu 1', 0, 'CZ_FU_001');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid)
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 002', 'Finanční úřad pro Prahu 2', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '002', 'Prahu 2', 0, 'CZ_FU_002');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid)
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 003', 'Finanční úřad pro Prahu 3', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '003', 'Prahu 3', 0, 'CZ_FU_003');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid)
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 004', 'Finanční úřad pro Prahu 4', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '004', 'Prahu 4', 0, 'CZ_FU_004');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid)
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 005', 'Finanční úřad pro Prahu 5', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '005', 'Prahu 5', 0, 'CZ_FU_005');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid)
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 006', 'Finanční úřad pro Prahu 6', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '006', 'Prahu 6', 0, 'CZ_FU_006');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 007', 'Finanční úřad pro Prahu 7', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '007', 'Prahu 7', 0, 'CZ_FU_007');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 008', 'Finanční úřad pro Prahu 8', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '008', 'Prahu 8', 0, 'CZ_FU_008');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 009', 'Finanční úřad pro Prahu 9', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '009', 'Prahu 9', 0, 'CZ_FU_009');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 010', 'Finanční úřad pro Prahu 10', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '010', 'Prahu 10', 0, 'CZ_FU_010');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 011', 'Finanční úřad pro Prahu - Jižní Město', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '011', 'Prahu - Jižní Město', 0, 'CZ_FU_011');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 012', 'Finanční úřad v Praze - Modřanech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '012', 'Prahu - Modřany', 0, 'CZ_FU_012');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 021', 'Finanční úřad v Benešově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '021', 'Benešově', 0, 'CZ_FU_021');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 022', 'Finanční úřad ve Vlašimi', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '022', 'Vlašimi', 0, 'CZ_FU_022');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 023', 'Finanční úřad ve Voticích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '023', 'Voticích', 0, 'CZ_FU_023');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 026', 'Finanční úřad v Berouně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '026', 'Beroune', 0, 'CZ_FU_026');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 027', 'Finanční úřad v Hořovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '027', 'Hořovicích', 0, 'CZ_FU_027');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 030', 'Finanční úřad v Kladně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '030', 'Kladně', 0, 'CZ_FU_030');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 031', 'Finanční úřad ve Slaném', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '031', 'Slaném', 0, 'CZ_FU_031');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 034', 'Finanční úřad v Kolíně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '034', 'Kolíně', 0, 'CZ_FU_034');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 035', 'Finanční úřad v Českém Brodě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '035', 'Českém Brodě', 0, 'CZ_FU_035');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 038', 'Finanční úřad v Kutné Hoře', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '038', 'Kutné Hoře', 0, 'CZ_FU_038');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 039', 'Finanční úřad v Čáslavi', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '039', 'Čáslavi', 0, 'CZ_FU_039');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 040', 'Finanční úřad v Uhlířských Janovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '040', 'Uhlířských Janovicích', 0, 'CZ_FU_040');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 043', 'Finanční úřad v Mělníce', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '043', 'Mělníce', 0, 'CZ_FU_043');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 044', 'Finanční úřad v Kralupech nad Vltavou', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '044', 'Kralupech nad Vltavou', 0, 'CZ_FU_044');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 045', 'Finanční úřad v Neratovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '045', 'Neratovicích', 0, 'CZ_FU_045');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 048', 'Finanční úřad v Mladé Boleslavi', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '048', 'Mladé Boleslavi', 0, 'CZ_FU_048');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 050', 'Finanční úřad v Mnichově Hradišti', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '050', 'Mnichově Hradišti', 0, 'CZ_FU_050');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 053', 'Finanční úřad v Nymburku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '053', 'Nymburku', 0, 'CZ_FU_053');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 055', 'Finanční úřad v Poděbradech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '055', 'Poděbradech', 0, 'CZ_FU_055');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 057', 'Finanční úřad v Brandýse nad Labem - Staré Boleslavi', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '057', 'Brandýse nad Labem - Staré Boleslavi', 0, 'CZ_FU_057');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 059', 'Finanční úřad v Říčanech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '059', 'Říčanech', 0, 'CZ_FU_059');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 060', 'Finanční úřad Praha - západ', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '060', 'Praha - západ', 0, 'CZ_FU_060');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 063', 'Finanční úřad v Příbrami', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '063', 'Příbrami', 0, 'CZ_FU_063');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 065', 'Finanční úřad v Dobříši', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '065', 'Dobříši', 0, 'CZ_FU_065');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 066', 'Finanční úřad v Sedlčanech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '066', 'Sedlčanech', 0, 'CZ_FU_066');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 069', 'Finanční úřad v Rakovníku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '069', 'Rakovníku', 0, 'CZ_FU_069');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 077', 'Finanční úřad v Českých Budějovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '077', 'Českých Budějovicích', 0, 'CZ_FU_077');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 078', 'Finanční úřad v Trhových Svinech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '078', 'Trhových Svinech', 0, 'CZ_FU_078');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 079', 'Finanční úřad v Týně nad Vltavou', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '079', 'Týně nad Vltavou', 0, 'CZ_FU_079');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 082', 'Finanční úřad v Českém Krumlově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '082', 'Českém Krumlově', 0, 'CZ_FU_082');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 083', 'Finanční úřad v Kaplici', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '083', 'Kaplici', 0, 'CZ_FU_083');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 086', 'Finanční úřad v Jindřichově Hradci', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '086', 'Jindřichově Hradci', 0, 'CZ_FU_086');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 087', 'Finanční úřad v Dačicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '087', 'Dačicích', 0, 'CZ_FU_087');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 088', 'Finanční úřad v Třeboni', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '088', 'Třeboni', 0, 'CZ_FU_088');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 091', 'Finanční úřad v Pelhřimově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '091', 'Pelhřimově', 0, 'CZ_FU_091');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 092', 'Finanční úřad v Humpolci', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '092', 'Humpolci', 0, 'CZ_FU_092');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 094', 'Finanční úřad v Pacově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '094', 'Pacově', 0, 'CZ_FU_094');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 097', 'Finanční úřad v Písku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '097', 'Písku', 0, 'CZ_FU_097');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 098', 'Finanční úřad v Milevsku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '098', 'Milevsku', 0, 'CZ_FU_098');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 101', 'Finanční úřad v Prachaticích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '101', 'Prachaticích', 0, 'CZ_FU_101');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 102', 'Finanční úřad ve Vimperku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '102', 'Vimperku', 0, 'CZ_FU_102');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 105', 'Finanční úřad ve Strakonicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '105', 'Strakonicích', 0, 'CZ_FU_105');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 106', 'Finanční úřad v Blatné', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '106', 'Blatné', 0, 'CZ_FU_106');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 107', 'Finanční úřad ve Vodňanech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '107', 'Vodňanech', 0, 'CZ_FU_107');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 110', 'Finanční úřad v Táboře', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '110', 'Táboře', 0, 'CZ_FU_110');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 111', 'Finanční úřad v Soběslavi', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '111', 'Soběslavi', 0, 'CZ_FU_111');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 118', 'Finanční úřad v Domažlicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '118', 'Domažlicích', 0, 'CZ_FU_118');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 119', 'Finanční úřad v Horšovském Týně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '119', 'Horšovském Týně', 0, 'CZ_FU_119');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 123', 'Finanční úřad v Chebu', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '123', 'Chebu', 0, 'CZ_FU_123');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 124', 'Finanční úřad v Aši', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '124', 'Aši', 0, 'CZ_FU_124');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 125', 'Finanční úřad v Mariánských Lázních', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '125', 'Mariánských Lázních', 0, 'CZ_FU_125');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 128', 'Finanční úřad v Karlových Varech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '128', 'Karlových Varech', 0, 'CZ_FU_128');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 129', 'Finanční úřad v Ostrově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '129', 'Ostrově', 0, 'CZ_FU_129');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 133', 'Finanční úřad v Klatovech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '133', 'Klatovech', 0, 'CZ_FU_133');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 134', 'Finanční úřad v Horažďovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '134', 'Horažďovicích', 0, 'CZ_FU_134');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 135', 'Finanční úřad v Sušici', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '135', 'Sušici', 0, 'CZ_FU_135');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 138', 'Finanční úřad v Plzni', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '138', 'Plzni', 0, 'CZ_FU_138');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 140', 'Finanční úřad Plzeň - jih', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '140', 'Plzeň - Jih', 0, 'CZ_FU_140');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 141', 'Finanční úřad v Blovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '141', 'Blovicích', 0, 'CZ_FU_141');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 142', 'Finanční úřad v Přešticích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '142', 'Přešticích', 0, 'CZ_FU_142');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 145', 'Finanční úřad Plzeň - sever', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '145', 'Plzeň - Sever', 0, 'CZ_FU_145');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 146', 'Finanční úřad v Kralovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '146', 'Kralovicích', 0, 'CZ_FU_146');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 150', 'Finanční úřad v Rokycanech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '150', 'Rokycanech', 0, 'CZ_FU_150');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 155', 'Finanční úřad v Sokolově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '155', 'Sokolově', 0, 'CZ_FU_155');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 157', 'Finanční úřad v Kraslicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '157', 'Kraslicích', 0, 'CZ_FU_157');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 160', 'Finanční úřad v Tachově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '160', 'Tachově', 0, 'CZ_FU_160');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 162', 'Finanční úřad ve Stříbře', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '162', 'Stříbře', 0, 'CZ_FU_162');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 172', 'Finanční úřad v České Lípě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '172', 'České Lípě', 0, 'CZ_FU_172');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 175', 'Finanční úřad v Novém Boru', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '175', 'Novém Boru', 0, 'CZ_FU_175');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 178', 'Finanční úřad v Děčíně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '178', 'Děčíně', 0, 'CZ_FU_178');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 179', 'Finanční úřad v Rumburku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '179', 'Rumburku', 0, 'CZ_FU_179');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 182', 'Finanční úřad v Chomutově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '182', 'Chomutově', 0, 'CZ_FU_182');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 183', 'Finanční úřad v Kadani', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '183', 'Kadani', 0, 'CZ_FU_183');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 187', 'Finanční úřad v Jablonci nad Nisou', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '187', 'Jablonci nad Nisou', 0, 'CZ_FU_187');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 188', 'Finanční úřad v Tanvaldě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '188', 'Tanvaldě', 0, 'CZ_FU_188');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 189', 'Finanční úřad v Železném Brodě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '189', 'Železném Brodě', 0, 'CZ_FU_189');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 192', 'Finanční úřad v Liberci', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '192', 'Liberci', 0, 'CZ_FU_192');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 193', 'Finanční úřad ve Frýdlantě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '193', 'Frýdlantě', 0, 'CZ_FU_193');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 196', 'Finanční úřad v Litoměřicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '196', 'Litoměřicích', 0, 'CZ_FU_196');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 197', 'Finanční úřad v Libochovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '197', 'Libochovicích', 0, 'CZ_FU_197');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 198', 'Finanční úřad v Roudnici nad Labem', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '198', 'Roudnici nad Labem', 0, 'CZ_FU_198');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 201', 'Finanční úřad v Lounech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '201', 'Lounech', 0, 'CZ_FU_201');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 202', 'Finanční úřad v Podbořanech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '202', 'Podbořanech', 0, 'CZ_FU_202');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 203', 'Finanční úřad v Žatci', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '203', 'Žatci', 0, 'CZ_FU_203');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 206', 'Finanční úřad v Mostě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '206', 'Mostě', 0, 'CZ_FU_206');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 207', 'Finanční úřad v Litvínově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '207', 'Litvínově', 0, 'CZ_FU_207');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 210', 'Finanční úřad v Teplicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '210', 'Teplicích', 0, 'CZ_FU_210');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 211', 'Finanční úřad v Bílině', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '211', 'Bílině', 0, 'CZ_FU_211');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 214', 'Finanční úřad v Ústí nad Labem', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '214', 'Ústí nad Labem', 0, 'CZ_FU_214');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 223', 'Finanční úřad v Havlíčkově Brodě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '223', 'Havlíčkově Brodě', 0, 'CZ_FU_223');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 224', 'Finanční úřad v Chotěboři', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '224', 'Chotěboři', 0, 'CZ_FU_224');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 225', 'Finanční úřad v Ledči nad Sázavou', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '225', 'Ledči nad Sázavou', 0, 'CZ_FU_225');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 228', 'Finanční úřad v Hradci Králové', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '228', 'Hradci Králové', 0, 'CZ_FU_228');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 230', 'Finanční úřad v Novém Bydžově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '230', 'Novém Bydžově', 0, 'CZ_FU_230');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 233', 'Finanční úřad v Chrudimi', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '233', 'Chrudimi', 0, 'CZ_FU_233');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 235', 'Finanční úřad v Hlinsku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '235', 'Hlinsku', 0, 'CZ_FU_235');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 238', 'Finanční úřad v Jičíně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '238', 'Jičíně', 0, 'CZ_FU_238');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 239', 'Finanční úřad v Hořicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '239', 'Hořicích', 0, 'CZ_FU_239');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 240', 'Finanční úřad v Nové Pace', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '240', 'Nové Pace', 0, 'CZ_FU_240');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 243', 'Finanční úřad v Náchodě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '243', 'Náchodě', 0, 'CZ_FU_243');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 244', 'Finanční úřad v Broumově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '244', 'Broumově', 0, 'CZ_FU_244');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 245', 'Finanční úřad v Jaroměři', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '245', 'Jaroměři', 0, 'CZ_FU_245');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 248', 'Finanční úřad v Pardubicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '248', 'Pardubicích', 0, 'CZ_FU_248');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 249', 'Finanční úřad v Holicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '249', 'Holicích', 0, 'CZ_FU_249');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 250', 'Finanční úřad v Přelouči', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '250', 'Přelouči', 0, 'CZ_FU_250');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 253', 'Finanční úřad v Rychnově nad Kněžnou', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '253', 'Rychnově nad Kněžnou', 0, 'CZ_FU_253');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 254', 'Finanční úřad v Dobrušce', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '254', 'Dobrušce', 0, 'CZ_FU_254');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 255', 'Finanční úřad v Kostelci nad Orlicí', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '255', 'Kostelci nad Orlicí', 0, 'CZ_FU_255');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 258', 'Finanční úřad v Semilech', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '258', 'Semilech', 0, 'CZ_FU_258');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 259', 'Finanční úřad v Jilemnici', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '259', 'Jilemnici', 0, 'CZ_FU_259');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 260', 'Finanční úřad v Turnově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '260', 'Turnově', 0, 'CZ_FU_260');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 263', 'Finanční úřad ve Svitavách', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '263', 'Svitavách', 0, 'CZ_FU_263');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 264', 'Finanční úřad v Litomyšli', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '264', 'Litomyšli', 0, 'CZ_FU_264');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 265', 'Finanční úřad v Moravské Třebové', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '265', 'Moravské Třebové', 0, 'CZ_FU_265');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 268', 'Finanční úřad v Trutnově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '268', 'Trutnově', 0, 'CZ_FU_268');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 269', 'Finanční úřad ve Dvoře Králové nad Labem', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '269', 'Dvoře Králové nad Labem', 0, 'CZ_FU_269');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 270', 'Finanční úřad ve Vrchlabí', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '270', 'Vrchlabí', 0, 'CZ_FU_270');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 273', 'Finanční úřad v Ústí nad Orlicí', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '273', 'Ústí nad Orlicí', 0, 'CZ_FU_273');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 274', 'Finanční úřad ve Vysokém Mýtě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '274', 'Vysokém Mýtě', 0, 'CZ_FU_274');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 275', 'Finanční úřad v Žamberku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '275', 'Žamberku', 0, 'CZ_FU_275');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 283', 'Finanční úřad v Blansku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '283', 'Blansku', 0, 'CZ_FU_283');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 284', 'Finanční úřad v Boskovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '284', 'Boskovicích', 0, 'CZ_FU_284');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 288', 'Finanční úřad Brno I', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '288', 'Brno I', 0, 'CZ_FU_288');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 289', 'Finanční úřad Brno II', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '289', 'Brno II', 0, 'CZ_FU_289');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 290', 'Finanční úřad Brno III', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '290', 'Brno III', 0, 'CZ_FU_290');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 291', 'Finanční úřad Brno IV', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '291', 'Brno IV', 0, 'CZ_FU_291');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 293', 'Finanční úřad Brno - venkov', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '293', 'Brno - venkov', 0, 'CZ_FU_293');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 294', 'Finanční úřad v Ivančicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '294', 'Ivančicích', 0, 'CZ_FU_294');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 295', 'Finanční úřad v Tišnově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '295', 'Tišnově', 0, 'CZ_FU_295');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 298', 'Finanční úřad v Břeclavi', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '298', 'Břeclavi', 0, 'CZ_FU_298');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 299', 'Finanční úřad v Hustopečích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '299', 'Hustopečích', 0, 'CZ_FU_299');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 300', 'Finanční úřad v Mikulově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '300', 'Mikulově', 0, 'CZ_FU_300');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 303', 'Finanční úřad ve Zlíně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '303', 'Zlíně', 0, 'CZ_FU_303');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 304', 'Finanční úřad v Luhačovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '304', 'Luhačovicích', 0, 'CZ_FU_304');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 305', 'Finanční úřad v Otrokovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '305', 'Otrokovicích', 0, 'CZ_FU_305');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 306', 'Finanční úřad ve Valašských Kloboukách', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '306', 'Valašských Kloboukách', 0, 'CZ_FU_306');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 309', 'Finanční úřad v Hodoníně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '309', 'Hodoníně', 0, 'CZ_FU_309');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 310', 'Finanční úřad v Kyjově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '310', 'Kyjově', 0, 'CZ_FU_310');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 311', 'Finanční úřad ve Veselí nad Moravou', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '311', 'Veselí nad Moravou', 0, 'CZ_FU_311');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 314', 'Finanční úřad v Jihlavě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '314', 'Jihlavě', 0, 'CZ_FU_314');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 317', 'Finanční úřad v Telči', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '317', 'Telči', 0, 'CZ_FU_317');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 320', 'Finanční úřad v Kroměříži', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '320', 'Kroměříži', 0, 'CZ_FU_320');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 321', 'Finanční úřad v Bystřici pod Hostýnem', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '321', 'Bystřici pod Hostýnem', 0, 'CZ_FU_321');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 322', 'Finanční úřad v Holešově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '322', 'Holešově', 0, 'CZ_FU_322');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 325', 'Finanční úřad v Prostějově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '325', 'Prostějově', 0, 'CZ_FU_325');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 326', 'Finanční úřad v Konici', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '326', 'Konici', 0, 'CZ_FU_326');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 330', 'Finanční úřad v Třebíči', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '330', 'Třebíči', 0, 'CZ_FU_330');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 332', 'Finanční úřad v Moravských Budějovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '332', 'Moravských Budějovicích', 0, 'CZ_FU_332');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 333', 'Finanční úřad v Náměšti nad Oslavou', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '333', 'Náměšti nad Oslavou', 0, 'CZ_FU_333');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 336', 'Finanční úřad v Uherském Hradišti', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '336', 'Uherském Hradišti', 0, 'CZ_FU_336');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 338', 'Finanční úřad v Uherském Brodě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '338', 'Uherském Brodě', 0, 'CZ_FU_338');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 341', 'Finanční úřad ve Vyškově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '341', 'Vyškově', 0, 'CZ_FU_341');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 342', 'Finanční úřad v Bučovicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '342', 'Bučovicích', 0, 'CZ_FU_342');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 343', 'Finanční úřad ve Slavkově u Brna', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '343', 'Slavkově u Brna', 0, 'CZ_FU_343');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 346', 'Finanční úřad ve Znojmě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '346', 'Znojmě', 0, 'CZ_FU_346');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 348', 'Finanční úřad v Moravském Krumlově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '348', 'Moravském Krumlově', 0, 'CZ_FU_348');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 351', 'Finanční úřad ve Žďáru nad Sázavou', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '351', 'Žďáru nad Sázavou', 0, 'CZ_FU_351');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 352', 'Finanční úřad v Bystřici nad Pernštejnem', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '352', 'Bystřici nad Pernštejnem', 0, 'CZ_FU_352');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 353', 'Finanční úřad ve Velkém Meziříčí', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '353', 'Velkém Meziříčí', 0, 'CZ_FU_353');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 358', 'Finanční úřad v Bruntále', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '358', 'Bruntále', 0, 'CZ_FU_358');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 359', 'Finanční úřad v Krnově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '359', 'Krnově', 0, 'CZ_FU_359');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 362', 'Finanční úřad ve Frýdku-Místku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '362', 'Frýdku-Místku', 0, 'CZ_FU_362');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 363', 'Finanční úřad ve Frýdlantě nad Ostravicí', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '363', 'Frýdlantě nad Ostravicí', 0, 'CZ_FU_363');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 364', 'Finanční úřad v Třinci', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '364', 'Třinci', 0, 'CZ_FU_364');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 367', 'Finanční úřad v Karviné', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '367', 'Karviné', 0, 'CZ_FU_367');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 368', 'Finanční úřad v Bohumíně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '368', 'Bohumíně', 0, 'CZ_FU_368');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 369', 'Finanční úřad v Českém Těšíně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '369', 'Českém Těšíně', 0, 'CZ_FU_369');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 370', 'Finanční úřad v Havířově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '370', 'Havířově', 0, 'CZ_FU_370');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 371', 'Finanční úřad v Orlové', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '371', 'Orlové', 0, 'CZ_FU_371');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 374', 'Finanční úřad v Novém Jičíně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '374', 'Novém Jičíně', 0, 'CZ_FU_374');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 375', 'Finanční úřad ve Fulneku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '375', 'Fulneku', 0, 'CZ_FU_375');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 376', 'Finanční úřad v Kopřivnici', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '376', 'Kopřivnici', 0, 'CZ_FU_376');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 379', 'Finanční úřad v Olomouci', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '379', 'Olomouci', 0, 'CZ_FU_379');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 380', 'Finanční úřad v Litovli', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '380', 'Litovli', 0, 'CZ_FU_380');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 381', 'Finanční úřad ve Šternberku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '381', 'Šternberku', 0, 'CZ_FU_381');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 384', 'Finanční úřad v Opavě', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '384', 'Opavě', 0, 'CZ_FU_384');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 385', 'Finanční úřad v Hlučíně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '385', 'Hlučíně', 0, 'CZ_FU_385');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 388', 'Finanční úřad Ostrava I', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '388', 'Ostrava I', 0, 'CZ_FU_388');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 389', 'Finanční úřad Ostrava II', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '389', 'Ostrava II', 0, 'CZ_FU_389');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 390', 'Finanční úřad Ostrava III', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '390', 'Ostrava III', 0, 'CZ_FU_390');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 393', 'Finanční úřad v Přerově', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '393', 'Přerově', 0, 'CZ_FU_393');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 394', 'Finanční úřad v Hranicích', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '394', 'Hranicích', 0, 'CZ_FU_394');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 398', 'Finanční úřad v Šumperku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '398', 'Šumperku', 0, 'CZ_FU_398');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 399', 'Finanční úřad v Jeseníku', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '399', 'Jeseníku', 0, 'CZ_FU_399');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 400', 'Finanční úřad v Zábřehu', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '400', 'Zábřehu', 0, 'CZ_FU_400');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 403', 'Finanční úřad ve Vsetíně', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '403', 'Vsetíně', 0, 'CZ_FU_403');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 404', 'Finanční úřad v Rožnově pod Radhoštěm', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '404', 'Rožnově pod Radhoštěm', 0, 'CZ_FU_404');
INSERT INTO aadresar (lastUpdate, kod, nazev, show, platiod, platido, postovnishodna, splatdny, limitfak, platcedph, bonita, typvztahuk, kodpojistovny, nazevpojistovny, pocetpriloh, uuid) 
 VALUES ('2010-01-14 00:00:00.000', 'FÚ - 405', 'Finanční úřad ve Valašském Meziříčí', true, 0, 9999, true, 0, 0.0, false, 0, 'typVztahu.financniUrad', '405', 'Valašském Meziříčí', 0, 'CZ_FU_405');
-- konec ceskeho bloku
end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

alter table nnastav drop column finUrad;
alter table nnastav add column idFinUrad integer;
ALTER TABLE ONLY nnastav ADD CONSTRAINT idFinUradFK FOREIGN KEY (idFinUrad) REFERENCES aadresar(idfirmy);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 236, 't');
