--------------------------------------------------------------------------------
-- Bug 17557 – [WinStrom] Aktualizace kalkulačky na rok 2010
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
-- update inicializacnich radek kalkulacky
-- update radek kalkulacky
UPDATE pmzdcalc SET cisrad = 446 WHERE IdMzdCalc = 307;
UPDATE pmzdcalc SET cisrad = 448 WHERE IdMzdCalc = 308;
UPDATE pmzdcalc SET cisrad = 445 WHERE IdMzdCalc = 358;
UPDATE pmzdcalc SET cisrad = 447 WHERE IdMzdCalc = 359;
UPDATE pmzdcalc SET cisrad = 428 WHERE IdMzdCalc = 454;
UPDATE pmzdcalc SET cisrad = 425 WHERE IdMzdCalc = 495;
UPDATE pmzdcalc SET cisrad = 426 WHERE IdMzdCalc = 496;
UPDATE pmzdcalc SET cisrad = 424 WHERE IdMzdCalc = 514;
UPDATE pmzdcalc SET cisrad = 431 WHERE IdMzdCalc = 516;
UPDATE pmzdcalc SET cisrad = 432 WHERE IdMzdCalc = 517;
UPDATE pmzdcalc SET cisrad = 433 WHERE IdMzdCalc = 518;
UPDATE pmzdcalc SET cisrad = 434 WHERE IdMzdCalc = 519;
UPDATE pmzdcalc SET cisrad = 435 WHERE IdMzdCalc = 520;
UPDATE pmzdcalc SET cisrad = 437 WHERE IdMzdCalc = 521;
UPDATE pmzdcalc SET cisrad = 430 WHERE IdMzdCalc = 537;
UPDATE pmzdcalc SET cisrad = 443 WHERE IdMzdCalc = 538;
UPDATE pmzdcalc SET cisrad = 444 WHERE IdMzdCalc = 550;
UPDATE pmzdcalc SET cisrad = 427 WHERE IdMzdCalc = 628;
UPDATE pmzdcalc SET cisrad = 422 WHERE IdMzdCalc = 632;
UPDATE pmzdcalc SET cisrad = 423 WHERE IdMzdCalc = 633;
UPDATE pmzdcalc SET cisrad = 442 WHERE IdMzdCalc = 634;
UPDATE pmzdcalc SET cisrad = 436 WHERE IdMzdCalc = 635;
UPDATE pmzdcalc SET cisrad = 429 WHERE IdMzdCalc = 636;
UPDATE pmzdcalc SET cisrad = 438 WHERE IdMzdCalc = 650;
UPDATE pmzdcalc SET cisrad = 439 WHERE IdMzdCalc = 653;
UPDATE pmzdcalc SET cisrad = 440 WHERE IdMzdCalc = 654;
UPDATE pmzdcalc SET cisrad = 441 WHERE IdMzdCalc = 655;
UPDATE pmzdcalc SET kod = 'K VÝPLATĚ', nazev = 'Příspěvek firmy na penzijní a životní pojištění do limitu', cisrad = 421, koeficient = -1.0, idmzdslozin = 249, idmzdslozout = 140 WHERE IdMzdCalc = 664;

-- pracovni pomery
-- parametry pro typ prac pom

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 304, 't');
