--------------------------------------------------------------------------------
-- Bug 21343 – [WinStrom] Doplnění sloupečků
--------------------------------------------------------------------------------

-- nejdrive smazat vsechny fifovazby, ktere by tam diky tomuto chybejicimu constraintu mohly byt spatne
update sfifovazby set idvyrobnicislo = null where idvyrobnicislo = -1;
delete from sfifovazby where idvyrobnicislo is not null and idvyrobnicislo not in (select idvyrobnicislo from svyrobnicislo);

ALTER TABLE sfifovazby
  ADD CONSTRAINT sfifovazby_idvyrobnicislo FOREIGN KEY (idvyrobnicislo)
    REFERENCES svyrobnicislo (idvyrobnicislo) MATCH SIMPLE
    ON UPDATE NO ACTION ON DELETE CASCADE;

CREATE INDEX sfifovazby_idvyrobnicislo_index ON sfifovazby USING btree(idvyrobnicislo);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 415, 't', %appVersion%, clock_timestamp());
