--------------------------------------------------------------------------------
-- Bug 21186 – [WinStrom] Zadavani kusovniku neni jednoznacne
--------------------------------------------------------------------------------

DROP FUNCTION findkusovniky(integer);

CREATE OR REPLACE FUNCTION findkusovniky(_idoteccenik integer, _recursive boolean)
  RETURNS SETOF integer AS
$BODY$
declare
  _kus record;
  _subcursor refcursor;
  _subkus record;
begin
  for _kus in (select * from ckusovnik where idoteccenik = _idoteccenik) loop
    return next _kus.idkusovnik;

    if (_kus.idcenik != _idoteccenik and _recursive = true) then
      open _subcursor for select * from findKusovniky(_kus.idcenik);

      loop
        fetch _subcursor into _subkus;
        if NOT FOUND then
          exit;
        end if;

	return next _subkus.findKusovniky;
      end loop;
      close _subcursor;
    end if;
  end loop;
  return;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION findkusovniky(integer, boolean) OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 416, 't', %appVersion%, clock_timestamp());