--------------------------------------------------------------------------------
-- Bug 22098 – [WinStrom] Do typu přijatých objednávek doplnit možnost pro nastavení typu VF
--------------------------------------------------------------------------------

ALTER TABLE dtypdokl ADD COLUMN idtypdoklfak integer;

ALTER TABLE dtypdokl ADD CONSTRAINT dtypdokl_idtypdoklfak FOREIGN KEY (idtypdoklfak)
  REFERENCES dtypdokl (idtypdokl) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX dTypDokl_IdTypDoklFak_index ON dTypDokl USING btree (IdTypDoklFak);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 437, 't', %appVersion%, clock_timestamp());
