--------------------------------------------------------------------------------
-- Bug 23359 – [WinStrom] Lze mazat kontakt, i když je na dokladu použitý
--------------------------------------------------------------------------------

alter table ddoklfak drop constraint doklfak_kontakt_osoba;
alter table ddoklint drop constraint doklint_kontakt_osoba;
alter table ddoklobch drop constraint doklobch_kontakt_osoba;
alter table ddoklsklad drop constraint doklfak_kontakt_osoba;
alter table uzakazky drop constraint zakazky_kontakt_osoba;
alter table amisturc drop constraint misturc_kontakt_osoba;

alter table ddoklfak 
  add constraint doklfak_kontakt_osoba foreign key (idkontaktosoba)
  references akontakty (idkontakt) match simple
  on update no action on delete no action;
alter table ddoklint 
  add constraint doklint_kontakt_osoba foreign key (idkontaktosoba)
  references akontakty (idkontakt) match simple
  on update no action on delete no action;
alter table ddoklobch 
  add constraint doklobch_kontakt_osoba foreign key (idkontaktosoba)
  references akontakty (idkontakt) match simple
  on update no action on delete no action;
alter table ddoklsklad 
  add constraint doklfak_kontakt_osoba foreign key (idkontaktosoba)
  references akontakty (idkontakt) match simple
  on update no action on delete no action;
alter table uzakazky 
  add constraint zakazky_kontakt_osoba foreign key (idkontaktosoba)
  references akontakty (idkontakt) match simple
  on update no action on delete no action;
alter table amisturc 
  add constraint misturc_kontakt_osoba foreign key (idkontaktosoba)
  references akontakty (idkontakt) match simple
  on update no action on delete no action;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 461, 't', %appVersion%, clock_timestamp());
