--------------------------------------------------------------------------------
-- Bug 23285 – [WinStrom] Přidat UUID na doklady
--------------------------------------------------------------------------------

alter table ddoklfak add CONSTRAINT ddoklfak_uuid_unique_key UNIQUE (uuid);
alter table ddoklint add CONSTRAINT ddoklint_uuid_unique_key UNIQUE (uuid);
alter table ddoklobch add CONSTRAINT ddoklobch_uuid_unique_key UNIQUE (uuid);
alter table ddoklsklad add CONSTRAINT ddoklsklad_uuid_unique_key UNIQUE (uuid);

CREATE INDEX ddoklfak_uuid_index ON ddoklfak USING btree (uuid);
CREATE INDEX ddoklint_uuid_index ON ddoklint USING btree (uuid);
CREATE INDEX ddoklobch_uuid_index ON ddoklobch USING btree (uuid);
CREATE INDEX ddoklsklad_uuid_index ON ddoklsklad USING btree (uuid);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 462, 't', %appVersion%, clock_timestamp());
