--------------------------------------------------------------------------------
-- Bug 23478 – [WinStrom] oprava řádku ve slovenském výkazu zisku a ztrát
-- Bug 19357 – [WinStrom] Opravit řádky rozvahy - pro Slováky
-- Bug 22289 – [WinStrom] Zisk v rozvaze a výkazu zisku a ztrát v tisících se nerovná
--------------------------------------------------------------------------------

UPDATE ustducty SET druhuctuk = 'druhUctu.pasivni' WHERE uuid = 'SK_POD_252';
UPDATE ustducty SET druhuctuk = 'druhUctu.pasivni' WHERE uuid = 'SK_POD_255';
UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvo' WHERE uuid = 'SK_POD_330';
UPDATE ustducty SET druhuctuk = 'druhUctu.pasivni' WHERE uuid = 'SK_POD_331';
UPDATE ustducty SET druhuctuk = 'druhUctu.pasivni' WHERE uuid = 'SK_POD_333';
UPDATE ustducty SET druhuctuk = 'druhUctu.pasivni' WHERE uuid = 'SK_POD_340';
UPDATE ustducty SET druhuctuk = 'druhUctu.pasivni' WHERE uuid = 'SK_POD_353';
UPDATE ustducty SET druhuctuk = 'druhUctu.pasivni' WHERE uuid = 'SK_POD_370';
UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvo' WHERE uuid = 'SK_POD_373';


UPDATE uucty SET druhuctuk = 'druhUctu.pasivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'SK_POD_252');
UPDATE uucty SET druhuctuk = 'druhUctu.pasivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'SK_POD_255');
UPDATE uucty SET druhuctuk = null WHERE idstducet = (select idstducet from ustducty where uuid = 'SK_POD_330');
UPDATE uucty SET druhuctuk = 'druhUctu.pasivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'SK_POD_331');
UPDATE uucty SET druhuctuk = 'druhUctu.pasivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'SK_POD_333');
UPDATE uucty SET druhuctuk = 'druhUctu.pasivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'SK_POD_340');
UPDATE uucty SET druhuctuk = 'druhUctu.pasivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'SK_POD_353');
UPDATE uucty SET druhuctuk = 'druhUctu.pasivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'SK_POD_370');
UPDATE uucty SET druhuctuk = null WHERE idstducet = (select idstducet from ustducty where uuid = 'SK_POD_373');


create or replace function runupgrade()
    returns void as $$
declare
    _idtyporgread integer;
begin
  select idtyporg into _idtyporgread from nnastav limit 1;

  -- sestavy aktualizujeme jen pro slovaky
  if (_idtyporgread = 3) then
-- zacatek bloku slovenskych podnikatelu

-- upravy sestav
update usestavy as S set idradzaokr1 = (select idsesradky from usesradky as R where cisrad = 1 and R.idsestavy = S.idsestavy),
                         idradzaokr2 = (select idsesradky from usesradky as R where cisrad = 87 and R.idsestavy = S.idsestavy)
 where uuid = 'SK_PODNIKATELE_ROZVAHA';

update usestavy as S set sloupec6sum45 = true, idradzaokr1 = (select idsesradky from usesradky as R where cisrad = 61 and R.idsestavy = S.idsestavy)
 where uuid = 'SK_PODNIKATELE_VYSLEDOVKA';


UPDATE usesradky SET nazev = 'Zákonný rezervný fond (421)' WHERE idsesradky = 263;
UPDATE usessumace SET prevratznam = true WHERE idsessumace = 1538;


UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1217;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1229;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1238;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1239;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1240;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1299;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1303;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1343;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1372;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1405;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1657;
UPDATE usesstdpred SET idstducet = (select IdStdUcet from uStdUcty where uuid = 'SK_POD_470') WHERE idsesstdpred = 1667;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1673;
UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 1737;
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1750, '2010-12-03 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_010'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1751, '2011-04-19 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 230, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_330'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1754, '2010-12-03 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 274, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_320'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1755, '2010-12-03 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 284, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_470'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1757, '2010-12-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 295, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_370'));
DELETE FROM usesstdpred WHERE idsesstdpred = 1242;
DELETE FROM usesstdpred WHERE idsesstdpred = 1255;
DELETE FROM usesstdpred WHERE idsesstdpred = 1254;
DELETE FROM usesstdpred WHERE idsesstdpred = 1263;
DELETE FROM usesstdpred WHERE idsesstdpred = 1262;
DELETE FROM usesstdpred WHERE idsesstdpred = 1261;
DELETE FROM usesstdpred WHERE idsesstdpred = 1258;
DELETE FROM usesstdpred WHERE idsesstdpred = 1257;
DELETE FROM usesstdpred WHERE idsesstdpred = 1256;
DELETE FROM usesstdpred WHERE idsesstdpred = 1266;
DELETE FROM usesstdpred WHERE idsesstdpred = 1267;
DELETE FROM usesstdpred WHERE idsesstdpred = 1264;
DELETE FROM usesstdpred WHERE idsesstdpred = 1265;
DELETE FROM usesstdpred WHERE idsesstdpred = 1278;
DELETE FROM usesstdpred WHERE idsesstdpred = 1275;
DELETE FROM usesstdpred WHERE idsesstdpred = 1363;
DELETE FROM usesstdpred WHERE idsesstdpred = 1359;
DELETE FROM usesstdpred WHERE idsesstdpred = 1356;
DELETE FROM usesstdpred WHERE idsesstdpred = 1354;
DELETE FROM usesstdpred WHERE idsesstdpred = 1282;
DELETE FROM usesstdpred WHERE idsesstdpred = 1283;
DELETE FROM usesstdpred WHERE idsesstdpred = 1280;
DELETE FROM usesstdpred WHERE idsesstdpred = 1281;
DELETE FROM usesstdpred WHERE idsesstdpred = 1285;
DELETE FROM usesstdpred WHERE idsesstdpred = 1435;
DELETE FROM usesstdpred WHERE idsesstdpred = 1438;
DELETE FROM usesstdpred WHERE idsesstdpred = 1436;
DELETE FROM usesstdpred WHERE idsesstdpred = 1437;
DELETE FROM usesstdpred WHERE idsesstdpred = 1643;
DELETE FROM usesstdpred WHERE idsesstdpred = 1651;
DELETE FROM usesstdpred WHERE idsesstdpred = 1648;
DELETE FROM usesstdpred WHERE idsesstdpred = 1653;
DELETE FROM usesstdpred WHERE idsesstdpred = 1652;
DELETE FROM usesstdpred WHERE idsesstdpred = 1610;
DELETE FROM usesstdpred WHERE idsesstdpred = 1625;
DELETE FROM usesstdpred WHERE idsesstdpred = 1729;
DELETE FROM usesstdpred WHERE idsesstdpred = 1728;
DELETE FROM usesstdpred WHERE idsesstdpred = 1731;
DELETE FROM usesstdpred WHERE idsesstdpred = 1730;
DELETE FROM usesstdpred WHERE idsesstdpred = 1733;
DELETE FROM usesstdpred WHERE idsesstdpred = 1732;
DELETE FROM usesstdpred WHERE idsesstdpred = 1735;
DELETE FROM usesstdpred WHERE idsesstdpred = 1736;
DELETE FROM usesstdpred WHERE idsesstdpred = 1739;
DELETE FROM usesstdpred WHERE idsesstdpred = 1738;
DELETE FROM usesstdpred WHERE idsesstdpred = 1743;
DELETE FROM usesstdpred WHERE idsesstdpred = 1744;
DELETE FROM usesstdpred WHERE idsesstdpred = 1703;
DELETE FROM usesstdpred WHERE idsesstdpred = 1702;
DELETE FROM usesstdpred WHERE idsesstdpred = 1701;
DELETE FROM usesstdpred WHERE idsesstdpred = 1700;
DELETE FROM usesstdpred WHERE idsesstdpred = 1699;
DELETE FROM usesstdpred WHERE idsesstdpred = 1698;
DELETE FROM usesstdpred WHERE idsesstdpred = 1696;
DELETE FROM usesstdpred WHERE idsesstdpred = 1711;
DELETE FROM usesstdpred WHERE idsesstdpred = 1710;
DELETE FROM usesstdpred WHERE idsesstdpred = 1709;
DELETE FROM usesstdpred WHERE idsesstdpred = 1707;
DELETE FROM usesstdpred WHERE idsesstdpred = 1706;
DELETE FROM usesstdpred WHERE idsesstdpred = 1705;
DELETE FROM usesstdpred WHERE idsesstdpred = 1704;
DELETE FROM usesstdpred WHERE idsesstdpred = 1718;
DELETE FROM usesstdpred WHERE idsesstdpred = 1719;
DELETE FROM usesstdpred WHERE idsesstdpred = 1716;
DELETE FROM usesstdpred WHERE idsesstdpred = 1717;
DELETE FROM usesstdpred WHERE idsesstdpred = 1714;
DELETE FROM usesstdpred WHERE idsesstdpred = 1715;
DELETE FROM usesstdpred WHERE idsesstdpred = 1712;
DELETE FROM usesstdpred WHERE idsesstdpred = 1724;
DELETE FROM usesstdpred WHERE idsesstdpred = 1725;
DELETE FROM usesstdpred WHERE idsesstdpred = 1722;
DELETE FROM usesstdpred WHERE idsesstdpred = 1723;
DELETE FROM usesstdpred WHERE idsesstdpred = 1720;
DELETE FROM usesstdpred WHERE idsesstdpred = 1668;
DELETE FROM usesstdpred WHERE idsesstdpred = 1675;
DELETE FROM usesstdpred WHERE idsesstdpred = 1684;
DELETE FROM usesstdpred WHERE idsesstdpred = 1685;
DELETE FROM usesstdpred WHERE idsesstdpred = 1687;
DELETE FROM usesstdpred WHERE idsesstdpred = 1681;
DELETE FROM usesstdpred WHERE idsesstdpred = 1682;
DELETE FROM usesstdpred WHERE idsesstdpred = 1683;
DELETE FROM usesstdpred WHERE idsesstdpred = 1692;
DELETE FROM usesstdpred WHERE idsesstdpred = 1693;
DELETE FROM usesstdpred WHERE idsesstdpred = 1694;
DELETE FROM usesstdpred WHERE idsesstdpred = 1695;
DELETE FROM usesstdpred WHERE idsesstdpred = 1688;
DELETE FROM usesstdpred WHERE idsesstdpred = 1689;
DELETE FROM usesstdpred WHERE idsesstdpred = 1690;

-- konec slovenskeho bloku
  end if;

end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 467, 't', %appVersion%, clock_timestamp());
