-- Pridany indexy pro zrychleni razeni dle indexu
CREATE INDEX aUdalosti_IdFirmy_index ON aUdalosti USING btree (IdFirmy);
CREATE INDEX aAdresar_IdStatu_index ON aAdresar USING btree (IdStatu);
CREATE INDEX aAdresar_IdSkupFir_index ON aAdresar USING btree (IdSkupFir);
CREATE INDEX aAdresar_IdStred_index ON aAdresar USING btree (IdStred);
CREATE INDEX aAdresar_IdFaStatu_index ON aAdresar USING btree (IdFaStatu);
CREATE INDEX aBanSpoj_IdStatu_index ON aBanSpoj USING btree (IdStatu);
CREATE INDEX aBanSpoj_IdFirmy_index ON aBanSpoj USING btree (IdFirmy);
CREATE INDEX aBanSpoj_IdSmerKod_index ON aBanSpoj USING btree (IdSmerKod);
CREATE INDEX aBanSpoj_IdKonSym_index ON aBanSpoj USING btree (IdKonSym);
CREATE INDEX aKontakty_IdStatu_index ON aKontakty USING btree (IdStatu);
CREATE INDEX aKontakty_IdFirmy_index ON aKontakty USING btree (IdFirmy);
CREATE INDEX aMistUrc_IdStatu_index ON aMistUrc USING btree (IdStatu);
CREATE INDEX aMistUrc_IdFirmy_index ON aMistUrc USING btree (IdFirmy);
CREATE INDEX aSkupFir_IdPrimUcetVfa_index ON aSkupFir USING btree (IdPrimUcetVfa);
CREATE INDEX aSkupFir_IdPrimUcetPfa_index ON aSkupFir USING btree (IdPrimUcetPfa);
CREATE INDEX cCenik_IdSkupZboz_index ON cCenik USING btree (IdSkupZboz);
CREATE INDEX cCenik_IdMj1_index ON cCenik USING btree (IdMj1);
CREATE INDEX cCenik_IdMj2_index ON cCenik USING btree (IdMj2);
CREATE INDEX cCenik_IdMj3_index ON cCenik USING btree (IdMj3);
CREATE INDEX cCenik_IdMjHmot_index ON cCenik USING btree (IdMjHmot);
CREATE INDEX cCenik_IdMjObj_index ON cCenik USING btree (IdMjObj);
CREATE INDEX cCenik_IdStatu_index ON cCenik USING btree (IdStatu);
CREATE INDEX cCenik_IdNomen_index ON cCenik USING btree (IdNomen);
CREATE INDEX cSkupZboz_IdProtiUcetPfa_index ON cSkupZboz USING btree (IdProtiUcetPfa);
CREATE INDEX cSkupZboz_IdProtiUcetVfa_index ON cSkupZboz USING btree (IdProtiUcetVfa);
CREATE INDEX cSkupZboz_IdProtiUcetSklP_index ON cSkupZboz USING btree (IdProtiUcetSklP);
CREATE INDEX cSkupZboz_IdProtiUcetSklV_index ON cSkupZboz USING btree (IdProtiUcetSklV);
CREATE INDEX cSkupZboz_IdMeny_index ON cSkupZboz USING btree (IdMeny);
CREATE INDEX dRadyDiry_IdRadyRok_index ON dRadyDiry USING btree (IdRadyRok);
CREATE INDEX dDoklFak_IdTypDokl_index ON dDoklFak USING btree (IdTypDokl);
CREATE INDEX dDoklFak_IdMeny_index ON dDoklFak USING btree (IdMeny);
CREATE INDEX dDoklFak_IdKonSym_index ON dDoklFak USING btree (IdKonSym);
CREATE INDEX dDoklFak_IdFirmy_index ON dDoklFak USING btree (IdFirmy);
CREATE INDEX dDoklFak_IdStatu_index ON dDoklFak USING btree (IdStatu);
CREATE INDEX dDoklFak_IdFaStatu_index ON dDoklFak USING btree (IdFaStatu);
CREATE INDEX dDoklFak_IdMur_index ON dDoklFak USING btree (IdMur);
CREATE INDEX dDoklFak_IdBanSpojDod_index ON dDoklFak USING btree (IdBanSpojDod);
CREATE INDEX dDoklFak_IdTypDoklBan_index ON dDoklFak USING btree (IdTypDoklBan);
CREATE INDEX dDoklFak_IdPrimUcet_index ON dDoklFak USING btree (IdPrimUcet);
CREATE INDEX dDoklFak_IdProtiUcet_index ON dDoklFak USING btree (IdProtiUcet);
CREATE INDEX dDoklFak_IdDphZaklUcet_index ON dDoklFak USING btree (IdDphZaklUcet);
CREATE INDEX dDoklFak_IdDphSnizUcet_index ON dDoklFak USING btree (IdDphSnizUcet);
CREATE INDEX dDoklFak_IdSmerKod_index ON dDoklFak USING btree (IdSmerKod);
CREATE INDEX dDoklFak_IdStatDph_index ON dDoklFak USING btree (IdStatDph);
CREATE INDEX dDoklFak_IdClenDph_index ON dDoklFak USING btree (IdClenDph);
CREATE INDEX dDoklFak_IdStred_index ON dDoklFak USING btree (IdStred);
CREATE INDEX dDoklFak_IdZakazky_index ON dDoklFak USING btree (IdZakazky);
CREATE INDEX dDoklFak_IdStatOdesl_index ON dDoklFak USING btree (IdStatOdesl);
CREATE INDEX dDoklFak_IdStatUrc_index ON dDoklFak USING btree (IdStatUrc);
CREATE INDEX dDoklFak_IdStatPuvod_index ON dDoklFak USING btree (IdStatPuvod);
CREATE INDEX dDoklFak_IdDodPodm_index ON dDoklFak USING btree (IdDodPodm);
CREATE INDEX dDoklFak_IdObchTrans_index ON dDoklFak USING btree (IdObchTrans);
CREATE INDEX dDoklFak_IdDruhDopr_index ON dDoklFak USING btree (IdDruhDopr);
CREATE INDEX dDoklFak_IdZvlPoh_index ON dDoklFak USING btree (IdZvlPoh);
CREATE INDEX dDoklFak_IdKrajUrc_index ON dDoklFak USING btree (IdKrajUrc);
CREATE INDEX dDoklFak_IdUziv_index ON dDoklFak USING btree (IdUziv);
CREATE INDEX dDoklFak_IdRady_index ON dDoklFak USING btree (IdRady);
CREATE INDEX dDoklFak_IdPolRady_index ON dDoklFak USING btree (IdPolRady);
CREATE INDEX dDoklFak_IdSazbyDphOsv_index ON dDoklFak USING btree (IdSazbyDphOsv);
CREATE INDEX dDoklFak_IdSazbyDphSniz_index ON dDoklFak USING btree (IdSazbyDphSniz);
CREATE INDEX dDoklFak_IdSazbyDphZakl_index ON dDoklFak USING btree (IdSazbyDphZakl);
CREATE INDEX dDoklInt_IdTypDokl_index ON dDoklInt USING btree (IdTypDokl);
CREATE INDEX dDoklInt_IdMeny_index ON dDoklInt USING btree (IdMeny);
CREATE INDEX dDoklInt_IdKonSym_index ON dDoklInt USING btree (IdKonSym);
CREATE INDEX dDoklInt_IdFirmy_index ON dDoklInt USING btree (IdFirmy);
CREATE INDEX dDoklInt_IdStatu_index ON dDoklInt USING btree (IdStatu);
CREATE INDEX dDoklInt_IdFaStatu_index ON dDoklInt USING btree (IdFaStatu);
CREATE INDEX dDoklInt_IdMur_index ON dDoklInt USING btree (IdMur);
CREATE INDEX dDoklInt_IdBanSpojDod_index ON dDoklInt USING btree (IdBanSpojDod);
CREATE INDEX dDoklInt_IdTypDoklBan_index ON dDoklInt USING btree (IdTypDoklBan);
CREATE INDEX dDoklInt_IdPrimUcet_index ON dDoklInt USING btree (IdPrimUcet);
CREATE INDEX dDoklInt_IdProtiUcet_index ON dDoklInt USING btree (IdProtiUcet);
CREATE INDEX dDoklInt_IdDphZaklUcet_index ON dDoklInt USING btree (IdDphZaklUcet);
CREATE INDEX dDoklInt_IdDphSnizUcet_index ON dDoklInt USING btree (IdDphSnizUcet);
CREATE INDEX dDoklInt_IdSmerKod_index ON dDoklInt USING btree (IdSmerKod);
CREATE INDEX dDoklInt_IdStatDph_index ON dDoklInt USING btree (IdStatDph);
CREATE INDEX dDoklInt_IdClenDph_index ON dDoklInt USING btree (IdClenDph);
CREATE INDEX dDoklInt_IdStred_index ON dDoklInt USING btree (IdStred);
CREATE INDEX dDoklInt_IdZakazky_index ON dDoklInt USING btree (IdZakazky);
CREATE INDEX dDoklInt_IdStatOdesl_index ON dDoklInt USING btree (IdStatOdesl);
CREATE INDEX dDoklInt_IdStatUrc_index ON dDoklInt USING btree (IdStatUrc);
CREATE INDEX dDoklInt_IdStatPuvod_index ON dDoklInt USING btree (IdStatPuvod);
CREATE INDEX dDoklInt_IdDodPodm_index ON dDoklInt USING btree (IdDodPodm);
CREATE INDEX dDoklInt_IdObchTrans_index ON dDoklInt USING btree (IdObchTrans);
CREATE INDEX dDoklInt_IdDruhDopr_index ON dDoklInt USING btree (IdDruhDopr);
CREATE INDEX dDoklInt_IdZvlPoh_index ON dDoklInt USING btree (IdZvlPoh);
CREATE INDEX dDoklInt_IdKrajUrc_index ON dDoklInt USING btree (IdKrajUrc);
CREATE INDEX dDoklInt_IdUziv_index ON dDoklInt USING btree (IdUziv);
CREATE INDEX dDoklInt_IdRady_index ON dDoklInt USING btree (IdRady);
CREATE INDEX dDoklInt_IdPolRady_index ON dDoklInt USING btree (IdPolRady);
CREATE INDEX dDoklInt_IdSazbyDphOsv_index ON dDoklInt USING btree (IdSazbyDphOsv);
CREATE INDEX dDoklInt_IdSazbyDphSniz_index ON dDoklInt USING btree (IdSazbyDphSniz);
CREATE INDEX dDoklInt_IdSazbyDphZakl_index ON dDoklInt USING btree (IdSazbyDphZakl);
CREATE INDEX dDoklSklad_IdTypDokl_index ON dDoklSklad USING btree (IdTypDokl);
CREATE INDEX dDoklSklad_IdMeny_index ON dDoklSklad USING btree (IdMeny);
CREATE INDEX dDoklSklad_IdKonSym_index ON dDoklSklad USING btree (IdKonSym);
CREATE INDEX dDoklSklad_IdFirmy_index ON dDoklSklad USING btree (IdFirmy);
CREATE INDEX dDoklSklad_IdStatu_index ON dDoklSklad USING btree (IdStatu);
CREATE INDEX dDoklSklad_IdFaStatu_index ON dDoklSklad USING btree (IdFaStatu);
CREATE INDEX dDoklSklad_IdMur_index ON dDoklSklad USING btree (IdMur);
CREATE INDEX dDoklSklad_IdBanSpojDod_index ON dDoklSklad USING btree (IdBanSpojDod);
CREATE INDEX dDoklSklad_IdTypDoklBan_index ON dDoklSklad USING btree (IdTypDoklBan);
CREATE INDEX dDoklSklad_IdPrimUcet_index ON dDoklSklad USING btree (IdPrimUcet);
CREATE INDEX dDoklSklad_IdProtiUcet_index ON dDoklSklad USING btree (IdProtiUcet);
CREATE INDEX dDoklSklad_IdDphZaklUcet_index ON dDoklSklad USING btree (IdDphZaklUcet);
CREATE INDEX dDoklSklad_IdDphSnizUcet_index ON dDoklSklad USING btree (IdDphSnizUcet);
CREATE INDEX dDoklSklad_IdSmerKod_index ON dDoklSklad USING btree (IdSmerKod);
CREATE INDEX dDoklSklad_IdStatDph_index ON dDoklSklad USING btree (IdStatDph);
CREATE INDEX dDoklSklad_IdClenDph_index ON dDoklSklad USING btree (IdClenDph);
CREATE INDEX dDoklSklad_IdStred_index ON dDoklSklad USING btree (IdStred);
CREATE INDEX dDoklSklad_IdZakazky_index ON dDoklSklad USING btree (IdZakazky);
CREATE INDEX dDoklSklad_IdStatOdesl_index ON dDoklSklad USING btree (IdStatOdesl);
CREATE INDEX dDoklSklad_IdStatUrc_index ON dDoklSklad USING btree (IdStatUrc);
CREATE INDEX dDoklSklad_IdStatPuvod_index ON dDoklSklad USING btree (IdStatPuvod);
CREATE INDEX dDoklSklad_IdDodPodm_index ON dDoklSklad USING btree (IdDodPodm);
CREATE INDEX dDoklSklad_IdObchTrans_index ON dDoklSklad USING btree (IdObchTrans);
CREATE INDEX dDoklSklad_IdDruhDopr_index ON dDoklSklad USING btree (IdDruhDopr);
CREATE INDEX dDoklSklad_IdZvlPoh_index ON dDoklSklad USING btree (IdZvlPoh);
CREATE INDEX dDoklSklad_IdKrajUrc_index ON dDoklSklad USING btree (IdKrajUrc);
CREATE INDEX dDoklSklad_IdUziv_index ON dDoklSklad USING btree (IdUziv);
CREATE INDEX dDoklSklad_IdRady_index ON dDoklSklad USING btree (IdRady);
CREATE INDEX dDoklSklad_IdPolRady_index ON dDoklSklad USING btree (IdPolRady);
CREATE INDEX dDoklSklad_IdSazbyDphOsv_index ON dDoklSklad USING btree (IdSazbyDphOsv);
CREATE INDEX dDoklSklad_IdSazbyDphSniz_index ON dDoklSklad USING btree (IdSazbyDphSniz);
CREATE INDEX dDoklSklad_IdSazbyDphZakl_index ON dDoklSklad USING btree (IdSazbyDphZakl);
CREATE INDEX dPolFak_IdSkladu_index ON dPolFak USING btree (IdSkladu);
CREATE INDEX dPolFak_IdStred_index ON dPolFak USING btree (IdStred);
CREATE INDEX dPolFak_IdMeny_index ON dPolFak USING btree (IdMeny);
CREATE INDEX dPolFak_IdZklMdUcet_index ON dPolFak USING btree (IdZklMdUcet);
CREATE INDEX dPolFak_IdZklDalUcet_index ON dPolFak USING btree (IdZklDalUcet);
CREATE INDEX dPolFak_IdDphMdUcet_index ON dPolFak USING btree (IdDphMdUcet);
CREATE INDEX dPolFak_IdDphDalUcet_index ON dPolFak USING btree (IdDphDalUcet);
CREATE INDEX dPolFak_IdZakazky_index ON dPolFak USING btree (IdZakazky);
CREATE INDEX dPolFak_IdFirmy_index ON dPolFak USING btree (IdFirmy);
CREATE INDEX dPolFak_IdClenDph_index ON dPolFak USING btree (IdClenDph);
CREATE INDEX dPolFak_IdCenik_index ON dPolFak USING btree (IdCenik);
CREATE INDEX dPolFak_IdMj_index ON dPolFak USING btree (IdMj);
CREATE INDEX dPolFak_IdMjObjem_index ON dPolFak USING btree (IdMjObjem);
CREATE INDEX dPolFak_IdSazbyDph_index ON dPolFak USING btree (IdSazbyDph);
CREATE INDEX dPolFak_IdDoklFak_index ON dPolFak USING btree (IdDoklFak);
CREATE INDEX dPolInt_IdSkladu_index ON dPolInt USING btree (IdSkladu);
CREATE INDEX dPolInt_IdStred_index ON dPolInt USING btree (IdStred);
CREATE INDEX dPolInt_IdMeny_index ON dPolInt USING btree (IdMeny);
CREATE INDEX dPolInt_IdZklMdUcet_index ON dPolInt USING btree (IdZklMdUcet);
CREATE INDEX dPolInt_IdZklDalUcet_index ON dPolInt USING btree (IdZklDalUcet);
CREATE INDEX dPolInt_IdDphMdUcet_index ON dPolInt USING btree (IdDphMdUcet);
CREATE INDEX dPolInt_IdDphDalUcet_index ON dPolInt USING btree (IdDphDalUcet);
CREATE INDEX dPolInt_IdZakazky_index ON dPolInt USING btree (IdZakazky);
CREATE INDEX dPolInt_IdFirmy_index ON dPolInt USING btree (IdFirmy);
CREATE INDEX dPolInt_IdClenDph_index ON dPolInt USING btree (IdClenDph);
CREATE INDEX dPolInt_IdCenik_index ON dPolInt USING btree (IdCenik);
CREATE INDEX dPolInt_IdMj_index ON dPolInt USING btree (IdMj);
CREATE INDEX dPolInt_IdMjObjem_index ON dPolInt USING btree (IdMjObjem);
CREATE INDEX dPolInt_IdSazbyDph_index ON dPolInt USING btree (IdSazbyDph);
CREATE INDEX dPolInt_IdDoklInt_index ON dPolInt USING btree (IdDoklInt);
CREATE INDEX dPolSklad_IdSkladu_index ON dPolSklad USING btree (IdSkladu);
CREATE INDEX dPolSklad_IdStred_index ON dPolSklad USING btree (IdStred);
CREATE INDEX dPolSklad_IdMeny_index ON dPolSklad USING btree (IdMeny);
CREATE INDEX dPolSklad_IdZklMdUcet_index ON dPolSklad USING btree (IdZklMdUcet);
CREATE INDEX dPolSklad_IdZklDalUcet_index ON dPolSklad USING btree (IdZklDalUcet);
CREATE INDEX dPolSklad_IdDphMdUcet_index ON dPolSklad USING btree (IdDphMdUcet);
CREATE INDEX dPolSklad_IdDphDalUcet_index ON dPolSklad USING btree (IdDphDalUcet);
CREATE INDEX dPolSklad_IdZakazky_index ON dPolSklad USING btree (IdZakazky);
CREATE INDEX dPolSklad_IdFirmy_index ON dPolSklad USING btree (IdFirmy);
CREATE INDEX dPolSklad_IdClenDph_index ON dPolSklad USING btree (IdClenDph);
CREATE INDEX dPolSklad_IdCenik_index ON dPolSklad USING btree (IdCenik);
CREATE INDEX dPolSklad_IdMj_index ON dPolSklad USING btree (IdMj);
CREATE INDEX dPolSklad_IdMjObjem_index ON dPolSklad USING btree (IdMjObjem);
CREATE INDEX dPolSklad_IdSazbyDph_index ON dPolSklad USING btree (IdSazbyDph);
CREATE INDEX dPolSklad_IdDoklSklad_index ON dPolSklad USING btree (IdDoklSklad);
CREATE INDEX dPolSklad_IdKarty_index ON dPolSklad USING btree (IdKarty);
CREATE INDEX dRadyRok_IdRady_index ON dRadyRok USING btree (IdRady);
CREATE INDEX dRadyRok_IdUcetObdobi_index ON dRadyRok USING btree (IdUcetObdobi);
CREATE INDEX dTypDokl_IdUcetObdobiOd_index ON dTypDokl USING btree (IdUcetObdobiOd);
CREATE INDEX dTypDokl_IdUcetObdobiDo_index ON dTypDokl USING btree (IdUcetObdobiDo);
CREATE INDEX dTypDokl_IdRadyPrijem_index ON dTypDokl USING btree (IdRadyPrijem);
CREATE INDEX dTypDokl_IdRadyVydej_index ON dTypDokl USING btree (IdRadyVydej);
CREATE INDEX dTypDokl_IdStred_index ON dTypDokl USING btree (IdStred);
CREATE INDEX dTypDokl_IdTypDoklBan_index ON dTypDokl USING btree (IdTypDoklBan);
CREATE INDEX dTypDokl_IdSmerKod_index ON dTypDokl USING btree (IdSmerKod);
CREATE INDEX dTypDokl_IdKonSym_index ON dTypDokl USING btree (IdKonSym);
CREATE INDEX dTypDokl_IdPrimUcet_index ON dTypDokl USING btree (IdPrimUcet);
CREATE INDEX dTypDokl_IdProtiUcetP_index ON dTypDokl USING btree (IdProtiUcetP);
CREATE INDEX dTypDokl_IdProtiUcetV_index ON dTypDokl USING btree (IdProtiUcetV);
CREATE INDEX dTypDokl_IdDphSnizUcet_index ON dTypDokl USING btree (IdDphSnizUcet);
CREATE INDEX dTypDokl_IdDphZaklUcet_index ON dTypDokl USING btree (IdDphZaklUcet);
CREATE INDEX dTypDokl_IdMeny_index ON dTypDokl USING btree (IdMeny);
CREATE INDEX dTypDokl_IdStatDph_index ON dTypDokl USING btree (IdStatDph);
CREATE INDEX dTypDokl_IdClenDphP_index ON dTypDokl USING btree (IdClenDphP);
CREATE INDEX dTypDokl_IdClenDphV_index ON dTypDokl USING btree (IdClenDphV);
CREATE INDEX dTypDokl_IdStatOdesl_index ON dTypDokl USING btree (IdStatOdesl);
CREATE INDEX dTypDokl_IdStatUrc_index ON dTypDokl USING btree (IdStatUrc);
CREATE INDEX dTypDokl_IdStatPuvod_index ON dTypDokl USING btree (IdStatPuvod);
CREATE INDEX dTypDokl_IdDodPodm_index ON dTypDokl USING btree (IdDodPodm);
CREATE INDEX dTypDokl_IdZvlPoh_index ON dTypDokl USING btree (IdZvlPoh);
CREATE INDEX dTypDokl_IdObchTrans_index ON dTypDokl USING btree (IdObchTrans);
CREATE INDEX dTypDokl_IdDruhDopr_index ON dTypDokl USING btree (IdDruhDopr);
CREATE INDEX dTypDokl_IdKrajUrc_index ON dTypDokl USING btree (IdKrajUrc);
CREATE INDEX dTypDokl_IdTiskSes1_index ON dTypDokl USING btree (IdTiskSes1);
CREATE INDEX dTypDokl_IdTiskSes2_index ON dTypDokl USING btree (IdTiskSes2);
CREATE INDEX dTypDokl_IdTiskSes3_index ON dTypDokl USING btree (IdTiskSes3);
CREATE INDEX dTypDokl_IdTiskSes4_index ON dTypDokl USING btree (IdTiskSes4);
CREATE INDEX dTypDokl_IdTiskSes5_index ON dTypDokl USING btree (IdTiskSes5);
CREATE INDEX dTypDokl_IdTiskSes6_index ON dTypDokl USING btree (IdTiskSes6);
CREATE INDEX dTypDokl_IdElBanFormat_index ON dTypDokl USING btree (IdElBanFormat);
CREATE INDEX dTypDokl_IdMenaBanky_index ON dTypDokl USING btree (IdMenaBanky);
CREATE INDEX dTypDokl_IdStatu_index ON dTypDokl USING btree (IdStatu);
CREATE INDEX dPolPrikazUhr_IdPrikazUhr_index ON dPolPrikazUhr USING btree (IdPrikazUhr);
CREATE INDEX dPolPrikazUhr_IdStatuPrijem_index ON dPolPrikazUhr USING btree (IdStatuPrijem);
CREATE INDEX dPolPrikazUhr_IdStatuBanky_index ON dPolPrikazUhr USING btree (IdStatuBanky);
CREATE INDEX dPolPrikazUhr_IdMeny_index ON dPolPrikazUhr USING btree (IdMeny);
CREATE INDEX dPolPrikazUhr_IdSmerKod_index ON dPolPrikazUhr USING btree (IdSmerKod);
CREATE INDEX dPolPrikazUhr_IdPrimDokl_index ON dPolPrikazUhr USING btree (IdPrimDokl);
CREATE INDEX dPrikazUhr_IdMeny_index ON dPrikazUhr USING btree (IdMeny);
CREATE INDEX dPrikazUhr_IdTypDokl_index ON dPrikazUhr USING btree (IdTypDokl);
CREATE INDEX dPrikazUhr_IdFaStatu_index ON dPrikazUhr USING btree (IdFaStatu);
CREATE INDEX iNomen_IdIntrMerJed_index ON iNomen USING btree (IdIntrMerJed);
CREATE INDEX nNastav_IdStatuLeg_index ON nNastav USING btree (IdStatuLeg);
CREATE INDEX nNastav_IdTypOrg_index ON nNastav USING btree (IdTypOrg);
CREATE INDEX nNastav_IdMeny_index ON nNastav USING btree (IdMeny);
CREATE INDEX nNastav_IdTdObFav_index ON nNastav USING btree (IdTdObFav);
CREATE INDEX nNastav_IdTdObZdd_index ON nNastav USING btree (IdTdObZdd);
CREATE INDEX nNastav_IdTdObSkl_index ON nNastav USING btree (IdTdObSkl);
CREATE INDEX nNastav_IdTdFavZdd_index ON nNastav USING btree (IdTdFavZdd);
CREATE INDEX nNastav_IdTdFapZdd_index ON nNastav USING btree (IdTdFapZdd);
CREATE INDEX nNastav_IdTdKurzRozNaklad_index ON nNastav USING btree (IdTdKurzRozNaklad);
CREATE INDEX nNastav_IdTdKurzRozVynos_index ON nNastav USING btree (IdTdKurzRozVynos);
CREATE INDEX nNastav_IdTdZbytekNaklad_index ON nNastav USING btree (IdTdZbytekNaklad);
CREATE INDEX nNastav_IdTdZbytekVynos_index ON nNastav USING btree (IdTdZbytekVynos);
CREATE INDEX nNastav_IdTdEpPok_index ON nNastav USING btree (IdTdEpPok);
CREATE INDEX nNastav_IdTdEpSkl_index ON nNastav USING btree (IdTdEpSkl);
CREATE INDEX nNastav_IdStatu_index ON nNastav USING btree (IdStatu);
CREATE INDEX nNastav_IdFaStatu_index ON nNastav USING btree (IdFaStatu);
CREATE INDEX nNastav_IdLoga_index ON nNastav USING btree (IdLoga);
CREATE INDEX uSazbyDph_IdStatu_index ON uSazbyDph USING btree (IdStatu);
CREATE INDEX sKarty_IdUcetObdobi_index ON sKarty USING btree (IdUcetObdobi);
CREATE INDEX sKarty_IdCenik_index ON sKarty USING btree (IdCenik);
CREATE INDEX sKarty_IdTypDokl_index ON sKarty USING btree (IdTypDokl);
CREATE INDEX uClenDph_IdStatu_index ON uClenDph USING btree (IdStatu);
CREATE INDEX uKurzy_IdMeny_index ON uKurzy USING btree (IdMeny);
CREATE INDEX uObraty_IdMeny_index ON uObraty USING btree (IdMeny);
CREATE INDEX uObraty_IdUcet_index ON uObraty USING btree (IdUcet);
CREATE INDEX uObraty_IdStred_index ON uObraty USING btree (IdStred);
CREATE INDEX uObraty_IdUcetObdobi_index ON uObraty USING btree (IdUcetObdobi);
CREATE INDEX uStdUcty_IdTypOrg_index ON uStdUcty USING btree (IdTypOrg);
CREATE INDEX uUcty_IdUcetObdobiOd_index ON uUcty USING btree (IdUcetObdobiOd);
CREATE INDEX uUcty_IdUcetObdobiDo_index ON uUcty USING btree (IdUcetObdobiDo);
CREATE INDEX uUcty_IdMeny_index ON uUcty USING btree (IdMeny);
CREATE INDEX uUcty_IdStdUcet_index ON uUcty USING btree (IdStdUcet);
CREATE INDEX uZakazky_IdFirmy_index ON uZakazky USING btree (IdFirmy);
CREATE INDEX uZakazky_IdStred_index ON uZakazky USING btree (IdStred);
CREATE INDEX uSesRadky_IdSestavy_index ON uSesRadky USING btree (IdSestavy);
CREATE INDEX uSesRozpadUce_IdSesRadky_index ON uSesRozpadUce USING btree (IdSesRadky);
CREATE INDEX uSesRozpadUce_IdUcet_index ON uSesRozpadUce USING btree (IdUcet);
CREATE INDEX uSestavy_IdTypOrg_index ON uSestavy USING btree (IdTypOrg);
CREATE INDEX uSestavy_IdRadCil_index ON uSestavy USING btree (IdRadCil);
CREATE INDEX uSestavy_IdSesZdroj_index ON uSestavy USING btree (IdSesZdroj);
CREATE INDEX uSestavy_IdRadZdroj_index ON uSestavy USING btree (IdRadZdroj);
CREATE INDEX uSesStdPred_IdSesRadky_index ON uSesStdPred USING btree (IdSesRadky);
CREATE INDEX uSesStdPred_IdStdUcet_index ON uSesStdPred USING btree (IdStdUcet);
CREATE INDEX uSesSumace_IdSesRadky_index ON uSesSumace USING btree (IdSesRadky);
CREATE INDEX uSesSumace_IdSesRadkySum_index ON uSesSumace USING btree (IdSesRadkySum);
CREATE INDEX uTypOrg_IdStatu_index ON uTypOrg USING btree (IdStatu);
CREATE INDEX uSesUzivPred_IdSesRadky_index ON uSesUzivPred USING btree (IdSesRadky);
CREATE INDEX uSesUzivPred_IdUcet_index ON uSesUzivPred USING btree (IdUcet);
CREATE INDEX wUzivatel_IdStatu_index ON wUzivatel USING btree (IdStatu);

CREATE INDEX mDanNakl_IdLeasing_index ON mDanNakl USING btree (IdLeasing);
CREATE INDEX mDanNakl_IdZklMdUcet_index ON mDanNakl USING btree (IdZklMdUcet);
CREATE INDEX mDanNakl_IdZklDalUcet_index ON mDanNakl USING btree (IdZklDalUcet);
CREATE INDEX mDanNakl_IdStred_index ON mDanNakl USING btree (IdStred);
CREATE INDEX mDanNakl_IdZakazky_index ON mDanNakl USING btree (IdZakazky);
CREATE INDEX mDanOdpisy_IdMajetku_index ON mDanOdpisy USING btree (IdMajetku);
CREATE INDEX mDanOdpisy_IdZklMdUcet_index ON mDanOdpisy USING btree (IdZklMdUcet);
CREATE INDEX mDanOdpisy_IdZklDalUcet_index ON mDanOdpisy USING btree (IdZklDalUcet);
CREATE INDEX mDanOdpisy_IdStred_index ON mDanOdpisy USING btree (IdStred);
CREATE INDEX mDanOdpisy_IdZakazky_index ON mDanOdpisy USING btree (IdZakazky);
CREATE INDEX mLeasing_IdTypLeas_index ON mLeasing USING btree (IdTypLeas);
CREATE INDEX mLeasing_IdMeny_index ON mLeasing USING btree (IdMeny);
CREATE INDEX mLeasing_IdCasUcet_index ON mLeasing USING btree (IdCasUcet);
CREATE INDEX mLeasing_IdZavazUcet_index ON mLeasing USING btree (IdZavazUcet);
CREATE INDEX mLeasing_IdNaklUcet_index ON mLeasing USING btree (IdNaklUcet);
CREATE INDEX mLeasing_IdDphZaklUcet_index ON mLeasing USING btree (IdDphZaklUcet);
CREATE INDEX mLeasing_IdDphSnizUcet_index ON mLeasing USING btree (IdDphSnizUcet);
CREATE INDEX mLeasing_IdFirmyDod_index ON mLeasing USING btree (IdFirmyDod);
CREATE INDEX mLeasing_IdFirmyVyr_index ON mLeasing USING btree (IdFirmyVyr);
CREATE INDEX mLeasing_IdStred_index ON mLeasing USING btree (IdStred);
CREATE INDEX mLeasing_IdZakazky_index ON mLeasing USING btree (IdZakazky);
CREATE INDEX mMajetek_IdSazby_index ON mMajetek USING btree (IdSazby);
CREATE INDEX mMajetek_IdUmisMist_index ON mMajetek USING btree (IdUmisMist);
CREATE INDEX mMajetek_IdUmisSekce_index ON mMajetek USING btree (IdUmisSekce);
CREATE INDEX mMajetek_IdUmisObj_index ON mMajetek USING btree (IdUmisObj);
CREATE INDEX mMajetek_IdTypMaj_index ON mMajetek USING btree (IdTypMaj);
CREATE INDEX mMajetek_IdZakazky_index ON mMajetek USING btree (IdZakazky);
CREATE INDEX mMajetek_IdStred_index ON mMajetek USING btree (IdStred);
CREATE INDEX mMajetek_IdDoklFak_index ON mMajetek USING btree (IdDoklFak);
CREATE INDEX mMajetek_IdFirmyDod_index ON mMajetek USING btree (IdFirmyDod);
CREATE INDEX mMajetek_IdFirmyVyr_index ON mMajetek USING btree (IdFirmyVyr);
CREATE INDEX mMajetek_IdPrimUcet_index ON mMajetek USING btree (IdPrimUcet);
CREATE INDEX mMajetek_IdProtiUcetZar_index ON mMajetek USING btree (IdProtiUcetZar);
CREATE INDEX mMajetek_IdOpravUcet_index ON mMajetek USING btree (IdOpravUcet);
CREATE INDEX mMajetek_IdOdpUcet_index ON mMajetek USING btree (IdOdpUcet);
CREATE INDEX mSplatKal_IdLeasing_index ON mSplatKal USING btree (IdLeasing);
CREATE INDEX mSplatKal_IdZklMdUcet_index ON mSplatKal USING btree (IdZklMdUcet);
CREATE INDEX mSplatKal_IdZklDalUcet_index ON mSplatKal USING btree (IdZklDalUcet);
CREATE INDEX mSplatKal_IdDphMdUcet_index ON mSplatKal USING btree (IdDphMdUcet);
CREATE INDEX mSplatKal_IdDphDalUcet_index ON mSplatKal USING btree (IdDphDalUcet);
CREATE INDEX mSplatKal_IdClenDph_index ON mSplatKal USING btree (IdClenDph);
CREATE INDEX mSplatKal_IdStred_index ON mSplatKal USING btree (IdStred);
CREATE INDEX mSplatKal_IdZakazky_index ON mSplatKal USING btree (IdZakazky);
CREATE INDEX mSplatKal_IdDoklFak_index ON mSplatKal USING btree (IdDoklFak);
CREATE INDEX mSplatKal_IdStatDph_index ON mSplatKal USING btree (IdStatDph);
CREATE INDEX mTypLeas_IdUcetObdobiOd_index ON mTypLeas USING btree (IdUcetObdobiOd);
CREATE INDEX mTypLeas_IdUcetObdobiDo_index ON mTypLeas USING btree (IdUcetObdobiDo);
CREATE INDEX mTypLeas_IdDphSnizUcet_index ON mTypLeas USING btree (IdDphSnizUcet);
CREATE INDEX mTypLeas_IdDphZaklUcet_index ON mTypLeas USING btree (IdDphZaklUcet);
CREATE INDEX mTypLeas_IdZavazUcet_index ON mTypLeas USING btree (IdZavazUcet);
CREATE INDEX mTypLeas_IdCasUcet_index ON mTypLeas USING btree (IdCasUcet);
CREATE INDEX mTypLeas_IdNaklUcet_index ON mTypLeas USING btree (IdNaklUcet);
CREATE INDEX mTypLeas_IdStred_index ON mTypLeas USING btree (IdStred);
CREATE INDEX mTypLeas_IdZakazky_index ON mTypLeas USING btree (IdZakazky);
CREATE INDEX mTypMaj_IdUcetObdobiOd_index ON mTypMaj USING btree (IdUcetObdobiOd);
CREATE INDEX mTypMaj_IdUcetObdobiDo_index ON mTypMaj USING btree (IdUcetObdobiDo);
CREATE INDEX mTypMaj_IdStred_index ON mTypMaj USING btree (IdStred);
CREATE INDEX mTypMaj_IdPrimUcet_index ON mTypMaj USING btree (IdPrimUcet);
CREATE INDEX mTypMaj_IdProtiUcetZar_index ON mTypMaj USING btree (IdProtiUcetZar);
CREATE INDEX mTypMaj_IdOpravUcet_index ON mTypMaj USING btree (IdOpravUcet);
CREATE INDEX mTypMaj_IdOdpUcet_index ON mTypMaj USING btree (IdOdpUcet);
CREATE INDEX mTypMaj_IdZakazky_index ON mTypMaj USING btree (IdZakazky);
CREATE INDEX mUcetOdpisy_IdMajetku_index ON mUcetOdpisy USING btree (IdMajetku);
CREATE INDEX mUcetOdpisy_IdZklMdUcet_index ON mUcetOdpisy USING btree (IdZklMdUcet);
CREATE INDEX mUcetOdpisy_IdZklDalUcet_index ON mUcetOdpisy USING btree (IdZklDalUcet);
CREATE INDEX mUcetOdpisy_IdStred_index ON mUcetOdpisy USING btree (IdStred);
CREATE INDEX mUcetOdpisy_IdZakazky_index ON mUcetOdpisy USING btree (IdZakazky);
CREATE INDEX mUdalosti_IdMajetku_index ON mUdalosti USING btree (IdMajetku);
CREATE INDEX mUdalosti_IdStred_index ON mUdalosti USING btree (IdStred);
CREATE INDEX mUdalosti_IdDphMdUcet_index ON mUdalosti USING btree (IdDphMdUcet);
CREATE INDEX mUdalosti_IdZakazky_index ON mUdalosti USING btree (IdZakazky);
CREATE INDEX mUdalosti_IdZklMdUcet_index ON mUdalosti USING btree (IdZklMdUcet);
CREATE INDEX mUdalosti_IdZklDalUcet_index ON mUdalosti USING btree (IdZklDalUcet);
CREATE INDEX mUdalosti_IdDphDalUcet_index ON mUdalosti USING btree (IdDphDalUcet);
CREATE INDEX mZapujcky_IdMajetku_index ON mZapujcky USING btree (IdMajetku);
CREATE INDEX mZapujcky_IdLeasing_index ON mZapujcky USING btree (IdLeasing);
CREATE INDEX mZapujcky_IdOsoby_index ON mZapujcky USING btree (IdOsoby);
CREATE INDEX mZapujcky_IdStatu_index ON mZapujcky USING btree (IdStatu);


CREATE INDEX aadresar_kod_index ON aadresar USING btree (kod);
CREATE INDEX askupfir_kod_index ON askupfir USING btree (kod);
CREATE INDEX asmerkod_kod_index ON asmerkod USING btree (kod);
CREATE INDEX astaty_kod_index ON astaty USING btree (kod);
CREATE INDEX cmerjed_kod_index ON cmerjed USING btree (kod);
CREATE INDEX cskupzboz_kod_index ON cskupzboz USING btree (kod);
CREATE INDEX delbanformat_kod_index ON delbanformat USING btree (kod);
CREATE INDEX dkonsym_kod_index ON dkonsym USING btree (kod);
CREATE INDEX dpolprikazuhr_kod_index ON dpolprikazuhr USING btree (kod);
CREATE INDEX drady_kod_index ON drady USING btree (kod);
CREATE INDEX idobpodm_kod_index ON idodpodm USING btree (kod);
CREATE INDEX idruhdopr_kod_index ON idruhdopr USING btree (kod);
CREATE INDEX iintrmerjed_kod_index ON iintrmerjed USING btree (kod);
CREATE INDEX ikrajurc_kod_index ON ikrajurc USING btree (kod);
CREATE INDEX inomen_kod_index ON inomen USING btree (kod);
CREATE INDEX iobchtrans_kod_index ON iobchtrans USING btree (kod);
CREATE INDEX izvlpoh_kod_index ON izvlpoh USING btree (kod);
CREATE INDEX mdannakl_kod_index ON mdannakl USING btree (kod);
CREATE INDEX mdanodpisy_kod_index ON mdanodpisy USING btree (kod);
CREATE INDEX mleasing_kod_index ON mleasing USING btree (kod);
CREATE INDEX mmajetek_kod_index ON mmajetek USING btree (kod);
CREATE INDEX msazby_kod_index ON msazby USING btree (kod);
CREATE INDEX msplatkal_kod_index ON msplatkal USING btree (kod);
CREATE INDEX mtypleas_kod_index ON mtypleas USING btree (kod);
CREATE INDEX mtypmaj_kod_index ON mtypmaj USING btree (kod);
CREATE INDEX mucetodpisy_kod_index ON mucetodpisy USING btree (kod);
CREATE INDEX mudalosti_kod_index ON mudalosti USING btree (kod);
CREATE INDEX mumisteni_kod_index ON mumisteni USING btree (kod);
CREATE INDEX nucetobdobi_kod_index ON nucetobdobi USING btree (kod);
CREATE INDEX uclendph_kod_index ON uclendph USING btree (kod);
CREATE INDEX umeny_kod_index ON umeny USING btree (kod);
CREATE INDEX ustducty_kod_index ON ustducty USING btree (kod);
CREATE INDEX ustrediska_kod_index ON ustrediska USING btree (kod);
CREATE INDEX uucty_kod_index ON uucty USING btree (kod);
CREATE INDEX uzakazky_kod_index ON uzakazky USING btree (kod);
CREATE INDEX wtiskses_kod_index ON wtiskses USING btree (kod);
CREATE INDEX wuzivatel_kod_index ON wuzivatel USING btree (kod);
CREATE INDEX wvybklice_kod_index ON wvybklice USING btree (kod);

CREATE INDEX uobraty_index ON uobraty USING btree (iducet, rok, obdobi, idstred, idmeny);
CREATE INDEX ddoklfak_index ON ddoklfak USING btree (kod, modul);
CREATE INDEX ddoklint_index ON ddoklint USING btree (kod, modul);
CREATE INDEX ddoklsklad_index ON ddoklsklad USING btree (kod, modul);

CREATE INDEX wlokcis_index ON wlokcis USING btree (ciselnik);

CREATE INDEX aadresar_mesto_ulice_index ON aadresar USING btree (mesto, ulice);
CREATE INDEX abanspoj_buc_index ON abanspoj USING btree (buc);
CREATE INDEX akontakty_prijmeni_jmeno_index ON akontakty USING btree (prijmeni, jmeno);
CREATE INDEX astaty_nazev_index ON astaty USING btree (nazev);
CREATE INDEX audalosti_datzahaj_index ON audalosti USING btree (datzahaj);
CREATE INDEX usazbydph_platioddata_index ON usazbydph USING btree (platioddata);
CREATE INDEX nnastav_platioddata_index ON nnastav USING btree (platioddata);
CREATE INDEX nucetobdobi_platioddata_index ON nucetobdobi USING btree (platioddata);
CREATE INDEX ukurzy_platioddata_index ON ukurzy USING btree (platioddata);
CREATE INDEX wuzivatel_prijmeni_jmeno_index ON wuzivatel USING btree (prijmeni, jmeno);

CREATE INDEX audalosti_datZahaj_prijmeni_index ON audalosti USING btree (datZahaj, prijmeni);
CREATE INDEX dpolfak_datVyst_index ON dpolfak USING btree (datVyst);
CREATE INDEX dpolint_datVyst_index ON dpolint USING btree (datVyst);
CREATE INDEX dpolsklad_datVyst_index ON dpolsklad USING btree (datVyst);

CREATE INDEX mucetodpisy_datVyst_index ON mucetodpisy USING btree (datVyst);
CREATE INDEX mdanodpisy_datVyst_index ON mdanodpisy USING btree (datVyst);
CREATE INDEX mudalosti_datVyst_index ON mudalosti USING btree (datVyst);
CREATE INDEX msplatkal_datVyst_index ON msplatkal USING btree (datVyst);
CREATE INDEX mdannakl_datVyst_index ON mdannakl USING btree (datVyst);

-- unikatnost nad seznam der
delete from dradydiry where idradydiry in
 (select idradydiry from dradydiry except 
  select max(idradydiry) from dradydiry group by cisdira);
ALTER TABLE dradydiry
  ADD CONSTRAINT dradydiry_cisdira_idradyrok_unique UNIQUE(cisdira, idradyrok);

insert into dbversion(iddbversion, dbversion, needreimport) values (nextval('seq_dbversion'), 5, 't')