--------------------------------------------------------------------------------
-- Bug 24913 – [WinStrom] Fifo - problém zásoba 0 ks, 0,02 Kč
--------------------------------------------------------------------------------

-- Function: sfifovydej(integer, integer, integer, integer, numeric)
-- DROP FUNCTION sfifovydej(integer, integer, integer, integer, numeric);
CREATE OR REPLACE FUNCTION sfifovydej(idvydej integer, idcenikvydej integer, idskladvydej integer, idkartyvydej integer, vyd numeric)
  RETURNS void AS
$BODY$     
declare      
  _zaznam Record;      
  _vybrano numeric(19,6);    
  _i integer;    
  _novevydcelkem numeric(19,6);    
  _pocet numeric(19,6);    
  _cenamjP numeric(19,6); 
  _sumZklP numeric(19,2);
  _cenaMjPMen numeric(19,6); 
  _kurzDokladuP numeric(19,6);  
  _kurzDokladuV numeric(19,6);  
  _idDoklSkladP integer;   
  _idDoklSkladV integer;  
  _datVystV date;  
  _idrozlozeni integer;    
  _vydexpir boolean;    
  _vyrcis character varying(255);    
  _sklfifo boolean; 
  _sarze character varying(255); 
  _expirace date;      
  _evidVyrCis boolean;   
begin      
  _vybrano := 0;    
  _i := 1;    
  _novevydcelkem := vyd;    
  select evidVyrCis into _evidVyrCis from ccenik where idcenik = idcenikvydej; 
  if (not _evidVyrCis) then 
    if (idvydej>0) then 
      select vydexpir into _vydexpir from skarty where idkarty=idkartyvydej limit 1; 
      select sarze, expirace into _sarze, _expirace from dpolsklad where idpolsklad = idvydej;    
      if (not _vydexpir) then    
        --pořadí výdeje dle datvyst (dále se bude řesit upřednostněný výdej mimo FIFO)    
        for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by datSklad,idpolsklad loop      
          if(not _zaznam is null) then
            if((_sarze is null or _sarze = _zaznam.sarze) and (_expirace is null or _expirace = _zaznam.expirace)) then 
              if (_vybrano<_novevydcelkem) then    
                _pocet := _zaznam.pocet;    
                if( _vybrano+_pocet) > _novevydcelkem then    
                  _pocet := _novevydcelkem-_vybrano;    
                end if;    
                _vybrano := _vybrano+_pocet;    
                --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo    
                _vyrcis := '';    
                if (_zaznam.idvyrobnicislo>0) then    
                  select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo;
                end if;    
                --    
                if (_i = 1) then 
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));    
                  if (_sklfifo) then    
                    select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);    
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);   
                    if (_kurzDokladuP <> 0.0) then 
                      _cenamjP := _cenamjP * _kurzDokladuP;    
	                end if;  
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;  
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV)); 
                    _cenamjP := _cenamjP / _kurzDokladuV; 
                    _cenaMjPMen := 0.0; 
                    if(_kurzDokladuV <> 1.0) then 
                      _cenaMjPMen := _cenaMjP; 
                    end if; 
                    if(_zaznam.pocet = _pocet) then
                      select pp.sumZkl - coalesce((select sum(sumZkl) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = _zaznam.idPolSklad), 0.0) into _sumZklP from dpolsklad pp where idpolsklad = _zaznam.idPolSklad;
                    else
                      _sumZklP = _pocet*_cenamjP*_kurzDokladuV;
                    end if;
                    insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;  
                    update dpolsklad set mnozmj = _pocet, mnozMjPlan = _pocet,cenamj = _cenamjP, cenaMjPoriz = _cenaMjP, sumzkl = _sumZklP, sumZklMen = _pocet*_cenaMjPMen, sarze = _zaznam.sarze, expirace = _zaznam.expirace 
                          where idpolsklad = idvydej; 
                  else 
                    insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;  
                    update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej; 
                  end if;
                else    
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));    
                  if (_sklfifo) then    
                    select nextval('seq_dpolsklad') into _idrozlozeni;    
                    select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);   
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);   
                    if (_kurzDokladuP <> 0.0) then   
                      _cenamjP := _cenamjP * _kurzDokladuP;    
                    end if;   
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;  
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));  
                    _cenamjP := _cenamjP / _kurzDokladuV; 
                    _cenaMjPMen := 0.0; 
                    if(_kurzDokladuV <> 1.0) then 
                      _cenaMjPMen := _cenaMjP; 
                    end if; 
                    if(_zaznam.pocet = _pocet) then
                      select pp.sumZkl - coalesce((select sum(sumZkl) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = _zaznam.idPolSklad), 0.0) into _sumZklP from dpolsklad pp where idpolsklad = _zaznam.idPolSklad;
                    else
                      _sumZklP = _pocet*_cenaMjP*_kurzDokladuV;
                    end if;  
                    insert into dpolsklad(idpolsklad,mnozmj,idtypucop,koptypucop,autozaokr,autogen,baleniid,cenjednotka,cenamj,  cenaMjPoriz,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,        kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,        slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,                sumzklmen,         szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy)
                         (select (-1*_idrozlozeni),  _pocet,idtypucop,koptypucop,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,_cenaMjP,   cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_sumZklP,_pocet*_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy from dpolsklad where idpolsklad=idVydej);
                    --    
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);    
                    insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);    
                  else    
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);    
                  end if;    
                end if;    
                --    
                _i:=_i+1;    
              else
                if (_vybrano>_novevydcelkem) then
                  _pocet := -_zaznam.pocet;
                  if(( _vybrano+_pocet) < _novevydcelkem) then
                    _pocet := _novevydcelkem-_vybrano;
                  end if;
                  _vybrano := _vybrano+_pocet;
                  insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, 0-_pocet,_zaznam.idvyrobnicislo) ;
                end if;
              end if; 
            end if;
          end if;
        end loop;   
      else    
        --pořadí výdeje dle expirace (dále se bude řesit upřednostněný výdej mimo FIFO)    
        for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by expirace, idpolsklad loop      
          if(not _zaznam is null) then
            if((_sarze is null or _sarze = _zaznam.sarze) and (_expirace is null or _expirace = _zaznam.expirace)) then 
              if (_vybrano<_novevydcelkem) then    
                _pocet := _zaznam.pocet;    
                if( _vybrano+_pocet) > _novevydcelkem then    
                  _pocet := _novevydcelkem-_vybrano;    
                end if;    
                _vybrano := _vybrano+_pocet;    
                --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo    
                _vyrcis := '';    
                if (_zaznam.idvyrobnicislo>0) then    
                    select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo;
                end if;    
                --    
                if (_i = 1) then    
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));    
                  if (_sklfifo) then    
                    select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);    
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);   
                    if (_kurzDokladuP <> 0.0) then   
                      _cenamjP := _cenamjP * _kurzDokladuP;    
                    end if;  
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;  
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));  
                    _cenamjP := _cenamjP / _kurzDokladuV; 
                    _cenaMjPMen := 0.0; 
                    if(_kurzDokladuV <> 1.0) then 
                      _cenaMjPMen := _cenaMjP; 
                    end if; 
                    if(_zaznam.pocet = _pocet) then
                      select pp.sumZkl - coalesce((select sum(sumZkl) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = _zaznam.idPolSklad), 0.0) into _sumZklP from dpolsklad pp where idpolsklad = _zaznam.idPolSklad;
                    else
                      _sumZklP = _pocet*_cenamjP*_kurzDokladuV;
                    end if;
                    insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;     
                    update dpolsklad set mnozmj = _pocet, mnozMjPlan = _pocet, cenamj = _cenamjP, cenaMjPoriz = _cenaMjP, sumzkl = _sumZklP, sumZklMen = _pocet*_cenaMjPMen, sarze = _zaznam.sarze, expirace = _zaznam.expirace  
                          where idpolsklad = idvydej; 
                  else 
                    insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;    
                    update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej; 
                  end if;    
                else    
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));    
                  if (_sklfifo) then    
                    select nextval('seq_dpolsklad') into _idrozlozeni;    
                    select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);   
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);   
                    if (_kurzDokladuP <> 0.0) then   
                      _cenamjP := _cenamjP * _kurzDokladuP;    
                    end if;   
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;  
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));  
                    _cenamjP := _cenamjP / _kurzDokladuV; 
                    _cenaMjPMen := 0.0; 
                    if(_kurzDokladuV <> 1.0) then 
                      _cenaMjPMen := _cenaMjP; 
                    end if; 
                    if(_zaznam.pocet = _pocet) then
                      select pp.sumZkl - coalesce((select sum(sumZkl) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = _zaznam.idPolSklad), 0.0) into _sumZklP from dpolsklad pp where idpolsklad = _zaznam.idPolSklad;
                      _sumZklP = _sumZklP / _kurzDokladuV;
                    else
                      _sumZklP = _pocet*_cenaMjP;
                    end if; 
                    insert into dpolsklad(idpolsklad,mnozmj,idtypucop,koptypucop,autozaokr,autogen,baleniid,cenjednotka,cenamj,  cenaMjPoriz,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,        kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,        slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,                sumzklmen,         szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy)
                         (select (-1*_idrozlozeni),  _pocet,idtypucop,koptypucop,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,_cenaMjP,   cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_sumZklP,_pocet*_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy from dpolsklad where idpolsklad=idVydej);
                    --    
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);    
                    insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);    
                  else     
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);     
                  end if;     
                end if;     
                --     
                _i:=_i+1;     
              else
                if (_vybrano>_novevydcelkem) then
                  _pocet := -_zaznam.pocet;
                  if(( _vybrano+_pocet) < _novevydcelkem) then
                    _pocet := _novevydcelkem-_vybrano;
                  end if;
                  _vybrano := _vybrano+_pocet;
                  insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, 0-_pocet,_zaznam.idvyrobnicislo) ;
                end if;
              end if;  
            end if;
          end if;    
        end loop;     
      end if;     
    else     
      --nepoustím fifo do rekurze, příznak záporného id udělám opět kladný     
      update dpolsklad set idPolSklad = -1*idVydej where idpolsklad=idVydej;              
    end if; 
  end if;    
end;      
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION sfifovydej(integer, integer, integer, integer, numeric) OWNER TO %firmaRole%;


-- Function: svyrobnicisloupdate
CREATE OR REPLACE FUNCTION svyrobnicisloupdate()
  RETURNS trigger AS
$BODY$   
declare
  _sklFifo boolean;
  _mnozMj numeric(19,6);
  _mnozMjP numeric(19,6); 
  _datVyst date;
  _idRozlozeni integer;
  _cenaMjP numeric(19,6);
  _kurzDokladuP numeric(19,6);
  _kurzDokladuV numeric(19,6);
  _idDoklSkladP integer;
  _idDoklSkladV integer;
  _datVystV date;
  _cenaMjPMen numeric(19,6);
  _mnozVyrobnichCisel numeric(19,6); 
  _mnozMjPoZmene numeric(19,6);
  _sumZklP numeric(19,6);
begin
  if(NEW.idPolSkladVydej is not null and OLD.idPolSkladVydej is null) then
    select datVyst, mnozMj into _datVyst, _mnozMj from dPolSklad where idPolSklad = NEW.idPolSkladVydej;
    _mnozVyrobnichCisel = 1;
    _mnozMjPoZmene = _mnozMj;
    if(_mnozMj < 0.0) then
      _mnozMjPoZmene = 0.0 - _mnozMj;
      _mnozVyrobnichCisel = -1;
    end if;
 
    _sklfifo := (select isfifosklad(_datVyst));
    if(_sklFifo) then

      select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = NEW.idPolSkladPrijem);    
      select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);   
      if (_kurzDokladuP <> 0.0) then   
	_cenamjP := _cenamjP * _kurzDokladuP;    
      end if;  
      select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = NEW.idPolSkladVydej;  
      _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));  
      _cenamjP := _cenamjP / _kurzDokladuV;
      _cenaMjPMen := 0.0;
	  if(_kurzDokladuV <> 1.0) then
        _cenaMjPMen := _cenaMjP;
      end if;

      select pp.mnozMj - coalesce((select sum(mnozMj) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = NEW.idPolSkladPrijem), 0.0) into _mnozMjP from dpolsklad pp where idpolsklad = NEW.idPolSkladPrijem;
      if(_mnozMjP = _mnozVyrobnichCisel) then
        select pp.sumZkl - coalesce((select sum(sumZkl) from dpolsklad pv join sfifovazby v on pv.idpolsklad = v.idpolskladvydej and v.idpolskladprijem = NEW.idPolSkladPrijem), 0.0) into _sumZklP from dpolsklad pp where idpolsklad = NEW.idPolSkladPrijem;
      else
        _sumZklP = _cenamjP*_kurzDokladuV*_mnozVyrobnichCisel;
      end if;

      if(_mnozMjPoZmene > 1) then
        -- odecteni 1 z mnoz mj a vytvoreni nove polozky a mnozstvim 1 a 1 vyrobnim cislem
        select nextval('seq_dpolsklad') into _idrozlozeni;                       
	update dpolsklad set mnozMJ = _mnozMj - _mnozVyrobnichCisel, mnozMJPlan = _mnozMj - _mnozVyrobnichCisel where idPolSklad = NEW.idPolSkladVydej; 

        insert into dpolsklad(idpolsklad,           mnozmj,             autozaokr,autogen,baleniid,cenjednotka,cenamj,  cenaMjPoriz,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,                                       sumzklmen,                       szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy) 
                             (select (_idrozlozeni),_mnozVyrobnichCisel,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,_cenaMjP,   cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_cenamjP*_kurzDokladuV * _mnozVyrobnichCisel,_cenaMjPMen * _mnozVyrobnichCisel,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy from dpolsklad where idpolsklad = NEW.idpolskladvydej); 
	insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,_idrozlozeni,1,NEW.idvyrobnicislo);
	insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (NEW.idPolSkladVydej, _idrozlozeni);
	NEW.idPolSkladVydej = _idRozlozeni;
      else
        -- nastaveni vyrobniho cisla na a vytvoreni vazby
        --update sfifovazby set idvyrobnicislo = NEW.idvyrobnicislo, kusu = 1, idpolskladprijem = NEW.idpolskladprijem where idpolskladvydej = NEW.idpolskladvydej and idvyrobnicislo = -1;
        insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,NEW.idPolSkladVydej,1,NEW.idvyrobnicislo);
        --select cenaMj into _cenaMjP from dpolsklad where idPolSklad = NEW.idPolSkladPrijem;
        update dpolsklad set cenaMJ = _cenaMjP, cenaMjPoriz = _cenaMjP, sumZkl =  _sumZklP/*_cenamjP*_kurzDokladuV*_mnozVyrobnichCisel*/, sumZklMen = _cenaMjPMen*_mnozVyrobnichCisel where idPolSklad = NEW.idPolSkladVydej;
      end if;
      --
    else
      insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,NEW.idPolSkladVydej,1,NEW.idvyrobnicislo);
    end if;
  elsif (NEW.idPolSkladVydej is null and OLD.idPolSkladVydej is not null) then
    -- pokud se idPolSkladVydej nastavi na null z nejake hodnoty musi se smazat i fifo vazba s timto vyrobnim cislem
    delete from sfifovazby where idvyrobnicislo = NEW.idVyrobniCislo;
  end if;
  execute sprepoctisumydokladu(_idDoklSkladV);
  return NEW;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION svyrobnicisloupdate() OWNER TO %firmaRole%;

CREATE OR REPLACE FUNCTION dpolskladdelete()
  RETURNS trigger AS
$BODY$
declare
  _rozsirenaPolozka record;
  _mazatTmpTable boolean; 
begin
  if(not OLD.storno) then
    -- generuji rozsirene polozky
    select skladGenerujRozsirenePolozky(OLD.datSklad, OLD.idPolSklad, OLD.idKarty) into _mazatTmpTable;

    execute putglotxvariable('zurnalTxName', 'prepocetSkladu');

    for _rozsirenaPolozka in (select * from tmp_RozsirenePolozky order by datum, skupina, iddoklskladMaster, typpohybuk desc, idpolsklad) loop
      if(_rozsirenaPolozka.idPolSklad <> OLD.idPolSklad) then 
        execute skladOdpoctiRozsirenouPolozku(_rozsirenaPolozka.idPolSklad);
      else 
        --raise exception 'v rozsirenych polozkach je mazana polozka s id %', _rozsirenaPolozka; 
      end if;
    end loop;

    -- musim jeste odpocist mazanou polozku
    --execute skladOdpoctiRozsirenouPolozku(OLD.idPolSklad);
    execute sprepoctiskladkartu(OLD.mnozMj, OLD.cenaMj, OLD.sumZkl, OLD.datSklad, OLD.idKarty, OLD.idDoklSklad, OLD.idBspSkl, -1);
  
    for _rozsirenaPolozka in (select * from tmp_RozsirenePolozky order by datum, skupina, iddoklskladMaster, typpohybuk desc, idpolsklad) loop
      if(_rozsirenaPolozka.idPolSklad <> OLD.idPolSklad) then
        execute skladZapoctiRozsirenouPolozku(_rozsirenaPolozka.idPolSklad);
      else
        --raise exception 'v rozsirenych polozkach je mazana polozka s id %', _rozsirenaPolozka; 
      end if;
    end loop;
    
    execute sfifostorno(OLD.idPolSklad, OLD.idDoklSklad);

    if(_mazatTmpTable) then
      drop table tmp_RozsirenePolozky;
      drop table tmp_SkladoveKarty;
      execute removeglotxvariable('zurnalTxName');
    end if;
  end if; 
  
  return NEW;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION dpolskladdelete() OWNER TO %firmaRole%;

-- Function: dpolskladupdate()
-- DROP FUNCTION dpolskladupdate();
CREATE OR REPLACE FUNCTION dpolskladupdate()
  RETURNS trigger AS
$BODY$ 
declare 
  tmp_rozsirenepolozky_exists boolean; 
  _updatuj boolean; 
  _pocetPolozek integer; 
  _rozsirenaPolozka record; 
  _sklFifo boolean; 
  _vypnutySklad character varying;
  _mazatTmpTable boolean; 
begin 
  if(NEW.idBspSkl = OLD.idBspSkl and NEW.idCenik = OLD.idCenik and comparedate(NEW.datSklad, OLD.datSklad)
    and comparevarchar(NEW.typPolozkyK, OLD.typPolozkyK)
    and comparevarchar(NEW.sarze, OLD.sarze) and comparedate(NEW.expirace, OLD.expirace)
    and NEW.mnozMj = OLD.mnozMj and NEW.cenaMj = OLD.cenaMj and NEW.sumZkl = OLD.sumZkl and NEW.sumZklMen = OLD.sumZklMen
    and NEW.storno = OLD.storno 
  ) then
    return NEW;
  end if;

  /* 
    prepocet skladu budeme provadet jen v okamziku kdy neexistuje tabulka tmp_rozsirenePolozky 
    nebo kdyz tato tabulka existuje ale neni v ni obsazeno polozka kteoru chceme updatovat 
  */ 
  select getglotxvariable('vypniSklad') into _vypnutySklad; 
  if(_vypnutySklad is null or _vypnutySklad <> 'true') then 
    _updatuj = true; 
    tmp_rozsirenepolozky_exists := (select istableexist('tmp_RozsirenePolozky')); 
    if(tmp_rozsirenepolozky_exists = true) then 
      select count(*) into _pocetPolozek from tmp_rozsirenePolozky where idPolSklad = NEW.idPolSklad; 
      if(_pocetPolozek > 0) then 
        _updatuj = false; 
      end if; 
    end if; 
 
    if(OLD.idPolSklad < 0 and NEW.idPolSklad > 0) then 
      _updatuj = false; 
    end if; 
   
    _sklfifo := (select isfifosklad(NEW.datSklad));   
    if (_sklfifo) then   
      --fifo   
      if (OLD.storno=false and NEW.storno=true) then   
        execute sfifoStorno(OLD.idpolsklad, OLD.iddoklsklad);   
      end if;     
      if (OLD.cenamj <> NEW.cenamj) then   
        execute sfifocenamj(OLD.idpolsklad, OLD.iddoklsklad, NEW.cenamj);   
      end if;     
      --fifo konec   
    end if;   
 
    -- tohle musi byt i pro prumerne ceny protoze jinak se negeneruji fifo vazby
    if (OLD.mnozMj = 0.0 and NEW.mnozMj != 0.0) then
      execute sfifovydej(NEW.idPolSklad, NEW.idCenik, NEW.idBspSkl, NEW.idkarty, NEW.mnozMjPlan);
    end if;
    
    if(_updatuj) then 
 
      -- generuji rozsirene polozky 
      select skladGenerujRozsirenePolozky(NEW.datSklad, NEW.idPolSklad, NEW.idKarty) into _mazatTmpTable; 
     
      execute putglotxvariable('zurnalTxName', 'prepocetSkladu'); 
  
      for _rozsirenaPolozka in (select * from tmp_RozsirenePolozky order by datum, skupina, iddoklskladMaster, typpohybuk desc, idpolsklad) loop 
        if(_rozsirenaPolozka.idPolSklad <> OLD.idPolSklad) then 
          execute skladOdpoctiRozsirenouPolozku(_rozsirenaPolozka.idPolSklad); 
        end if; 
      end loop; 

      if(OLD.storno = false) then
        execute sprepoctiskladkartu(OLD.mnozMj, OLD.cenaMj, OLD.sumZkl, OLD.datSklad, OLD.idKarty, OLD.idDoklSklad, OLD.idBspSkl, -1);
      end if;

      for _rozsirenaPolozka in (select * from tmp_RozsirenePolozky order by datum, skupina, iddoklskladMaster, typpohybuk desc, idpolsklad) loop 
        if(_rozsirenaPolozka.idPolSklad <> OLD.idPolSklad) then 
          execute skladZapoctiRozsirenouPolozku(_rozsirenaPolozka.idPolSklad); 
        else
          if(NEW.storno = false) then
            execute sprepoctiskladkartu(NEW.mnozMj, NEW.cenaMj, NEW.sumZkl, NEW.datSklad, NEW.idKarty, NEW.idDoklSklad, NEW.idBspSkl, 1);
          end if;
        end if;
      end loop; 
 
      if(_mazatTmpTable) then 
        drop table tmp_RozsirenePolozky; 
        drop table tmp_SkladoveKarty; 
        execute removeglotxvariable('zurnalTxName'); 
      end if; 
        
    end if; 
  end if;
  return NEW; 
end; 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION dpolskladupdate() OWNER TO %firmaRole%;


CREATE OR REPLACE FUNCTION sprepoctiskladkartu(i_mnozmj numeric, i_cenamj numeric, i_sumzkl numeric, i_datvyst date, i_skladkartaid integer, i_doklskladid integer, i_skladid integer, i_nasobic integer)
  RETURNS void AS
$BODY$    
/* Prepocte stavy na skladove karte s id = iSkladKartaId */    
declare    
  /* Deklarace promennych */    
  _PomMnozMJ numeric(19,6);    
  _StavMJ numeric(19,6);    
  _StavTuz numeric(19,2);    
  _StavMen numeric(19,2);    
  _PrumCenaTuz numeric(19,6);    
  _PrumCenaMen numeric(19,6);    
  _PoslCenaTuz numeric(19,6);    
  _PoslCenaMen numeric(19,6);    
  _TypPohybuK varchar(50);    
  _DatPosl date;    
  _kurzSkladKarty numeric(19,6);   
  _kurzDokladu numeric(19,6);   
  loc_MnozMJ numeric(19,6);   
  _sklzapor boolean;  
  _sklfifo boolean;    
   
  /* Deklarace kurzoru pro nacteni potrebnych dat ze skladove karty a dokladu */   
  declare ThisDoklSklad cursor for select TypPohybuK from dDoklSklad where idDoklSklad = i_DoklSkladId;   
  declare ThisSkladKarta cursor for select StavMJ,StavTuz,StavMen,PrumCenaTuz,PrumCenaMen,DatPosl from sKarty where idKarty = i_SkladKartaId;     
begin   
  loc_MnozMJ:= i_MnozMJ;   
   
  /* Nacteni dat ze skladove karty */   
  open ThisSkladKarta;   
  fetch ThisSkladKarta into _StavMJ,   
    _StavTuz,_StavMen,_PrumCenaTuz,_PrumCenaMen,_DatPosl;   
  close ThisSkladKarta;   
     
  /* Zjisteni typPohybuK */   
  open ThisDoklSklad;   
  fetch ThisDoklSklad into _TypPohybuK;   
  close ThisDoklSklad;   
  
  /* zjisteni meny skladove karty */  
  _KurzSkladKarty := (select getKurzFromSklad(i_skladId, i_DatVyst));  
  _KurzDokladu := (select getKurzFromDoklad(i_doklSkladId, i_DatVyst));  
    
  /* pokud jde o vydej musim odecitat */   
  if _TypPohybuK = 'typPohybu.vydej' then   
    loc_MnozMJ:= 0-loc_MnozMJ;   
  end if;   
     
  /* Vypocet StavMJ */   
  _StavMJ:=_StavMJ+loc_MnozMJ*i_Nasobic;   
  
  if _StavMJ < 0 then  
    select sklzapor into _sklzapor from nNastav where i_DatVyst >= PlatiOdData order by PlatiOdData desc limit 1;  
	if (_sklzapor is null) then  
		select sklzapor into _sklzapor from nNastav where PlatiOdData is null limit 1;   
	end if;  
    if _sklzapor is null or _sklzapor = false then  
        /*raise exception '0002:sPreporctiSkladKartu: neni povolen zaporny stav skladu';*/  
    end if;  
  end if;  
	  
     
  /* Vypocet StavTuz */   
  if (loc_MnozMJ = 0 and _TypPohybuK = 'typPohybu.prijem')then    
    _PomMnozMJ:=1;   
    _StavTuz:=_StavTuz+(_PomMnozMJ*i_CenaMJ*i_Nasobic*_KurzDokladu);
  else   
    _PomMnozMJ:=loc_MnozMJ;
    if(loc_MnozMj < 0) then
      _StavTuz:=_StavTuz+(-1*i_sumZkl*i_Nasobic);
    else
      _StavTuz:=_StavTuz+(1*i_sumZkl*i_Nasobic);
    end if;
  end if;   
  /* Vypocet StavMen */   
  _StavMen:=_StavMen+(_PomMnozMJ*i_CenaMJ*i_Nasobic*_KurzDokladu)/_KurzSkladKarty;   
  
  /* Vypocet prumernych cen ma byt proveden jen pri prijmu*/  
  if _TypPohybuK = 'typPohybu.prijem' then
    /* Vypocet PrumCenaTuz */   
    if _StavMJ > 0 then   
      _PrumCenaTuz:=_StavTuz/_StavMJ;   
    end if;   
    /* Vypocet PrumCenaMen */   
    if _StavMJ > 0 then   
      _PrumCenaMen:=_StavMen/_StavMJ;   
    end if;   
  end if;   
   
  /* Prepocteni stavu skladu pro FIFO */
  -- drobna uprava prumerne ceny pokud by doslo k chybe vlivem zaokrouhleni a pro fifo nutnost  
  --_sklfifo := (select isfifosklad(i_DatVyst));  
  --if (_sklfifo) then  
    if(_StavMJ <> 0.0) then 
      _PrumCenaTuz := _StavTuz / _StavMJ;  
      _PrumCenaMen := _StavMen / _StavMJ; 
    end if; 
  --end if;  
   
  /* Nastaveni posledni ceny */   
  _PoslCenaTuz:= i_CenaMJ * _KurzDokladu;  
  _PoslCenaMen:= i_CenaMJ;   
  
  /* Nastaveni data posledniho pohybu na karte */   
  if _DatPosl is null then   
    _DatPosl:= i_DatVyst;   
  end if;   
  if _DatPosl < i_DatVyst then   
    _DatPosl:=i_DatVyst;   
  end if;   
  
  /* Update v databazi */
  if(_TypPohybuK = 'typPohybu.vydej') then
    update sKarty set StavMJ = _StavMJ,    
      StavTuz = _StavTuz,    
      StavMen = _StavMen,    
      PrumCenaTuz = _PrumCenaTuz,    
      PrumCenaMen = _PrumCenaMen,
      DatPosl = _DatPosl where    
      idKarty = i_SkladKartaId;    
  else
    update sKarty set StavMJ = _StavMJ,    
      StavTuz = _StavTuz,    
      StavMen = _StavMen,    
      PrumCenaTuz = _PrumCenaTuz,    
      PrumCenaMen = _PrumCenaMen,    
      PoslCenaTuz = _PoslCenaTuz,    
      PoslCenaMen = _PoslcenaMen,    
      DatPosl = _DatPosl where    
      idKarty = i_SkladKartaId;    
  end if;  
end;   
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION sprepoctiskladkartu(numeric, numeric, numeric, date, integer, integer, integer, integer) OWNER TO %firmaRole%;


------------------------------------------------------------------------------------------
-- Bug 25115 – [WinStrom] Problém s vybíráním šarže ve VF
------------------------------------------------------------------------------------------

-- Function: dgetstavnasklade(integer, date, integer, character varying, date, character varying)
-- DROP FUNCTION dgetstavnasklade(integer, date, integer, character varying, date, character varying);
CREATE OR REPLACE FUNCTION dgetstavnasklade(i_skladkartaid integer, i_datum date, i_polskladid integer, i_sarze character varying, i_expirace date, i_typpohybuk character varying)
  RETURNS numeric AS
$BODY$       
declare      
  _pocMj numeric(19,6);      
  _obratMj numeric(19,6);      
  _stavMj numeric(19,6);      
  _idcenik integer;    
  _idskladu integer;    
  _typPohybuK character varying(50);    
  _sadaItemCount integer;  
  _polozkaSady record;  
  _idSkladKarty integer;  
  _iducetniobdobi integer;  
  _idPolSklad integer;  
  _stavSkladuSady numeric(19,6);  
  _mnozMj numeric(19,6);  
  _stavMjKarty numeric(19,6);  
  _rozpadlaPolSklad record;  
begin      
  SELECT pocatMj INTO _pocMj      
  FROM sKarty      
  WHERE idKarty = i_skladkartaid;      
      
  if (i_datum is null) then      
    raise exception '0005:dGetStavNaSklade : Vstupni parametr datum je null.';       
  end if;    
    
  _typPohybuK := i_typPohybuK;    
  --if (i_polskladid >= 0) then    
  --  select typPohybuK into _typPohybuK from ddoklsklad     
  --    where iddoklsklad = (select iddoklsklad from dpolsklad where idpolsklad = i_polskladid);    
  --end if;    
    
  select idcenik, idskladu, iducetobdobi into _idcenik, _idskladu, _iducetniobdobi from skarty where idkarty = i_skladkartaid;  
  
  -- zjistim jestli nahodu dany cenik neni sada nebo komplet  
  select count(*) into _sadaItemCount from csady where idceniksada = _idCenik;  
  -- pokud se nejedna o sadu tak funguju normalne  
  if(_sadaItemCount = 0) then  
    if ((i_sarze is null or i_sarze = '') and i_expirace is null) then     
      -- zkusime zjistit stav skladu k datu  
      if (i_polSkladId < 0) then        
        SELECT sum(CASE ds.typPohybuK WHEN 'typPohybu.prijem' THEN ps.mnozMj ELSE -ps.mnozMj END) INTO _obratMj        
        FROM dPolSklad ps LEFT OUTER JOIN dDoklSklad ds ON ps.idDoklSklad = ds.idDoklSklad        
        WHERE idkarty = i_skladkartaid AND ps.storno <> true AND ps.datSklad <= i_datum;        
      else        
        SELECT sum(CASE ds.typPohybuK WHEN 'typPohybu.prijem' THEN ps.mnozMj ELSE -ps.mnozMj END) INTO _obratMj        
        FROM dPolSklad ps LEFT OUTER JOIN dDoklSklad ds ON ps.idDoklSklad = ds.idDoklSklad        
        WHERE idkarty = i_skladkartaid AND ps.storno <> true AND (ps.datSklad < i_datum OR (ps.datSklad = i_datum AND ps.idPolSklad < i_polskladid));        
      end if;     
      if(_obratMj is null) then _obratMj = 0.0; end if;        
      if(_pocMj is null) then _pocMj = 0.0; end if;         
      _stavMj = _pocMj + _obratMj;     
      -- zkusime vypocitat stav na vrcholu  
      select stavMj into _stavMjKarty from skarty where idkarty = i_skladkartaid;  
      _mnozMj = 0.0;  
      if(i_polSkladId >= 0) then  
        select mnozMj into _mnozMj from dPolSklad where idPolSklad = i_polSkladId;  
      end if; 
      for _rozpadlaPolSklad in (select * from dPolSklad where idPolSklad in   
        (select idpolskladcil from svazbypolsklad where idpolskladzdroj = i_polSkladId))   
      loop   
        _mnozMj = _mnozMj + _rozpadlaPolSklad.mnozMj;  
      end loop;  
      if(_typPohybuK = 'typPohybu.vydej') then  
        _stavMjKarty = _stavMjKarty + _mnozMj;  
      else  
        _stavMjKarty = _stavMjKarty - _mnozMj;  
      end if;  
       
      -- spravna hodnota dle bugu 21375 minimum z obou hodnot  
      if(_typPohybuK = 'typPohybu.vydej') then  
        select minValue(_stavMj, _stavMjKarty) into _stavMj;  
      end if;  
    else     
      if ((i_sarze is not null and i_sarze <> '') and (i_expirace is null)) then     
        --raise exception 'idCenik = % and idSkladu = %', _idCenik, _idSkladu;    
        
        select sum(pocet) into _stavMj from dpolskladf where idcenik = _idcenik and idskladu = _idskladu and sarze = i_sarze;     
      elsif ((i_sarze is null or i_sarze = '') and (i_expirace is not null)) then     
        select sum(pocet) into _stavMj from dpolskladf where idcenik = _idcenik and idskladu = _idskladu and expirace = i_expirace;     
      else     
        select sum(pocet) into _stavMj from dpolskladf where idcenik = _idcenik and idskladu = _idskladu and sarze = i_sarze and expirace = i_expirace;     
      end if;     
      if (_typPohybuK is not null and _typPohybuK = 'typPohybu.prijem') then     
        select coalesce(sum(mnozMj), 0.0) into _obratMj from dpolsklad where idpolsklad = i_polskladid;     
        if(_stavMj is null) then     
          _stavMj := -_obratMj;     
        else     
          _stavMj := _stavMj - _obratMj;     
        end if;     
      elsif (_typPohybuK is not null and _typPohybuK = 'typPohybu.vydej') then     
        select coalesce(sum(mnozMj), 0.0) into _obratMj from dpolsklad where idpolsklad = i_polskladid;     
        if(_stavMj is null) then     
          _stavMj := _obratMj;     
        else     
          _stavMj := _stavMj + _obratMj;     
        end if;     
      end if;     
    end if;    
  else  
    for _polozkaSady in  
      select * from cSady where idCenikSada = _idCenik  
    loop  
      select idKarty into _idSkladKarty from sKarty where idCenik = _polozkaSady.idCenik and idSkladu = _idskladu and idUcetObdobi = _iducetniobdobi;  
      if(_idSkladKarty is not null) then   
        if(_stavMj is null) then  
          _stavMj = 9999999999999.0; -- vic uz pretejka  
        end if;  
        _idPolSklad = -1;  
        --TODO nejak doresit _idPolSklad, sarze a expirace;  
        select dgetstavnasklade(_idSkladKarty, i_datum, -1, i_sarze, i_expirace, _typPohybuK) into _stavSkladuSady;  
        _stavSkladuSady = _stavSkladuSady / _polozkaSady.mnozMj;  
	if(i_polskladid > 0) then  
	  select mnozMj into _mnozMj from dPolSklad where idPolSklad = i_polSkladId;  
          _stavSkladuSady = _stavSkladuSady + (_mnozMj/_polozkaSady.mnozMj);  
        end if;  
        select minValue(_stavMj, _stavSkladuSady) into _stavMj;  
      end if;  
    end loop;  
  end if;   
   
  -- muze se stat ze _stavMj je null a to znamena ze na sklade nic neni   
  if(_stavMj is null) then   
    _stavMj := 0;   
  end if;   
     
  RETURN _stavMj;       
end       
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION dgetstavnasklade(integer, date, integer, character varying, date, character varying) OWNER TO %firmaRole%;


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 528, 't', %appVersion%, clock_timestamp());
