--------------------------------------------------------------------------------
-- Bug 32911 – winstrom mzdy - chybný výpočet daně rok 2013
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
-- inicializace
-- radky
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (3622, '2013-01-23 00:00:00.000', 'ZÁLOHA NAD 100 000 ', 'Nulovani zapornych hodnot', true, 345, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 9.99999999999999E12, 'mzdCalcOper.plus', false, 0, false, 4, 355, 355);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (3623, '2013-01-24 00:00:00.000', '15', 'Pracovně právní hodinový průměr - redukovaný', true, 401, 1.0, 0.0, 0.0, 'zaokrJak.matem', 'zaokrNa.setiny', 'prumNaHodNem', 'prumNaHodNem', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 4, 176, 176);
UPDATE pmzdcalc SET cisrad = 347 WHERE idmzdcalc = 3341;
UPDATE pmzdcalc SET cisrad = 348 WHERE idmzdcalc = 3342;
UPDATE pmzdcalc SET cisrad = 349 WHERE idmzdcalc = 3343;
UPDATE pmzdcalc SET cisrad = 350 WHERE idmzdcalc = 3344;
UPDATE pmzdcalc SET cisrad = 351 WHERE idmzdcalc = 3345;
UPDATE pmzdcalc SET cisrad = 352 WHERE idmzdcalc = 3346;
UPDATE pmzdcalc SET cisrad = 353 WHERE idmzdcalc = 3347;
UPDATE pmzdcalc SET cisrad = 354 WHERE idmzdcalc = 3348;
UPDATE pmzdcalc SET cisrad = 355 WHERE idmzdcalc = 3349;
UPDATE pmzdcalc SET cisrad = 356 WHERE idmzdcalc = 3350;
UPDATE pmzdcalc SET cisrad = 357 WHERE idmzdcalc = 3351;
UPDATE pmzdcalc SET cisrad = 358 WHERE idmzdcalc = 3352;
UPDATE pmzdcalc SET cisrad = 359 WHERE idmzdcalc = 3353;
UPDATE pmzdcalc SET cisrad = 360 WHERE idmzdcalc = 3354;
UPDATE pmzdcalc SET cisrad = 361 WHERE idmzdcalc = 3355;
UPDATE pmzdcalc SET cisrad = 362 WHERE idmzdcalc = 3356;
UPDATE pmzdcalc SET cisrad = 363 WHERE idmzdcalc = 3357;
UPDATE pmzdcalc SET cisrad = 364 WHERE idmzdcalc = 3358;
UPDATE pmzdcalc SET cisrad = 365 WHERE idmzdcalc = 3359;
UPDATE pmzdcalc SET cisrad = 366 WHERE idmzdcalc = 3360;
UPDATE pmzdcalc SET cisrad = 367 WHERE idmzdcalc = 3361;
UPDATE pmzdcalc SET cisrad = 370 WHERE idmzdcalc = 3362;
UPDATE pmzdcalc SET cisrad = 371 WHERE idmzdcalc = 3363;
UPDATE pmzdcalc SET cisrad = 372 WHERE idmzdcalc = 3364;
UPDATE pmzdcalc SET cisrad = 373 WHERE idmzdcalc = 3365;
UPDATE pmzdcalc SET cisrad = 374 WHERE idmzdcalc = 3366;
UPDATE pmzdcalc SET cisrad = 375 WHERE idmzdcalc = 3367;
UPDATE pmzdcalc SET cisrad = 376 WHERE idmzdcalc = 3368;
UPDATE pmzdcalc SET cisrad = 377 WHERE idmzdcalc = 3369;
UPDATE pmzdcalc SET cisrad = 378 WHERE idmzdcalc = 3370;
UPDATE pmzdcalc SET cisrad = 379 WHERE idmzdcalc = 3371;
UPDATE pmzdcalc SET cisrad = 380 WHERE idmzdcalc = 3372;
UPDATE pmzdcalc SET cisrad = 381 WHERE idmzdcalc = 3373;
UPDATE pmzdcalc SET cisrad = 382 WHERE idmzdcalc = 3374;
UPDATE pmzdcalc SET cisrad = 383 WHERE idmzdcalc = 3375;
UPDATE pmzdcalc SET cisrad = 384 WHERE idmzdcalc = 3376;
UPDATE pmzdcalc SET cisrad = 385 WHERE idmzdcalc = 3377;
UPDATE pmzdcalc SET cisrad = 386 WHERE idmzdcalc = 3378;
UPDATE pmzdcalc SET cisrad = 387 WHERE idmzdcalc = 3379;
UPDATE pmzdcalc SET cisrad = 388 WHERE idmzdcalc = 3380;
UPDATE pmzdcalc SET cisrad = 389 WHERE idmzdcalc = 3381;
UPDATE pmzdcalc SET cisrad = 390 WHERE idmzdcalc = 3382;
UPDATE pmzdcalc SET cisrad = 391 WHERE idmzdcalc = 3383;
UPDATE pmzdcalc SET cisrad = 392 WHERE idmzdcalc = 3384;
UPDATE pmzdcalc SET cisrad = 393 WHERE idmzdcalc = 3385;
UPDATE pmzdcalc SET cisrad = 394 WHERE idmzdcalc = 3386;
UPDATE pmzdcalc SET cisrad = 395 WHERE idmzdcalc = 3387;
UPDATE pmzdcalc SET cisrad = 396 WHERE idmzdcalc = 3388;
UPDATE pmzdcalc SET cisrad = 397, odhodnoty = 226.63 WHERE idmzdcalc = 3389;
UPDATE pmzdcalc SET cisrad = 398 WHERE idmzdcalc = 3390;
UPDATE pmzdcalc SET cisrad = 399 WHERE idmzdcalc = 3391;
UPDATE pmzdcalc SET cisrad = 400 WHERE idmzdcalc = 3392;
UPDATE pmzdcalc SET cisrad = 402 WHERE idmzdcalc = 3393;
UPDATE pmzdcalc SET cisrad = 403 WHERE idmzdcalc = 3394;
UPDATE pmzdcalc SET cisrad = 404 WHERE idmzdcalc = 3395;
UPDATE pmzdcalc SET cisrad = 405 WHERE idmzdcalc = 3396;
UPDATE pmzdcalc SET cisrad = 406 WHERE idmzdcalc = 3397;
UPDATE pmzdcalc SET cisrad = 407 WHERE idmzdcalc = 3398;
UPDATE pmzdcalc SET cisrad = 408 WHERE idmzdcalc = 3399;
UPDATE pmzdcalc SET cisrad = 409 WHERE idmzdcalc = 3400;
UPDATE pmzdcalc SET cisrad = 410 WHERE idmzdcalc = 3401;
UPDATE pmzdcalc SET cisrad = 411 WHERE idmzdcalc = 3402;
UPDATE pmzdcalc SET cisrad = 412 WHERE idmzdcalc = 3403;
UPDATE pmzdcalc SET cisrad = 413 WHERE idmzdcalc = 3404;
UPDATE pmzdcalc SET cisrad = 414 WHERE idmzdcalc = 3405;
UPDATE pmzdcalc SET cisrad = 415 WHERE idmzdcalc = 3406;
UPDATE pmzdcalc SET cisrad = 416 WHERE idmzdcalc = 3407;
UPDATE pmzdcalc SET cisrad = 417 WHERE idmzdcalc = 3408;
UPDATE pmzdcalc SET cisrad = 418 WHERE idmzdcalc = 3409;
UPDATE pmzdcalc SET cisrad = 419 WHERE idmzdcalc = 3410;
UPDATE pmzdcalc SET cisrad = 420 WHERE idmzdcalc = 3411;
UPDATE pmzdcalc SET cisrad = 421 WHERE idmzdcalc = 3412;
UPDATE pmzdcalc SET cisrad = 422 WHERE idmzdcalc = 3413;
UPDATE pmzdcalc SET cisrad = 423 WHERE idmzdcalc = 3414;
UPDATE pmzdcalc SET cisrad = 424 WHERE idmzdcalc = 3415;
UPDATE pmzdcalc SET cisrad = 425 WHERE idmzdcalc = 3416;
UPDATE pmzdcalc SET cisrad = 426 WHERE idmzdcalc = 3417;
UPDATE pmzdcalc SET cisrad = 427 WHERE idmzdcalc = 3418;
UPDATE pmzdcalc SET cisrad = 428 WHERE idmzdcalc = 3419;
UPDATE pmzdcalc SET cisrad = 429 WHERE idmzdcalc = 3420;
UPDATE pmzdcalc SET cisrad = 430 WHERE idmzdcalc = 3421;
UPDATE pmzdcalc SET cisrad = 431 WHERE idmzdcalc = 3422;
UPDATE pmzdcalc SET cisrad = 432 WHERE idmzdcalc = 3423;
UPDATE pmzdcalc SET cisrad = 433 WHERE idmzdcalc = 3424;
UPDATE pmzdcalc SET cisrad = 434 WHERE idmzdcalc = 3425;
UPDATE pmzdcalc SET cisrad = 435 WHERE idmzdcalc = 3426;
UPDATE pmzdcalc SET cisrad = 436 WHERE idmzdcalc = 3427;
UPDATE pmzdcalc SET cisrad = 437 WHERE idmzdcalc = 3428;
UPDATE pmzdcalc SET cisrad = 438 WHERE idmzdcalc = 3429;
UPDATE pmzdcalc SET cisrad = 439 WHERE idmzdcalc = 3430;
UPDATE pmzdcalc SET cisrad = 440 WHERE idmzdcalc = 3431;
UPDATE pmzdcalc SET cisrad = 441 WHERE idmzdcalc = 3432;
UPDATE pmzdcalc SET cisrad = 442 WHERE idmzdcalc = 3433;
UPDATE pmzdcalc SET cisrad = 443 WHERE idmzdcalc = 3434;
UPDATE pmzdcalc SET cisrad = 444 WHERE idmzdcalc = 3435;
UPDATE pmzdcalc SET cisrad = 445 WHERE idmzdcalc = 3436;
UPDATE pmzdcalc SET cisrad = 446 WHERE idmzdcalc = 3437;
UPDATE pmzdcalc SET cisrad = 447 WHERE idmzdcalc = 3438;
UPDATE pmzdcalc SET cisrad = 448 WHERE idmzdcalc = 3439;
UPDATE pmzdcalc SET cisrad = 449 WHERE idmzdcalc = 3440;
UPDATE pmzdcalc SET cisrad = 450 WHERE idmzdcalc = 3441;
UPDATE pmzdcalc SET cisrad = 451 WHERE idmzdcalc = 3442;
UPDATE pmzdcalc SET cisrad = 452 WHERE idmzdcalc = 3443;
UPDATE pmzdcalc SET cisrad = 453 WHERE idmzdcalc = 3444;
UPDATE pmzdcalc SET cisrad = 454 WHERE idmzdcalc = 3445;
UPDATE pmzdcalc SET cisrad = 455 WHERE idmzdcalc = 3446;
UPDATE pmzdcalc SET cisrad = 456 WHERE idmzdcalc = 3447;
UPDATE pmzdcalc SET cisrad = 457 WHERE idmzdcalc = 3448;
UPDATE pmzdcalc SET cisrad = 458 WHERE idmzdcalc = 3449;
UPDATE pmzdcalc SET cisrad = 459 WHERE idmzdcalc = 3450;
UPDATE pmzdcalc SET cisrad = 460 WHERE idmzdcalc = 3451;
UPDATE pmzdcalc SET cisrad = 461 WHERE idmzdcalc = 3452;
UPDATE pmzdcalc SET cisrad = 462 WHERE idmzdcalc = 3453;
UPDATE pmzdcalc SET cisrad = 463 WHERE idmzdcalc = 3454;
UPDATE pmzdcalc SET cisrad = 464 WHERE idmzdcalc = 3455;
UPDATE pmzdcalc SET cisrad = 466 WHERE idmzdcalc = 3456;
UPDATE pmzdcalc SET cisrad = 467 WHERE idmzdcalc = 3457;
UPDATE pmzdcalc SET cisrad = 468 WHERE idmzdcalc = 3458;
UPDATE pmzdcalc SET cisrad = 469 WHERE idmzdcalc = 3459;
UPDATE pmzdcalc SET cisrad = 470 WHERE idmzdcalc = 3460;
UPDATE pmzdcalc SET cisrad = 471 WHERE idmzdcalc = 3461;
UPDATE pmzdcalc SET cisrad = 472 WHERE idmzdcalc = 3462;
UPDATE pmzdcalc SET cisrad = 473 WHERE idmzdcalc = 3463;
UPDATE pmzdcalc SET cisrad = 474 WHERE idmzdcalc = 3464;
UPDATE pmzdcalc SET cisrad = 475 WHERE idmzdcalc = 3465;
UPDATE pmzdcalc SET cisrad = 476 WHERE idmzdcalc = 3466;
UPDATE pmzdcalc SET cisrad = 477 WHERE idmzdcalc = 3467;
UPDATE pmzdcalc SET cisrad = 478 WHERE idmzdcalc = 3468;
UPDATE pmzdcalc SET cisrad = 479 WHERE idmzdcalc = 3469;
UPDATE pmzdcalc SET cisrad = 480 WHERE idmzdcalc = 3470;
UPDATE pmzdcalc SET cisrad = 481 WHERE idmzdcalc = 3471;
UPDATE pmzdcalc SET cisrad = 482 WHERE idmzdcalc = 3472;
UPDATE pmzdcalc SET cisrad = 483 WHERE idmzdcalc = 3473;
UPDATE pmzdcalc SET cisrad = 484 WHERE idmzdcalc = 3474;
UPDATE pmzdcalc SET cisrad = 485 WHERE idmzdcalc = 3475;
UPDATE pmzdcalc SET cisrad = 486 WHERE idmzdcalc = 3476;
UPDATE pmzdcalc SET cisrad = 487 WHERE idmzdcalc = 3477;
UPDATE pmzdcalc SET cisrad = 488 WHERE idmzdcalc = 3478;
UPDATE pmzdcalc SET cisrad = 489 WHERE idmzdcalc = 3479;
UPDATE pmzdcalc SET cisrad = 490 WHERE idmzdcalc = 3480;
UPDATE pmzdcalc SET cisrad = 491 WHERE idmzdcalc = 3481;
UPDATE pmzdcalc SET cisrad = 492 WHERE idmzdcalc = 3482;
UPDATE pmzdcalc SET cisrad = 493 WHERE idmzdcalc = 3483;
UPDATE pmzdcalc SET cisrad = 494 WHERE idmzdcalc = 3484;
UPDATE pmzdcalc SET cisrad = 495 WHERE idmzdcalc = 3485;
UPDATE pmzdcalc SET cisrad = 496 WHERE idmzdcalc = 3486;
UPDATE pmzdcalc SET cisrad = 497 WHERE idmzdcalc = 3487;
UPDATE pmzdcalc SET cisrad = 498 WHERE idmzdcalc = 3488;
UPDATE pmzdcalc SET cisrad = 499 WHERE idmzdcalc = 3489;
UPDATE pmzdcalc SET cisrad = 500 WHERE idmzdcalc = 3490;
UPDATE pmzdcalc SET cisrad = 501 WHERE idmzdcalc = 3491;
UPDATE pmzdcalc SET cisrad = 502 WHERE idmzdcalc = 3492;
UPDATE pmzdcalc SET cisrad = 503 WHERE idmzdcalc = 3493;
UPDATE pmzdcalc SET cisrad = 504 WHERE idmzdcalc = 3494;
UPDATE pmzdcalc SET cisrad = 505 WHERE idmzdcalc = 3495;
UPDATE pmzdcalc SET cisrad = 506 WHERE idmzdcalc = 3496;
UPDATE pmzdcalc SET cisrad = 507 WHERE idmzdcalc = 3497;
UPDATE pmzdcalc SET cisrad = 508 WHERE idmzdcalc = 3498;
UPDATE pmzdcalc SET cisrad = 509 WHERE idmzdcalc = 3499;
UPDATE pmzdcalc SET cisrad = 510 WHERE idmzdcalc = 3500;
UPDATE pmzdcalc SET cisrad = 511 WHERE idmzdcalc = 3501;
UPDATE pmzdcalc SET cisrad = 512 WHERE idmzdcalc = 3502;
UPDATE pmzdcalc SET cisrad = 513 WHERE idmzdcalc = 3503;
UPDATE pmzdcalc SET cisrad = 514 WHERE idmzdcalc = 3504;
UPDATE pmzdcalc SET cisrad = 515 WHERE idmzdcalc = 3505;
UPDATE pmzdcalc SET cisrad = 516 WHERE idmzdcalc = 3506;
UPDATE pmzdcalc SET cisrad = 517 WHERE idmzdcalc = 3507;
UPDATE pmzdcalc SET cisrad = 518 WHERE idmzdcalc = 3508;
UPDATE pmzdcalc SET cisrad = 519 WHERE idmzdcalc = 3509;
UPDATE pmzdcalc SET cisrad = 520 WHERE idmzdcalc = 3510;
UPDATE pmzdcalc SET cisrad = 521 WHERE idmzdcalc = 3511;
UPDATE pmzdcalc SET cisrad = 522 WHERE idmzdcalc = 3512;
UPDATE pmzdcalc SET cisrad = 523 WHERE idmzdcalc = 3513;
UPDATE pmzdcalc SET cisrad = 524 WHERE idmzdcalc = 3514;
UPDATE pmzdcalc SET cisrad = 525 WHERE idmzdcalc = 3515;
UPDATE pmzdcalc SET cisrad = 526 WHERE idmzdcalc = 3516;
UPDATE pmzdcalc SET cisrad = 527 WHERE idmzdcalc = 3517;
UPDATE pmzdcalc SET cisrad = 528 WHERE idmzdcalc = 3518;
UPDATE pmzdcalc SET cisrad = 529 WHERE idmzdcalc = 3519;
UPDATE pmzdcalc SET cisrad = 530 WHERE idmzdcalc = 3520;
UPDATE pmzdcalc SET cisrad = 531 WHERE idmzdcalc = 3521;
UPDATE pmzdcalc SET cisrad = 532 WHERE idmzdcalc = 3522;
UPDATE pmzdcalc SET cisrad = 533 WHERE idmzdcalc = 3523;
UPDATE pmzdcalc SET cisrad = 534 WHERE idmzdcalc = 3524;
UPDATE pmzdcalc SET cisrad = 535 WHERE idmzdcalc = 3525;
UPDATE pmzdcalc SET cisrad = 536 WHERE idmzdcalc = 3526;
UPDATE pmzdcalc SET cisrad = 537 WHERE idmzdcalc = 3527;
UPDATE pmzdcalc SET cisrad = 538 WHERE idmzdcalc = 3528;
UPDATE pmzdcalc SET cisrad = 539 WHERE idmzdcalc = 3529;
UPDATE pmzdcalc SET cisrad = 540 WHERE idmzdcalc = 3530;
UPDATE pmzdcalc SET cisrad = 541 WHERE idmzdcalc = 3531;
UPDATE pmzdcalc SET cisrad = 542 WHERE idmzdcalc = 3532;
UPDATE pmzdcalc SET cisrad = 543 WHERE idmzdcalc = 3533;
UPDATE pmzdcalc SET cisrad = 544 WHERE idmzdcalc = 3534;
UPDATE pmzdcalc SET cisrad = 545 WHERE idmzdcalc = 3535;
UPDATE pmzdcalc SET cisrad = 546 WHERE idmzdcalc = 3536;
UPDATE pmzdcalc SET cisrad = 547 WHERE idmzdcalc = 3537;
UPDATE pmzdcalc SET cisrad = 548 WHERE idmzdcalc = 3538;
UPDATE pmzdcalc SET cisrad = 549 WHERE idmzdcalc = 3539;
UPDATE pmzdcalc SET cisrad = 550 WHERE idmzdcalc = 3540;
UPDATE pmzdcalc SET cisrad = 551 WHERE idmzdcalc = 3541;
UPDATE pmzdcalc SET cisrad = 552 WHERE idmzdcalc = 3542;
UPDATE pmzdcalc SET cisrad = 553 WHERE idmzdcalc = 3543;
UPDATE pmzdcalc SET cisrad = 554 WHERE idmzdcalc = 3544;
UPDATE pmzdcalc SET cisrad = 555 WHERE idmzdcalc = 3545;
UPDATE pmzdcalc SET cisrad = 556 WHERE idmzdcalc = 3546;
UPDATE pmzdcalc SET cisrad = 557 WHERE idmzdcalc = 3547;
UPDATE pmzdcalc SET cisrad = 558 WHERE idmzdcalc = 3548;
UPDATE pmzdcalc SET cisrad = 559 WHERE idmzdcalc = 3549;
UPDATE pmzdcalc SET cisrad = 560 WHERE idmzdcalc = 3550;
UPDATE pmzdcalc SET cisrad = 561 WHERE idmzdcalc = 3551;
UPDATE pmzdcalc SET cisrad = 562 WHERE idmzdcalc = 3552;
UPDATE pmzdcalc SET cisrad = 563 WHERE idmzdcalc = 3553;
UPDATE pmzdcalc SET cisrad = 564 WHERE idmzdcalc = 3554;
UPDATE pmzdcalc SET cisrad = 565 WHERE idmzdcalc = 3555;
UPDATE pmzdcalc SET cisrad = 566 WHERE idmzdcalc = 3556;
UPDATE pmzdcalc SET cisrad = 567 WHERE idmzdcalc = 3557;
UPDATE pmzdcalc SET cisrad = 568 WHERE idmzdcalc = 3558;
UPDATE pmzdcalc SET cisrad = 569 WHERE idmzdcalc = 3559;
UPDATE pmzdcalc SET cisrad = 570 WHERE idmzdcalc = 3560;
UPDATE pmzdcalc SET cisrad = 571 WHERE idmzdcalc = 3561;
UPDATE pmzdcalc SET cisrad = 572 WHERE idmzdcalc = 3562;
UPDATE pmzdcalc SET cisrad = 573 WHERE idmzdcalc = 3563;
UPDATE pmzdcalc SET cisrad = 574 WHERE idmzdcalc = 3564;
UPDATE pmzdcalc SET cisrad = 575 WHERE idmzdcalc = 3565;
UPDATE pmzdcalc SET cisrad = 576 WHERE idmzdcalc = 3566;
UPDATE pmzdcalc SET cisrad = 577 WHERE idmzdcalc = 3567;
UPDATE pmzdcalc SET cisrad = 578 WHERE idmzdcalc = 3568;
UPDATE pmzdcalc SET cisrad = 579 WHERE idmzdcalc = 3569;
UPDATE pmzdcalc SET cisrad = 580 WHERE idmzdcalc = 3570;
UPDATE pmzdcalc SET cisrad = 581 WHERE idmzdcalc = 3571;
UPDATE pmzdcalc SET cisrad = 582 WHERE idmzdcalc = 3572;
UPDATE pmzdcalc SET cisrad = 583 WHERE idmzdcalc = 3573;
UPDATE pmzdcalc SET cisrad = 584 WHERE idmzdcalc = 3574;
UPDATE pmzdcalc SET cisrad = 585 WHERE idmzdcalc = 3575;
UPDATE pmzdcalc SET cisrad = 586 WHERE idmzdcalc = 3576;
UPDATE pmzdcalc SET cisrad = 587 WHERE idmzdcalc = 3577;
UPDATE pmzdcalc SET cisrad = 588 WHERE idmzdcalc = 3578;
UPDATE pmzdcalc SET cisrad = 589 WHERE idmzdcalc = 3579;
UPDATE pmzdcalc SET cisrad = 590 WHERE idmzdcalc = 3580;
UPDATE pmzdcalc SET cisrad = 591 WHERE idmzdcalc = 3581;
UPDATE pmzdcalc SET cisrad = 592 WHERE idmzdcalc = 3582;
UPDATE pmzdcalc SET cisrad = 593 WHERE idmzdcalc = 3583;
UPDATE pmzdcalc SET cisrad = 594 WHERE idmzdcalc = 3584;
UPDATE pmzdcalc SET cisrad = 595 WHERE idmzdcalc = 3585;
UPDATE pmzdcalc SET cisrad = 596 WHERE idmzdcalc = 3586;
UPDATE pmzdcalc SET cisrad = 597 WHERE idmzdcalc = 3587;
UPDATE pmzdcalc SET cisrad = 598 WHERE idmzdcalc = 3588;
UPDATE pmzdcalc SET cisrad = 599 WHERE idmzdcalc = 3589;
UPDATE pmzdcalc SET cisrad = 600 WHERE idmzdcalc = 3590;
UPDATE pmzdcalc SET cisrad = 601 WHERE idmzdcalc = 3591;
UPDATE pmzdcalc SET cisrad = 602 WHERE idmzdcalc = 3592;
UPDATE pmzdcalc SET cisrad = 603 WHERE idmzdcalc = 3593;
UPDATE pmzdcalc SET cisrad = 604 WHERE idmzdcalc = 3594;
UPDATE pmzdcalc SET cisrad = 605 WHERE idmzdcalc = 3595;
UPDATE pmzdcalc SET cisrad = 606 WHERE idmzdcalc = 3596;
UPDATE pmzdcalc SET cisrad = 607 WHERE idmzdcalc = 3597;
UPDATE pmzdcalc SET cisrad = 608 WHERE idmzdcalc = 3598;
UPDATE pmzdcalc SET cisrad = 609 WHERE idmzdcalc = 3599;
UPDATE pmzdcalc SET cisrad = 610 WHERE idmzdcalc = 3600;
UPDATE pmzdcalc SET cisrad = 611 WHERE idmzdcalc = 3601;
UPDATE pmzdcalc SET cisrad = 612 WHERE idmzdcalc = 3602;
UPDATE pmzdcalc SET cisrad = 613 WHERE idmzdcalc = 3603;
UPDATE pmzdcalc SET cisrad = 614 WHERE idmzdcalc = 3604;
UPDATE pmzdcalc SET cisrad = 615 WHERE idmzdcalc = 3605;
UPDATE pmzdcalc SET cisrad = 616 WHERE idmzdcalc = 3606;
UPDATE pmzdcalc SET cisrad = 617 WHERE idmzdcalc = 3607;
UPDATE pmzdcalc SET cisrad = 618 WHERE idmzdcalc = 3608;
UPDATE pmzdcalc SET cisrad = 619 WHERE idmzdcalc = 3609;
UPDATE pmzdcalc SET dohodnoty = 0.0 WHERE idmzdcalc = 3610;
UPDATE pmzdcalc SET cisrad = 346 WHERE idmzdcalc = 3611;
UPDATE pmzdcalc SET cisrad = 368 WHERE idmzdcalc = 3612;
UPDATE pmzdcalc SET cisrad = 369 WHERE idmzdcalc = 3613;
UPDATE pmzdcalc SET cisrad = 465 WHERE idmzdcalc = 3619;

PERFORM pg_catalog.setval('seq_pmzdcalc', 3623, true);

-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 695, 't', %appVersion%, clock_timestamp());
