-- oprava triggeru rusiciho rezervace pri tvorbe skladove polozky, chybela podminka na typ pohybu

CREATE OR REPLACE FUNCTION dpolskladupdaterezer()
  RETURNS trigger AS $$
declare
  zmena numeric(19,6);
  _idFirmy integer;
  _typPohybuK varchar(50);
begin
  zmena = 0;
  if (tg_op = 'UPDATE') then
    zmena = OLD.mnozMj;
  end if;
  
  zmena = NEW.mnozMj - zmena;
  select idfirmy, typPohybuK into _idFirmy, _typPohybuK from ddoklsklad where idDoklSklad = NEW.idDoklSklad;

  if (zmena > 0 and _typPohybuK = 'typPohybu.vydej') then
    perform odrezervuj(_idFirmy, NEW.idCenik, NEW.idSkladu, zmena);
  end if;

  return NEW;
end;
$$ LANGUAGE plpgsql;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 73, 't');
