--------------------------------------------------------------------------------
-- Bug 35058 – flexibee mzdy - infornativní složka pro zaměstnance
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, vyznamk, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole, zapoctovylist, uuid)
 VALUES (365, '2013-06-21 00:00:00.000', 'ODMĚNA INFO', 'Informativní složka pro zaměstnance - neovlivňuje výpočet mzdy', true, 4370, 'typSlozky.vstup', 'skupinaSlozky.odmeny', false, false, false, false, false, false, true, false, true, true, true, true, false, true, true, false, false, false, false, false, 'vyznamSlozky.odmeny', 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, true, true, 'hodiny;castmzd', false, 'ODMENA_INFO');

PERFORM pg_catalog.setval('seq_pcismzdsloz', 365, true);
-- inicializace
-- radky
-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 750, 't', %appVersion%, clock_timestamp());
