--------------------------------------------------------------------------------
-- prazdny upgrade pro branche
--------------------------------------------------------------------------------

ALTER TABLE dsmlouvy
  ADD COLUMN autoprolong integer;

--------------------------------------------------------------------------------
-- Bug 36320 – winstrom mzdy - příplatek za pohotovost
-- Bug 36321 – winstrom mzdy - neplacené volno hrazené zaměstnavatelem
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
ALTER TABLE pmzdsloz DISABLE TRIGGER pmzdslozupdatedatumvypoctu;

UPDATE pcismzdsloz SET nazev = 'Volno neplacené - zdravotní pojištění platí pracovník' WHERE idcismzdsloz = 7;
UPDATE pcismzdsloz SET popis = '14.10.2013 - přechod z částky za hodinu na 10% z průměru', castkahod = 0.0, procmzd = 10.0 WHERE idcismzdsloz = 39;
UPDATE pcismzdsloz SET popis = '14.10.2013 - přechod z částky za hodinu na 10% z průměru', vsprocmzd = true, vszaklmzd = true, castkahod = 0.0, procmzd = 10.0 WHERE idcismzdsloz = 205;
UPDATE pcismzdsloz SET procmzd = 10.0 WHERE idcismzdsloz = 257;
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole, zapoctovylist, uuid)
 VALUES (370, '2013-10-14 00:00:00.000', 'VOLNO NEPLACENÉ 4.5%', 'Volno neplacené - zaměstnavatel hradí 9% zdravotního pojištění ', '', true, 2030, 'typSlozky.vstup', 'skupinaSlozky.nepritNeplac', false, true, true, true, true, true, true, true, false, false, false, false, false, false, true, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, true, true, 'hodiny;castMzd', false, 'VOLNO_NEPLACENE_4.5%');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole, zapoctovylist, uuid)
 VALUES (371, '2013-10-13 00:00:00.000', 'ZDR.POJ.NEP.VOL.4.5%', 'Zdravotní pojištění za neplacené volno', true, 7090, 'typSlozky.vypocet', 'skupinaSlozky.zdravPoj', false, false, false, false, false, false, false, false, false, false, true, true, false, true, true, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, true, true, 'hodiny;castmzd', false, 'ZDR.POJ.NEP.VOL.4.5%');

ALTER TABLE pmzdsloz ENABLE TRIGGER pmzdslozupdatedatumvypoctu;

-- inicializace
-- radky
UPDATE pmzdcalc SET cisrad = 12 WHERE idmzdcalc = 4010;
UPDATE pmzdcalc SET cisrad = 13 WHERE idmzdcalc = 4011;
UPDATE pmzdcalc SET cisrad = 14 WHERE idmzdcalc = 4012;
UPDATE pmzdcalc SET cisrad = 15 WHERE idmzdcalc = 4013;
UPDATE pmzdcalc SET cisrad = 16 WHERE idmzdcalc = 4014;
UPDATE pmzdcalc SET cisrad = 17 WHERE idmzdcalc = 4015;
UPDATE pmzdcalc SET cisrad = 18 WHERE idmzdcalc = 4016;
UPDATE pmzdcalc SET cisrad = 19 WHERE idmzdcalc = 4017;
UPDATE pmzdcalc SET cisrad = 20 WHERE idmzdcalc = 4018;
UPDATE pmzdcalc SET cisrad = 21 WHERE idmzdcalc = 4019;
UPDATE pmzdcalc SET cisrad = 22 WHERE idmzdcalc = 4020;
UPDATE pmzdcalc SET cisrad = 23 WHERE idmzdcalc = 4021;
UPDATE pmzdcalc SET cisrad = 24 WHERE idmzdcalc = 4022;
UPDATE pmzdcalc SET cisrad = 25 WHERE idmzdcalc = 4023;
UPDATE pmzdcalc SET cisrad = 26 WHERE idmzdcalc = 4024;
UPDATE pmzdcalc SET cisrad = 27 WHERE idmzdcalc = 4025;
UPDATE pmzdcalc SET cisrad = 28 WHERE idmzdcalc = 4026;
UPDATE pmzdcalc SET cisrad = 29 WHERE idmzdcalc = 4027;
UPDATE pmzdcalc SET cisrad = 30 WHERE idmzdcalc = 4028;
UPDATE pmzdcalc SET cisrad = 31 WHERE idmzdcalc = 4029;
UPDATE pmzdcalc SET cisrad = 32 WHERE idmzdcalc = 4030;
UPDATE pmzdcalc SET cisrad = 33 WHERE idmzdcalc = 4031;
UPDATE pmzdcalc SET cisrad = 34 WHERE idmzdcalc = 4032;
UPDATE pmzdcalc SET cisrad = 35 WHERE idmzdcalc = 4033;
UPDATE pmzdcalc SET cisrad = 36 WHERE idmzdcalc = 4034;
UPDATE pmzdcalc SET cisrad = 37 WHERE idmzdcalc = 4035;
UPDATE pmzdcalc SET cisrad = 38 WHERE idmzdcalc = 4036;
UPDATE pmzdcalc SET cisrad = 39 WHERE idmzdcalc = 4037;
UPDATE pmzdcalc SET cisrad = 40 WHERE idmzdcalc = 4038;
UPDATE pmzdcalc SET cisrad = 41 WHERE idmzdcalc = 4039;
UPDATE pmzdcalc SET cisrad = 42 WHERE idmzdcalc = 4040;
UPDATE pmzdcalc SET cisrad = 43 WHERE idmzdcalc = 4041;
UPDATE pmzdcalc SET cisrad = 44 WHERE idmzdcalc = 4042;
UPDATE pmzdcalc SET cisrad = 45 WHERE idmzdcalc = 4043;
UPDATE pmzdcalc SET cisrad = 48 WHERE idmzdcalc = 4044;
UPDATE pmzdcalc SET cisrad = 49 WHERE idmzdcalc = 4045;
UPDATE pmzdcalc SET cisrad = 50 WHERE idmzdcalc = 4046;
UPDATE pmzdcalc SET cisrad = 51 WHERE idmzdcalc = 4047;
UPDATE pmzdcalc SET cisrad = 52 WHERE idmzdcalc = 4048;
UPDATE pmzdcalc SET cisrad = 53 WHERE idmzdcalc = 4049;
UPDATE pmzdcalc SET cisrad = 54 WHERE idmzdcalc = 4050;
UPDATE pmzdcalc SET cisrad = 55 WHERE idmzdcalc = 4051;
UPDATE pmzdcalc SET cisrad = 56 WHERE idmzdcalc = 4052;
UPDATE pmzdcalc SET cisrad = 57 WHERE idmzdcalc = 4053;
UPDATE pmzdcalc SET cisrad = 58 WHERE idmzdcalc = 4054;
UPDATE pmzdcalc SET cisrad = 59 WHERE idmzdcalc = 4055;
UPDATE pmzdcalc SET cisrad = 60 WHERE idmzdcalc = 4056;
UPDATE pmzdcalc SET cisrad = 61 WHERE idmzdcalc = 4057;
UPDATE pmzdcalc SET cisrad = 62 WHERE idmzdcalc = 4058;
UPDATE pmzdcalc SET cisrad = 63 WHERE idmzdcalc = 4059;
UPDATE pmzdcalc SET cisrad = 64 WHERE idmzdcalc = 4060;
UPDATE pmzdcalc SET cisrad = 65 WHERE idmzdcalc = 4061;
UPDATE pmzdcalc SET cisrad = 66 WHERE idmzdcalc = 4062;
UPDATE pmzdcalc SET cisrad = 67 WHERE idmzdcalc = 4063;
UPDATE pmzdcalc SET cisrad = 68 WHERE idmzdcalc = 4064;
UPDATE pmzdcalc SET cisrad = 69 WHERE idmzdcalc = 4065;
UPDATE pmzdcalc SET cisrad = 70 WHERE idmzdcalc = 4066;
UPDATE pmzdcalc SET cisrad = 71 WHERE idmzdcalc = 4067;
UPDATE pmzdcalc SET cisrad = 72 WHERE idmzdcalc = 4068;
UPDATE pmzdcalc SET cisrad = 73 WHERE idmzdcalc = 4069;
UPDATE pmzdcalc SET cisrad = 74 WHERE idmzdcalc = 4070;
UPDATE pmzdcalc SET cisrad = 75 WHERE idmzdcalc = 4071;
UPDATE pmzdcalc SET cisrad = 76 WHERE idmzdcalc = 4072;
UPDATE pmzdcalc SET cisrad = 77 WHERE idmzdcalc = 4073;
UPDATE pmzdcalc SET cisrad = 78 WHERE idmzdcalc = 4074;
UPDATE pmzdcalc SET cisrad = 79 WHERE idmzdcalc = 4075;
UPDATE pmzdcalc SET cisrad = 80 WHERE idmzdcalc = 4076;
UPDATE pmzdcalc SET cisrad = 81 WHERE idmzdcalc = 4077;
UPDATE pmzdcalc SET cisrad = 82 WHERE idmzdcalc = 4078;
UPDATE pmzdcalc SET cisrad = 83 WHERE idmzdcalc = 4079;
UPDATE pmzdcalc SET cisrad = 84 WHERE idmzdcalc = 4080;
UPDATE pmzdcalc SET cisrad = 85 WHERE idmzdcalc = 4081;
UPDATE pmzdcalc SET cisrad = 86 WHERE idmzdcalc = 4082;
UPDATE pmzdcalc SET cisrad = 87 WHERE idmzdcalc = 4083;
UPDATE pmzdcalc SET cisrad = 88 WHERE idmzdcalc = 4084;
UPDATE pmzdcalc SET cisrad = 89 WHERE idmzdcalc = 4085;
UPDATE pmzdcalc SET cisrad = 90 WHERE idmzdcalc = 4086;
UPDATE pmzdcalc SET cisrad = 91 WHERE idmzdcalc = 4087;
UPDATE pmzdcalc SET cisrad = 92 WHERE idmzdcalc = 4088;
UPDATE pmzdcalc SET cisrad = 93 WHERE idmzdcalc = 4089;
UPDATE pmzdcalc SET cisrad = 94 WHERE idmzdcalc = 4090;
UPDATE pmzdcalc SET cisrad = 95 WHERE idmzdcalc = 4091;
UPDATE pmzdcalc SET cisrad = 96 WHERE idmzdcalc = 4092;
UPDATE pmzdcalc SET cisrad = 97 WHERE idmzdcalc = 4093;
UPDATE pmzdcalc SET cisrad = 98 WHERE idmzdcalc = 4094;
UPDATE pmzdcalc SET cisrad = 99 WHERE idmzdcalc = 4095;
UPDATE pmzdcalc SET cisrad = 100 WHERE idmzdcalc = 4096;
UPDATE pmzdcalc SET cisrad = 101 WHERE idmzdcalc = 4097;
UPDATE pmzdcalc SET cisrad = 102 WHERE idmzdcalc = 4098;
UPDATE pmzdcalc SET cisrad = 103 WHERE idmzdcalc = 4099;
UPDATE pmzdcalc SET cisrad = 104 WHERE idmzdcalc = 4100;
UPDATE pmzdcalc SET cisrad = 105 WHERE idmzdcalc = 4101;
UPDATE pmzdcalc SET cisrad = 106 WHERE idmzdcalc = 4102;
UPDATE pmzdcalc SET cisrad = 107 WHERE idmzdcalc = 4103;
UPDATE pmzdcalc SET cisrad = 108 WHERE idmzdcalc = 4104;
UPDATE pmzdcalc SET cisrad = 109 WHERE idmzdcalc = 4105;
UPDATE pmzdcalc SET cisrad = 110 WHERE idmzdcalc = 4106;
UPDATE pmzdcalc SET cisrad = 111 WHERE idmzdcalc = 4107;
UPDATE pmzdcalc SET cisrad = 112 WHERE idmzdcalc = 4108;
UPDATE pmzdcalc SET cisrad = 113 WHERE idmzdcalc = 4109;
UPDATE pmzdcalc SET cisrad = 114 WHERE idmzdcalc = 4110;
UPDATE pmzdcalc SET cisrad = 115 WHERE idmzdcalc = 4111;
UPDATE pmzdcalc SET cisrad = 116 WHERE idmzdcalc = 4112;
UPDATE pmzdcalc SET cisrad = 117 WHERE idmzdcalc = 4113;
UPDATE pmzdcalc SET cisrad = 118 WHERE idmzdcalc = 4114;
UPDATE pmzdcalc SET cisrad = 119 WHERE idmzdcalc = 4115;
UPDATE pmzdcalc SET cisrad = 120 WHERE idmzdcalc = 4116;
UPDATE pmzdcalc SET cisrad = 121 WHERE idmzdcalc = 4117;
UPDATE pmzdcalc SET cisrad = 122 WHERE idmzdcalc = 4118;
UPDATE pmzdcalc SET cisrad = 123 WHERE idmzdcalc = 4119;
UPDATE pmzdcalc SET cisrad = 124 WHERE idmzdcalc = 4120;
UPDATE pmzdcalc SET cisrad = 125 WHERE idmzdcalc = 4121;
UPDATE pmzdcalc SET cisrad = 126 WHERE idmzdcalc = 4122;
UPDATE pmzdcalc SET cisrad = 127 WHERE idmzdcalc = 4123;
UPDATE pmzdcalc SET cisrad = 128 WHERE idmzdcalc = 4124;
UPDATE pmzdcalc SET cisrad = 129 WHERE idmzdcalc = 4125;
UPDATE pmzdcalc SET cisrad = 130 WHERE idmzdcalc = 4126;
UPDATE pmzdcalc SET cisrad = 131 WHERE idmzdcalc = 4127;
UPDATE pmzdcalc SET cisrad = 132 WHERE idmzdcalc = 4128;
UPDATE pmzdcalc SET cisrad = 133 WHERE idmzdcalc = 4129;
UPDATE pmzdcalc SET cisrad = 134 WHERE idmzdcalc = 4130;
UPDATE pmzdcalc SET cisrad = 135 WHERE idmzdcalc = 4131;
UPDATE pmzdcalc SET cisrad = 136 WHERE idmzdcalc = 4132;
UPDATE pmzdcalc SET cisrad = 137 WHERE idmzdcalc = 4133;
UPDATE pmzdcalc SET cisrad = 138 WHERE idmzdcalc = 4134;
UPDATE pmzdcalc SET cisrad = 139 WHERE idmzdcalc = 4135;
UPDATE pmzdcalc SET cisrad = 140 WHERE idmzdcalc = 4136;
UPDATE pmzdcalc SET cisrad = 141 WHERE idmzdcalc = 4137;
UPDATE pmzdcalc SET cisrad = 142 WHERE idmzdcalc = 4138;
UPDATE pmzdcalc SET cisrad = 143 WHERE idmzdcalc = 4139;
UPDATE pmzdcalc SET cisrad = 144 WHERE idmzdcalc = 4140;
UPDATE pmzdcalc SET cisrad = 145 WHERE idmzdcalc = 4141;
UPDATE pmzdcalc SET cisrad = 146 WHERE idmzdcalc = 4142;
UPDATE pmzdcalc SET cisrad = 148 WHERE idmzdcalc = 4143;
UPDATE pmzdcalc SET cisrad = 149 WHERE idmzdcalc = 4144;
UPDATE pmzdcalc SET cisrad = 150 WHERE idmzdcalc = 4145;
UPDATE pmzdcalc SET cisrad = 151 WHERE idmzdcalc = 4146;
UPDATE pmzdcalc SET cisrad = 152 WHERE idmzdcalc = 4147;
UPDATE pmzdcalc SET cisrad = 153 WHERE idmzdcalc = 4148;
UPDATE pmzdcalc SET cisrad = 154 WHERE idmzdcalc = 4149;
UPDATE pmzdcalc SET cisrad = 155 WHERE idmzdcalc = 4150;
UPDATE pmzdcalc SET cisrad = 156 WHERE idmzdcalc = 4151;
UPDATE pmzdcalc SET cisrad = 157 WHERE idmzdcalc = 4152;
UPDATE pmzdcalc SET cisrad = 158 WHERE idmzdcalc = 4153;
UPDATE pmzdcalc SET cisrad = 159 WHERE idmzdcalc = 4154;
UPDATE pmzdcalc SET cisrad = 160 WHERE idmzdcalc = 4155;
UPDATE pmzdcalc SET cisrad = 161 WHERE idmzdcalc = 4156;
UPDATE pmzdcalc SET cisrad = 162 WHERE idmzdcalc = 4157;
UPDATE pmzdcalc SET popis = '14.10.2013 - přechod z částky za hodinu na 10% z průměru', cisrad = 163, zaokrjakk = null, zaokrnak = null, polein = 'hodiny', polein2 = 'prumNaHodNem', poleout = 'zaklMzd', idmzdslozin2 = 172 WHERE idmzdcalc = 4158;
UPDATE pmzdcalc SET cisrad = 165 WHERE idmzdcalc = 4159;
UPDATE pmzdcalc SET cisrad = 167, koeficient = 0.01, polein = 'procMzd', polein2 = 'zaklMzd' WHERE idmzdcalc = 4160;
UPDATE pmzdcalc SET cisrad = 168 WHERE idmzdcalc = 4161;
UPDATE pmzdcalc SET cisrad = 169 WHERE idmzdcalc = 4162;
UPDATE pmzdcalc SET cisrad = 170 WHERE idmzdcalc = 4163;
UPDATE pmzdcalc SET cisrad = 171 WHERE idmzdcalc = 4164;
UPDATE pmzdcalc SET cisrad = 172 WHERE idmzdcalc = 4165;
UPDATE pmzdcalc SET cisrad = 173 WHERE idmzdcalc = 4166;
UPDATE pmzdcalc SET cisrad = 174 WHERE idmzdcalc = 4167;
UPDATE pmzdcalc SET cisrad = 175 WHERE idmzdcalc = 4168;
UPDATE pmzdcalc SET cisrad = 176 WHERE idmzdcalc = 4169;
UPDATE pmzdcalc SET cisrad = 177 WHERE idmzdcalc = 4170;
UPDATE pmzdcalc SET cisrad = 178 WHERE idmzdcalc = 4171;
UPDATE pmzdcalc SET cisrad = 179 WHERE idmzdcalc = 4172;
UPDATE pmzdcalc SET cisrad = 180 WHERE idmzdcalc = 4173;
UPDATE pmzdcalc SET cisrad = 181 WHERE idmzdcalc = 4174;
UPDATE pmzdcalc SET cisrad = 182 WHERE idmzdcalc = 4175;
UPDATE pmzdcalc SET cisrad = 183 WHERE idmzdcalc = 4176;
UPDATE pmzdcalc SET cisrad = 184 WHERE idmzdcalc = 4177;
UPDATE pmzdcalc SET cisrad = 185 WHERE idmzdcalc = 4178;
UPDATE pmzdcalc SET cisrad = 186 WHERE idmzdcalc = 4179;
UPDATE pmzdcalc SET cisrad = 187 WHERE idmzdcalc = 4180;
UPDATE pmzdcalc SET cisrad = 188 WHERE idmzdcalc = 4181;
UPDATE pmzdcalc SET cisrad = 189 WHERE idmzdcalc = 4182;
UPDATE pmzdcalc SET cisrad = 190 WHERE idmzdcalc = 4183;
UPDATE pmzdcalc SET cisrad = 191 WHERE idmzdcalc = 4184;
UPDATE pmzdcalc SET cisrad = 192 WHERE idmzdcalc = 4185;
UPDATE pmzdcalc SET cisrad = 193 WHERE idmzdcalc = 4186;
UPDATE pmzdcalc SET cisrad = 194 WHERE idmzdcalc = 4187;
UPDATE pmzdcalc SET cisrad = 195 WHERE idmzdcalc = 4188;
UPDATE pmzdcalc SET cisrad = 196 WHERE idmzdcalc = 4189;
UPDATE pmzdcalc SET cisrad = 197 WHERE idmzdcalc = 4190;
UPDATE pmzdcalc SET cisrad = 198 WHERE idmzdcalc = 4191;
UPDATE pmzdcalc SET cisrad = 199 WHERE idmzdcalc = 4192;
UPDATE pmzdcalc SET cisrad = 200 WHERE idmzdcalc = 4193;
UPDATE pmzdcalc SET cisrad = 201 WHERE idmzdcalc = 4194;
UPDATE pmzdcalc SET cisrad = 202 WHERE idmzdcalc = 4195;
UPDATE pmzdcalc SET cisrad = 203 WHERE idmzdcalc = 4196;
UPDATE pmzdcalc SET cisrad = 204 WHERE idmzdcalc = 4197;
UPDATE pmzdcalc SET cisrad = 205 WHERE idmzdcalc = 4198;
UPDATE pmzdcalc SET cisrad = 206 WHERE idmzdcalc = 4199;
UPDATE pmzdcalc SET cisrad = 207 WHERE idmzdcalc = 4200;
UPDATE pmzdcalc SET cisrad = 208 WHERE idmzdcalc = 4201;
UPDATE pmzdcalc SET cisrad = 209 WHERE idmzdcalc = 4202;
UPDATE pmzdcalc SET cisrad = 210 WHERE idmzdcalc = 4203;
UPDATE pmzdcalc SET cisrad = 211 WHERE idmzdcalc = 4204;
UPDATE pmzdcalc SET cisrad = 212 WHERE idmzdcalc = 4205;
UPDATE pmzdcalc SET cisrad = 213 WHERE idmzdcalc = 4206;
UPDATE pmzdcalc SET cisrad = 214 WHERE idmzdcalc = 4207;
UPDATE pmzdcalc SET cisrad = 215 WHERE idmzdcalc = 4208;
UPDATE pmzdcalc SET cisrad = 216 WHERE idmzdcalc = 4209;
UPDATE pmzdcalc SET cisrad = 217 WHERE idmzdcalc = 4210;
UPDATE pmzdcalc SET cisrad = 218 WHERE idmzdcalc = 4211;
UPDATE pmzdcalc SET cisrad = 219 WHERE idmzdcalc = 4212;
UPDATE pmzdcalc SET cisrad = 220 WHERE idmzdcalc = 4213;
UPDATE pmzdcalc SET cisrad = 221 WHERE idmzdcalc = 4214;
UPDATE pmzdcalc SET cisrad = 222 WHERE idmzdcalc = 4215;
UPDATE pmzdcalc SET cisrad = 223 WHERE idmzdcalc = 4216;
UPDATE pmzdcalc SET cisrad = 224 WHERE idmzdcalc = 4217;
UPDATE pmzdcalc SET cisrad = 225 WHERE idmzdcalc = 4218;
UPDATE pmzdcalc SET cisrad = 226 WHERE idmzdcalc = 4219;
UPDATE pmzdcalc SET cisrad = 227 WHERE idmzdcalc = 4220;
UPDATE pmzdcalc SET cisrad = 228 WHERE idmzdcalc = 4221;
UPDATE pmzdcalc SET cisrad = 229 WHERE idmzdcalc = 4222;
UPDATE pmzdcalc SET cisrad = 230 WHERE idmzdcalc = 4223;
UPDATE pmzdcalc SET cisrad = 231 WHERE idmzdcalc = 4224;
UPDATE pmzdcalc SET cisrad = 232 WHERE idmzdcalc = 4225;
UPDATE pmzdcalc SET cisrad = 233 WHERE idmzdcalc = 4226;
UPDATE pmzdcalc SET cisrad = 234 WHERE idmzdcalc = 4227;
UPDATE pmzdcalc SET cisrad = 235 WHERE idmzdcalc = 4228;
UPDATE pmzdcalc SET cisrad = 236 WHERE idmzdcalc = 4229;
UPDATE pmzdcalc SET cisrad = 237 WHERE idmzdcalc = 4230;
UPDATE pmzdcalc SET cisrad = 238 WHERE idmzdcalc = 4231;
UPDATE pmzdcalc SET cisrad = 239 WHERE idmzdcalc = 4232;
UPDATE pmzdcalc SET cisrad = 240 WHERE idmzdcalc = 4233;
UPDATE pmzdcalc SET cisrad = 241 WHERE idmzdcalc = 4234;
UPDATE pmzdcalc SET cisrad = 242 WHERE idmzdcalc = 4235;
UPDATE pmzdcalc SET cisrad = 243 WHERE idmzdcalc = 4236;
UPDATE pmzdcalc SET cisrad = 244 WHERE idmzdcalc = 4237;
UPDATE pmzdcalc SET cisrad = 245 WHERE idmzdcalc = 4238;
UPDATE pmzdcalc SET cisrad = 246 WHERE idmzdcalc = 4239;
UPDATE pmzdcalc SET cisrad = 247 WHERE idmzdcalc = 4240;
UPDATE pmzdcalc SET cisrad = 248 WHERE idmzdcalc = 4241;
UPDATE pmzdcalc SET cisrad = 249 WHERE idmzdcalc = 4242;
UPDATE pmzdcalc SET cisrad = 250 WHERE idmzdcalc = 4243;
UPDATE pmzdcalc SET cisrad = 251 WHERE idmzdcalc = 4244;
UPDATE pmzdcalc SET cisrad = 252 WHERE idmzdcalc = 4245;
UPDATE pmzdcalc SET cisrad = 253 WHERE idmzdcalc = 4246;
UPDATE pmzdcalc SET cisrad = 254 WHERE idmzdcalc = 4247;
UPDATE pmzdcalc SET cisrad = 255 WHERE idmzdcalc = 4248;
UPDATE pmzdcalc SET cisrad = 256 WHERE idmzdcalc = 4249;
UPDATE pmzdcalc SET cisrad = 257 WHERE idmzdcalc = 4250;
UPDATE pmzdcalc SET cisrad = 258 WHERE idmzdcalc = 4251;
UPDATE pmzdcalc SET cisrad = 259 WHERE idmzdcalc = 4252;
UPDATE pmzdcalc SET cisrad = 260 WHERE idmzdcalc = 4253;
UPDATE pmzdcalc SET cisrad = 261 WHERE idmzdcalc = 4254;
UPDATE pmzdcalc SET cisrad = 262 WHERE idmzdcalc = 4255;
UPDATE pmzdcalc SET cisrad = 263 WHERE idmzdcalc = 4256;
UPDATE pmzdcalc SET cisrad = 264 WHERE idmzdcalc = 4257;
UPDATE pmzdcalc SET cisrad = 265 WHERE idmzdcalc = 4258;
UPDATE pmzdcalc SET cisrad = 266 WHERE idmzdcalc = 4259;
UPDATE pmzdcalc SET cisrad = 267 WHERE idmzdcalc = 4260;
UPDATE pmzdcalc SET cisrad = 268 WHERE idmzdcalc = 4261;
UPDATE pmzdcalc SET cisrad = 269 WHERE idmzdcalc = 4262;
UPDATE pmzdcalc SET cisrad = 270 WHERE idmzdcalc = 4263;
UPDATE pmzdcalc SET cisrad = 271 WHERE idmzdcalc = 4264;
UPDATE pmzdcalc SET cisrad = 272 WHERE idmzdcalc = 4265;
UPDATE pmzdcalc SET cisrad = 273 WHERE idmzdcalc = 4266;
UPDATE pmzdcalc SET cisrad = 274 WHERE idmzdcalc = 4267;
UPDATE pmzdcalc SET cisrad = 275 WHERE idmzdcalc = 4268;
UPDATE pmzdcalc SET cisrad = 276 WHERE idmzdcalc = 4269;
UPDATE pmzdcalc SET cisrad = 277 WHERE idmzdcalc = 4270;
UPDATE pmzdcalc SET cisrad = 278 WHERE idmzdcalc = 4271;
UPDATE pmzdcalc SET cisrad = 279 WHERE idmzdcalc = 4272;
UPDATE pmzdcalc SET cisrad = 280 WHERE idmzdcalc = 4273;
UPDATE pmzdcalc SET cisrad = 281 WHERE idmzdcalc = 4274;
UPDATE pmzdcalc SET cisrad = 282 WHERE idmzdcalc = 4275;
UPDATE pmzdcalc SET cisrad = 283 WHERE idmzdcalc = 4276;
UPDATE pmzdcalc SET cisrad = 284 WHERE idmzdcalc = 4277;
UPDATE pmzdcalc SET cisrad = 285 WHERE idmzdcalc = 4278;
UPDATE pmzdcalc SET cisrad = 286 WHERE idmzdcalc = 4279;
UPDATE pmzdcalc SET cisrad = 287 WHERE idmzdcalc = 4280;
UPDATE pmzdcalc SET cisrad = 288 WHERE idmzdcalc = 4281;
UPDATE pmzdcalc SET cisrad = 289 WHERE idmzdcalc = 4282;
UPDATE pmzdcalc SET cisrad = 290 WHERE idmzdcalc = 4283;
UPDATE pmzdcalc SET cisrad = 291 WHERE idmzdcalc = 4284;
UPDATE pmzdcalc SET cisrad = 292 WHERE idmzdcalc = 4285;
UPDATE pmzdcalc SET cisrad = 293 WHERE idmzdcalc = 4286;
UPDATE pmzdcalc SET cisrad = 294 WHERE idmzdcalc = 4287;
UPDATE pmzdcalc SET cisrad = 295 WHERE idmzdcalc = 4288;
UPDATE pmzdcalc SET cisrad = 296 WHERE idmzdcalc = 4289;
UPDATE pmzdcalc SET cisrad = 297 WHERE idmzdcalc = 4290;
UPDATE pmzdcalc SET cisrad = 298 WHERE idmzdcalc = 4291;
UPDATE pmzdcalc SET cisrad = 299 WHERE idmzdcalc = 4292;
UPDATE pmzdcalc SET cisrad = 300 WHERE idmzdcalc = 4293;
UPDATE pmzdcalc SET cisrad = 301 WHERE idmzdcalc = 4294;
UPDATE pmzdcalc SET cisrad = 302 WHERE idmzdcalc = 4295;
UPDATE pmzdcalc SET cisrad = 303 WHERE idmzdcalc = 4296;
UPDATE pmzdcalc SET cisrad = 304 WHERE idmzdcalc = 4297;
UPDATE pmzdcalc SET cisrad = 305 WHERE idmzdcalc = 4298;
UPDATE pmzdcalc SET cisrad = 306 WHERE idmzdcalc = 4299;
UPDATE pmzdcalc SET cisrad = 307 WHERE idmzdcalc = 4300;
UPDATE pmzdcalc SET cisrad = 308 WHERE idmzdcalc = 4301;
UPDATE pmzdcalc SET cisrad = 309 WHERE idmzdcalc = 4302;
UPDATE pmzdcalc SET cisrad = 310 WHERE idmzdcalc = 4303;
UPDATE pmzdcalc SET cisrad = 311 WHERE idmzdcalc = 4304;
UPDATE pmzdcalc SET cisrad = 312 WHERE idmzdcalc = 4305;
UPDATE pmzdcalc SET cisrad = 313 WHERE idmzdcalc = 4306;
UPDATE pmzdcalc SET cisrad = 314 WHERE idmzdcalc = 4307;
UPDATE pmzdcalc SET cisrad = 316 WHERE idmzdcalc = 4308;
UPDATE pmzdcalc SET cisrad = 317 WHERE idmzdcalc = 4309;
UPDATE pmzdcalc SET cisrad = 321 WHERE idmzdcalc = 4310;
UPDATE pmzdcalc SET cisrad = 323 WHERE idmzdcalc = 4311;
UPDATE pmzdcalc SET cisrad = 324 WHERE idmzdcalc = 4312;
UPDATE pmzdcalc SET cisrad = 325 WHERE idmzdcalc = 4313;
UPDATE pmzdcalc SET cisrad = 326 WHERE idmzdcalc = 4314;
UPDATE pmzdcalc SET cisrad = 327 WHERE idmzdcalc = 4315;
UPDATE pmzdcalc SET cisrad = 328 WHERE idmzdcalc = 4316;
UPDATE pmzdcalc SET cisrad = 330 WHERE idmzdcalc = 4317;
UPDATE pmzdcalc SET cisrad = 331 WHERE idmzdcalc = 4318;
UPDATE pmzdcalc SET cisrad = 332 WHERE idmzdcalc = 4319;
UPDATE pmzdcalc SET cisrad = 334 WHERE idmzdcalc = 4320;
UPDATE pmzdcalc SET cisrad = 335 WHERE idmzdcalc = 4321;
UPDATE pmzdcalc SET cisrad = 336 WHERE idmzdcalc = 4322;
UPDATE pmzdcalc SET cisrad = 337 WHERE idmzdcalc = 4323;
UPDATE pmzdcalc SET cisrad = 338 WHERE idmzdcalc = 4324;
UPDATE pmzdcalc SET cisrad = 339 WHERE idmzdcalc = 4325;
UPDATE pmzdcalc SET cisrad = 340 WHERE idmzdcalc = 4326;
UPDATE pmzdcalc SET cisrad = 341 WHERE idmzdcalc = 4327;
UPDATE pmzdcalc SET cisrad = 342 WHERE idmzdcalc = 4328;
UPDATE pmzdcalc SET cisrad = 343 WHERE idmzdcalc = 4329;
UPDATE pmzdcalc SET cisrad = 344 WHERE idmzdcalc = 4330;
UPDATE pmzdcalc SET cisrad = 345 WHERE idmzdcalc = 4331;
UPDATE pmzdcalc SET cisrad = 346 WHERE idmzdcalc = 4332;
UPDATE pmzdcalc SET cisrad = 347 WHERE idmzdcalc = 4333;
UPDATE pmzdcalc SET cisrad = 348 WHERE idmzdcalc = 4334;
UPDATE pmzdcalc SET cisrad = 349 WHERE idmzdcalc = 4335;
UPDATE pmzdcalc SET cisrad = 350 WHERE idmzdcalc = 4336;
UPDATE pmzdcalc SET cisrad = 351 WHERE idmzdcalc = 4337;
UPDATE pmzdcalc SET cisrad = 352 WHERE idmzdcalc = 4338;
UPDATE pmzdcalc SET cisrad = 353 WHERE idmzdcalc = 4339;
UPDATE pmzdcalc SET cisrad = 354 WHERE idmzdcalc = 4340;
UPDATE pmzdcalc SET cisrad = 355 WHERE idmzdcalc = 4341;
UPDATE pmzdcalc SET cisrad = 356 WHERE idmzdcalc = 4342;
UPDATE pmzdcalc SET cisrad = 357 WHERE idmzdcalc = 4343;
UPDATE pmzdcalc SET cisrad = 358 WHERE idmzdcalc = 4344;
UPDATE pmzdcalc SET cisrad = 359 WHERE idmzdcalc = 4345;
UPDATE pmzdcalc SET cisrad = 360 WHERE idmzdcalc = 4346;
UPDATE pmzdcalc SET cisrad = 361 WHERE idmzdcalc = 4347;
UPDATE pmzdcalc SET cisrad = 362 WHERE idmzdcalc = 4348;
UPDATE pmzdcalc SET cisrad = 363 WHERE idmzdcalc = 4349;
UPDATE pmzdcalc SET cisrad = 364 WHERE idmzdcalc = 4350;
UPDATE pmzdcalc SET cisrad = 365 WHERE idmzdcalc = 4351;
UPDATE pmzdcalc SET cisrad = 366 WHERE idmzdcalc = 4352;
UPDATE pmzdcalc SET cisrad = 367 WHERE idmzdcalc = 4353;
UPDATE pmzdcalc SET cisrad = 368 WHERE idmzdcalc = 4354;
UPDATE pmzdcalc SET cisrad = 369 WHERE idmzdcalc = 4355;
UPDATE pmzdcalc SET cisrad = 370 WHERE idmzdcalc = 4356;
UPDATE pmzdcalc SET cisrad = 371 WHERE idmzdcalc = 4357;
UPDATE pmzdcalc SET cisrad = 372 WHERE idmzdcalc = 4358;
UPDATE pmzdcalc SET cisrad = 373 WHERE idmzdcalc = 4359;
UPDATE pmzdcalc SET cisrad = 374 WHERE idmzdcalc = 4360;
UPDATE pmzdcalc SET cisrad = 375 WHERE idmzdcalc = 4361;
UPDATE pmzdcalc SET cisrad = 376 WHERE idmzdcalc = 4362;
UPDATE pmzdcalc SET cisrad = 377 WHERE idmzdcalc = 4363;
UPDATE pmzdcalc SET cisrad = 378 WHERE idmzdcalc = 4364;
UPDATE pmzdcalc SET cisrad = 379 WHERE idmzdcalc = 4365;
UPDATE pmzdcalc SET cisrad = 380 WHERE idmzdcalc = 4366;
UPDATE pmzdcalc SET cisrad = 381 WHERE idmzdcalc = 4367;
UPDATE pmzdcalc SET cisrad = 382 WHERE idmzdcalc = 4368;
UPDATE pmzdcalc SET cisrad = 383 WHERE idmzdcalc = 4369;
UPDATE pmzdcalc SET cisrad = 384 WHERE idmzdcalc = 4370;
UPDATE pmzdcalc SET cisrad = 385 WHERE idmzdcalc = 4371;
UPDATE pmzdcalc SET cisrad = 386 WHERE idmzdcalc = 4372;
UPDATE pmzdcalc SET cisrad = 387 WHERE idmzdcalc = 4373;
UPDATE pmzdcalc SET cisrad = 388 WHERE idmzdcalc = 4374;
UPDATE pmzdcalc SET cisrad = 389 WHERE idmzdcalc = 4375;
UPDATE pmzdcalc SET cisrad = 390 WHERE idmzdcalc = 4376;
UPDATE pmzdcalc SET cisrad = 391 WHERE idmzdcalc = 4377;
UPDATE pmzdcalc SET cisrad = 392 WHERE idmzdcalc = 4378;
UPDATE pmzdcalc SET cisrad = 393 WHERE idmzdcalc = 4379;
UPDATE pmzdcalc SET cisrad = 394 WHERE idmzdcalc = 4380;
UPDATE pmzdcalc SET cisrad = 395 WHERE idmzdcalc = 4381;
UPDATE pmzdcalc SET cisrad = 396 WHERE idmzdcalc = 4382;
UPDATE pmzdcalc SET cisrad = 397 WHERE idmzdcalc = 4383;
UPDATE pmzdcalc SET cisrad = 398 WHERE idmzdcalc = 4384;
UPDATE pmzdcalc SET cisrad = 399 WHERE idmzdcalc = 4385;
UPDATE pmzdcalc SET cisrad = 400 WHERE idmzdcalc = 4386;
UPDATE pmzdcalc SET cisrad = 401 WHERE idmzdcalc = 4387;
UPDATE pmzdcalc SET cisrad = 402 WHERE idmzdcalc = 4388;
UPDATE pmzdcalc SET cisrad = 403 WHERE idmzdcalc = 4389;
UPDATE pmzdcalc SET cisrad = 404 WHERE idmzdcalc = 4390;
UPDATE pmzdcalc SET cisrad = 405 WHERE idmzdcalc = 4391;
UPDATE pmzdcalc SET cisrad = 406 WHERE idmzdcalc = 4392;
UPDATE pmzdcalc SET cisrad = 407 WHERE idmzdcalc = 4393;
UPDATE pmzdcalc SET cisrad = 408 WHERE idmzdcalc = 4394;
UPDATE pmzdcalc SET cisrad = 409 WHERE idmzdcalc = 4395;
UPDATE pmzdcalc SET cisrad = 410 WHERE idmzdcalc = 4396;
UPDATE pmzdcalc SET cisrad = 411 WHERE idmzdcalc = 4397;
UPDATE pmzdcalc SET cisrad = 412 WHERE idmzdcalc = 4398;
UPDATE pmzdcalc SET cisrad = 413 WHERE idmzdcalc = 4399;
UPDATE pmzdcalc SET cisrad = 414 WHERE idmzdcalc = 4400;
UPDATE pmzdcalc SET cisrad = 415 WHERE idmzdcalc = 4401;
UPDATE pmzdcalc SET cisrad = 416 WHERE idmzdcalc = 4402;
UPDATE pmzdcalc SET cisrad = 417 WHERE idmzdcalc = 4403;
UPDATE pmzdcalc SET cisrad = 418 WHERE idmzdcalc = 4404;
UPDATE pmzdcalc SET cisrad = 419 WHERE idmzdcalc = 4405;
UPDATE pmzdcalc SET cisrad = 420 WHERE idmzdcalc = 4406;
UPDATE pmzdcalc SET cisrad = 421 WHERE idmzdcalc = 4407;
UPDATE pmzdcalc SET cisrad = 422 WHERE idmzdcalc = 4408;
UPDATE pmzdcalc SET cisrad = 423 WHERE idmzdcalc = 4409;
UPDATE pmzdcalc SET cisrad = 424 WHERE idmzdcalc = 4410;
UPDATE pmzdcalc SET cisrad = 425 WHERE idmzdcalc = 4411;
UPDATE pmzdcalc SET cisrad = 426 WHERE idmzdcalc = 4412;
UPDATE pmzdcalc SET cisrad = 427 WHERE idmzdcalc = 4413;
UPDATE pmzdcalc SET cisrad = 428 WHERE idmzdcalc = 4414;
UPDATE pmzdcalc SET cisrad = 429 WHERE idmzdcalc = 4415;
UPDATE pmzdcalc SET cisrad = 430 WHERE idmzdcalc = 4416;
UPDATE pmzdcalc SET cisrad = 431 WHERE idmzdcalc = 4417;
UPDATE pmzdcalc SET cisrad = 432 WHERE idmzdcalc = 4418;
UPDATE pmzdcalc SET cisrad = 433 WHERE idmzdcalc = 4419;
UPDATE pmzdcalc SET cisrad = 434 WHERE idmzdcalc = 4420;
UPDATE pmzdcalc SET cisrad = 435 WHERE idmzdcalc = 4421;
UPDATE pmzdcalc SET cisrad = 436 WHERE idmzdcalc = 4422;
UPDATE pmzdcalc SET cisrad = 437 WHERE idmzdcalc = 4423;
UPDATE pmzdcalc SET cisrad = 438 WHERE idmzdcalc = 4424;
UPDATE pmzdcalc SET cisrad = 439 WHERE idmzdcalc = 4425;
UPDATE pmzdcalc SET cisrad = 440 WHERE idmzdcalc = 4426;
UPDATE pmzdcalc SET cisrad = 441 WHERE idmzdcalc = 4427;
UPDATE pmzdcalc SET cisrad = 442 WHERE idmzdcalc = 4428;
UPDATE pmzdcalc SET cisrad = 443 WHERE idmzdcalc = 4429;
UPDATE pmzdcalc SET cisrad = 444 WHERE idmzdcalc = 4430;
UPDATE pmzdcalc SET cisrad = 445 WHERE idmzdcalc = 4431;
UPDATE pmzdcalc SET cisrad = 446 WHERE idmzdcalc = 4432;
UPDATE pmzdcalc SET cisrad = 447 WHERE idmzdcalc = 4433;
UPDATE pmzdcalc SET cisrad = 448 WHERE idmzdcalc = 4434;
UPDATE pmzdcalc SET cisrad = 449 WHERE idmzdcalc = 4435;
UPDATE pmzdcalc SET cisrad = 450 WHERE idmzdcalc = 4436;
UPDATE pmzdcalc SET cisrad = 451 WHERE idmzdcalc = 4437;
UPDATE pmzdcalc SET cisrad = 452 WHERE idmzdcalc = 4438;
UPDATE pmzdcalc SET cisrad = 453 WHERE idmzdcalc = 4439;
UPDATE pmzdcalc SET cisrad = 454 WHERE idmzdcalc = 4440;
UPDATE pmzdcalc SET cisrad = 455 WHERE idmzdcalc = 4441;
UPDATE pmzdcalc SET cisrad = 456 WHERE idmzdcalc = 4442;
UPDATE pmzdcalc SET cisrad = 457 WHERE idmzdcalc = 4443;
UPDATE pmzdcalc SET cisrad = 458 WHERE idmzdcalc = 4444;
UPDATE pmzdcalc SET cisrad = 459 WHERE idmzdcalc = 4445;
UPDATE pmzdcalc SET cisrad = 460 WHERE idmzdcalc = 4446;
UPDATE pmzdcalc SET cisrad = 461 WHERE idmzdcalc = 4447;
UPDATE pmzdcalc SET cisrad = 462 WHERE idmzdcalc = 4448;
UPDATE pmzdcalc SET cisrad = 463 WHERE idmzdcalc = 4449;
UPDATE pmzdcalc SET cisrad = 464 WHERE idmzdcalc = 4450;
UPDATE pmzdcalc SET cisrad = 465 WHERE idmzdcalc = 4451;
UPDATE pmzdcalc SET cisrad = 466 WHERE idmzdcalc = 4452;
UPDATE pmzdcalc SET cisrad = 467 WHERE idmzdcalc = 4453;
UPDATE pmzdcalc SET cisrad = 468 WHERE idmzdcalc = 4454;
UPDATE pmzdcalc SET cisrad = 469 WHERE idmzdcalc = 4455;
UPDATE pmzdcalc SET cisrad = 470 WHERE idmzdcalc = 4456;
UPDATE pmzdcalc SET cisrad = 471 WHERE idmzdcalc = 4457;
UPDATE pmzdcalc SET cisrad = 472 WHERE idmzdcalc = 4458;
UPDATE pmzdcalc SET cisrad = 473 WHERE idmzdcalc = 4459;
UPDATE pmzdcalc SET cisrad = 47 WHERE idmzdcalc = 4460;
UPDATE pmzdcalc SET cisrad = 474 WHERE idmzdcalc = 4461;
UPDATE pmzdcalc SET cisrad = 475 WHERE idmzdcalc = 4462;
UPDATE pmzdcalc SET cisrad = 476 WHERE idmzdcalc = 4463;
UPDATE pmzdcalc SET cisrad = 477 WHERE idmzdcalc = 4464;
UPDATE pmzdcalc SET cisrad = 478 WHERE idmzdcalc = 4465;
UPDATE pmzdcalc SET cisrad = 479 WHERE idmzdcalc = 4466;
UPDATE pmzdcalc SET cisrad = 480 WHERE idmzdcalc = 4467;
UPDATE pmzdcalc SET cisrad = 481 WHERE idmzdcalc = 4468;
UPDATE pmzdcalc SET cisrad = 482 WHERE idmzdcalc = 4469;
UPDATE pmzdcalc SET cisrad = 483 WHERE idmzdcalc = 4470;
UPDATE pmzdcalc SET cisrad = 484 WHERE idmzdcalc = 4471;
UPDATE pmzdcalc SET cisrad = 485 WHERE idmzdcalc = 4472;
UPDATE pmzdcalc SET cisrad = 486 WHERE idmzdcalc = 4473;
UPDATE pmzdcalc SET cisrad = 487 WHERE idmzdcalc = 4474;
UPDATE pmzdcalc SET cisrad = 488 WHERE idmzdcalc = 4475;
UPDATE pmzdcalc SET cisrad = 489 WHERE idmzdcalc = 4476;
UPDATE pmzdcalc SET cisrad = 490 WHERE idmzdcalc = 4477;
UPDATE pmzdcalc SET cisrad = 491 WHERE idmzdcalc = 4478;
UPDATE pmzdcalc SET cisrad = 492 WHERE idmzdcalc = 4479;
UPDATE pmzdcalc SET cisrad = 493 WHERE idmzdcalc = 4480;
UPDATE pmzdcalc SET cisrad = 494 WHERE idmzdcalc = 4481;
UPDATE pmzdcalc SET cisrad = 495 WHERE idmzdcalc = 4482;
UPDATE pmzdcalc SET cisrad = 496 WHERE idmzdcalc = 4483;
UPDATE pmzdcalc SET cisrad = 497 WHERE idmzdcalc = 4484;
UPDATE pmzdcalc SET cisrad = 498 WHERE idmzdcalc = 4485;
UPDATE pmzdcalc SET cisrad = 499 WHERE idmzdcalc = 4486;
UPDATE pmzdcalc SET cisrad = 500 WHERE idmzdcalc = 4487;
UPDATE pmzdcalc SET cisrad = 501 WHERE idmzdcalc = 4488;
UPDATE pmzdcalc SET cisrad = 502 WHERE idmzdcalc = 4489;
UPDATE pmzdcalc SET cisrad = 503 WHERE idmzdcalc = 4490;
UPDATE pmzdcalc SET cisrad = 504 WHERE idmzdcalc = 4491;
UPDATE pmzdcalc SET cisrad = 505 WHERE idmzdcalc = 4492;
UPDATE pmzdcalc SET cisrad = 506 WHERE idmzdcalc = 4493;
UPDATE pmzdcalc SET cisrad = 507 WHERE idmzdcalc = 4494;
UPDATE pmzdcalc SET cisrad = 508 WHERE idmzdcalc = 4495;
UPDATE pmzdcalc SET cisrad = 509 WHERE idmzdcalc = 4496;
UPDATE pmzdcalc SET cisrad = 510 WHERE idmzdcalc = 4497;
UPDATE pmzdcalc SET cisrad = 511 WHERE idmzdcalc = 4498;
UPDATE pmzdcalc SET cisrad = 512 WHERE idmzdcalc = 4499;
UPDATE pmzdcalc SET cisrad = 513 WHERE idmzdcalc = 4500;
UPDATE pmzdcalc SET cisrad = 514 WHERE idmzdcalc = 4501;
UPDATE pmzdcalc SET cisrad = 515 WHERE idmzdcalc = 4502;
UPDATE pmzdcalc SET cisrad = 516 WHERE idmzdcalc = 4503;
UPDATE pmzdcalc SET cisrad = 517 WHERE idmzdcalc = 4504;
UPDATE pmzdcalc SET cisrad = 518 WHERE idmzdcalc = 4505;
UPDATE pmzdcalc SET cisrad = 519 WHERE idmzdcalc = 4506;
UPDATE pmzdcalc SET cisrad = 520 WHERE idmzdcalc = 4507;
UPDATE pmzdcalc SET cisrad = 521 WHERE idmzdcalc = 4508;
UPDATE pmzdcalc SET cisrad = 522 WHERE idmzdcalc = 4509;
UPDATE pmzdcalc SET cisrad = 523 WHERE idmzdcalc = 4510;
UPDATE pmzdcalc SET cisrad = 524 WHERE idmzdcalc = 4511;
UPDATE pmzdcalc SET cisrad = 525 WHERE idmzdcalc = 4512;
UPDATE pmzdcalc SET cisrad = 526 WHERE idmzdcalc = 4513;
UPDATE pmzdcalc SET cisrad = 527 WHERE idmzdcalc = 4514;
UPDATE pmzdcalc SET cisrad = 528 WHERE idmzdcalc = 4515;
UPDATE pmzdcalc SET cisrad = 529 WHERE idmzdcalc = 4516;
UPDATE pmzdcalc SET cisrad = 530 WHERE idmzdcalc = 4517;
UPDATE pmzdcalc SET cisrad = 531 WHERE idmzdcalc = 4518;
UPDATE pmzdcalc SET cisrad = 532 WHERE idmzdcalc = 4519;
UPDATE pmzdcalc SET cisrad = 533 WHERE idmzdcalc = 4520;
UPDATE pmzdcalc SET cisrad = 534 WHERE idmzdcalc = 4521;
UPDATE pmzdcalc SET cisrad = 535 WHERE idmzdcalc = 4522;
UPDATE pmzdcalc SET cisrad = 536 WHERE idmzdcalc = 4523;
UPDATE pmzdcalc SET cisrad = 537 WHERE idmzdcalc = 4524;
UPDATE pmzdcalc SET cisrad = 538 WHERE idmzdcalc = 4525;
UPDATE pmzdcalc SET cisrad = 539 WHERE idmzdcalc = 4526;
UPDATE pmzdcalc SET cisrad = 540 WHERE idmzdcalc = 4527;
UPDATE pmzdcalc SET cisrad = 541 WHERE idmzdcalc = 4528;
UPDATE pmzdcalc SET cisrad = 542 WHERE idmzdcalc = 4529;
UPDATE pmzdcalc SET cisrad = 543 WHERE idmzdcalc = 4530;
UPDATE pmzdcalc SET cisrad = 544 WHERE idmzdcalc = 4531;
UPDATE pmzdcalc SET cisrad = 545 WHERE idmzdcalc = 4532;
UPDATE pmzdcalc SET cisrad = 546 WHERE idmzdcalc = 4533;
UPDATE pmzdcalc SET cisrad = 547 WHERE idmzdcalc = 4534;
UPDATE pmzdcalc SET cisrad = 548 WHERE idmzdcalc = 4535;
UPDATE pmzdcalc SET cisrad = 549 WHERE idmzdcalc = 4536;
UPDATE pmzdcalc SET cisrad = 550 WHERE idmzdcalc = 4537;
UPDATE pmzdcalc SET cisrad = 551 WHERE idmzdcalc = 4538;
UPDATE pmzdcalc SET cisrad = 552 WHERE idmzdcalc = 4539;
UPDATE pmzdcalc SET cisrad = 553 WHERE idmzdcalc = 4540;
UPDATE pmzdcalc SET cisrad = 554 WHERE idmzdcalc = 4541;
UPDATE pmzdcalc SET cisrad = 555 WHERE idmzdcalc = 4542;
UPDATE pmzdcalc SET cisrad = 556 WHERE idmzdcalc = 4543;
UPDATE pmzdcalc SET cisrad = 557 WHERE idmzdcalc = 4544;
UPDATE pmzdcalc SET cisrad = 558 WHERE idmzdcalc = 4545;
UPDATE pmzdcalc SET cisrad = 559 WHERE idmzdcalc = 4546;
UPDATE pmzdcalc SET cisrad = 560 WHERE idmzdcalc = 4547;
UPDATE pmzdcalc SET cisrad = 561 WHERE idmzdcalc = 4548;
UPDATE pmzdcalc SET cisrad = 562 WHERE idmzdcalc = 4549;
UPDATE pmzdcalc SET cisrad = 563 WHERE idmzdcalc = 4550;
UPDATE pmzdcalc SET cisrad = 564 WHERE idmzdcalc = 4551;
UPDATE pmzdcalc SET cisrad = 565 WHERE idmzdcalc = 4552;
UPDATE pmzdcalc SET cisrad = 566 WHERE idmzdcalc = 4553;
UPDATE pmzdcalc SET cisrad = 567 WHERE idmzdcalc = 4554;
UPDATE pmzdcalc SET cisrad = 568 WHERE idmzdcalc = 4555;
UPDATE pmzdcalc SET cisrad = 569 WHERE idmzdcalc = 4556;
UPDATE pmzdcalc SET cisrad = 570 WHERE idmzdcalc = 4557;
UPDATE pmzdcalc SET cisrad = 571 WHERE idmzdcalc = 4558;
UPDATE pmzdcalc SET cisrad = 572 WHERE idmzdcalc = 4559;
UPDATE pmzdcalc SET cisrad = 573 WHERE idmzdcalc = 4560;
UPDATE pmzdcalc SET cisrad = 574 WHERE idmzdcalc = 4561;
UPDATE pmzdcalc SET cisrad = 575 WHERE idmzdcalc = 4562;
UPDATE pmzdcalc SET cisrad = 576 WHERE idmzdcalc = 4563;
UPDATE pmzdcalc SET cisrad = 577 WHERE idmzdcalc = 4564;
UPDATE pmzdcalc SET cisrad = 578 WHERE idmzdcalc = 4565;
UPDATE pmzdcalc SET cisrad = 579 WHERE idmzdcalc = 4566;
UPDATE pmzdcalc SET cisrad = 580 WHERE idmzdcalc = 4567;
UPDATE pmzdcalc SET cisrad = 581 WHERE idmzdcalc = 4568;
UPDATE pmzdcalc SET cisrad = 582 WHERE idmzdcalc = 4569;
UPDATE pmzdcalc SET cisrad = 583 WHERE idmzdcalc = 4570;
UPDATE pmzdcalc SET cisrad = 584 WHERE idmzdcalc = 4571;
UPDATE pmzdcalc SET cisrad = 585 WHERE idmzdcalc = 4572;
UPDATE pmzdcalc SET cisrad = 586 WHERE idmzdcalc = 4573;
UPDATE pmzdcalc SET cisrad = 587 WHERE idmzdcalc = 4574;
UPDATE pmzdcalc SET cisrad = 588 WHERE idmzdcalc = 4575;
UPDATE pmzdcalc SET cisrad = 589 WHERE idmzdcalc = 4576;
UPDATE pmzdcalc SET cisrad = 590 WHERE idmzdcalc = 4577;
UPDATE pmzdcalc SET cisrad = 591 WHERE idmzdcalc = 4578;
UPDATE pmzdcalc SET cisrad = 592 WHERE idmzdcalc = 4579;
UPDATE pmzdcalc SET cisrad = 593 WHERE idmzdcalc = 4580;
UPDATE pmzdcalc SET cisrad = 594 WHERE idmzdcalc = 4581;
UPDATE pmzdcalc SET cisrad = 595 WHERE idmzdcalc = 4582;
UPDATE pmzdcalc SET cisrad = 596 WHERE idmzdcalc = 4583;
UPDATE pmzdcalc SET cisrad = 597 WHERE idmzdcalc = 4584;
UPDATE pmzdcalc SET cisrad = 598 WHERE idmzdcalc = 4585;
UPDATE pmzdcalc SET cisrad = 599 WHERE idmzdcalc = 4586;
UPDATE pmzdcalc SET cisrad = 600 WHERE idmzdcalc = 4587;
UPDATE pmzdcalc SET cisrad = 601 WHERE idmzdcalc = 4588;
UPDATE pmzdcalc SET cisrad = 602 WHERE idmzdcalc = 4589;
UPDATE pmzdcalc SET cisrad = 603 WHERE idmzdcalc = 4590;
UPDATE pmzdcalc SET cisrad = 604 WHERE idmzdcalc = 4591;
UPDATE pmzdcalc SET cisrad = 605 WHERE idmzdcalc = 4592;
UPDATE pmzdcalc SET cisrad = 606 WHERE idmzdcalc = 4593;
UPDATE pmzdcalc SET cisrad = 607 WHERE idmzdcalc = 4594;
UPDATE pmzdcalc SET cisrad = 608 WHERE idmzdcalc = 4595;
UPDATE pmzdcalc SET cisrad = 609 WHERE idmzdcalc = 4596;
UPDATE pmzdcalc SET cisrad = 610 WHERE idmzdcalc = 4597;
UPDATE pmzdcalc SET cisrad = 611 WHERE idmzdcalc = 4598;
UPDATE pmzdcalc SET cisrad = 612 WHERE idmzdcalc = 4599;
UPDATE pmzdcalc SET cisrad = 613 WHERE idmzdcalc = 4600;
UPDATE pmzdcalc SET cisrad = 614 WHERE idmzdcalc = 4601;
UPDATE pmzdcalc SET cisrad = 615 WHERE idmzdcalc = 4602;
UPDATE pmzdcalc SET cisrad = 616 WHERE idmzdcalc = 4603;
UPDATE pmzdcalc SET cisrad = 617 WHERE idmzdcalc = 4604;
UPDATE pmzdcalc SET cisrad = 618 WHERE idmzdcalc = 4605;
UPDATE pmzdcalc SET cisrad = 619 WHERE idmzdcalc = 4606;
UPDATE pmzdcalc SET cisrad = 620 WHERE idmzdcalc = 4607;
UPDATE pmzdcalc SET cisrad = 621 WHERE idmzdcalc = 4608;
UPDATE pmzdcalc SET cisrad = 622 WHERE idmzdcalc = 4609;
UPDATE pmzdcalc SET cisrad = 623 WHERE idmzdcalc = 4610;
UPDATE pmzdcalc SET cisrad = 624 WHERE idmzdcalc = 4611;
UPDATE pmzdcalc SET cisrad = 625 WHERE idmzdcalc = 4612;
UPDATE pmzdcalc SET cisrad = 626 WHERE idmzdcalc = 4613;
UPDATE pmzdcalc SET cisrad = 627 WHERE idmzdcalc = 4614;
UPDATE pmzdcalc SET cisrad = 628 WHERE idmzdcalc = 4615;
UPDATE pmzdcalc SET cisrad = 629 WHERE idmzdcalc = 4616;
UPDATE pmzdcalc SET cisrad = 630 WHERE idmzdcalc = 4617;
UPDATE pmzdcalc SET cisrad = 631 WHERE idmzdcalc = 4618;
UPDATE pmzdcalc SET cisrad = 632 WHERE idmzdcalc = 4619;
UPDATE pmzdcalc SET cisrad = 319 WHERE idmzdcalc = 4620;
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (4621, '2013-10-13 00:00:00.000', 'SVÁTEK V NEMOCI', 'Volno neplacené - zaměstnavatel hradí 9% zdravotního pojištění ', true, 11, 1.0, 1.0, 0.0, 'dnySvatek;hodinySvatek;dnySvatek;hodinySvatek', 'dnySvatek;hodinySvatek;dnyPrac;hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 5, 370, 343);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (4622, '2013-10-13 00:00:00.000', '1', 'Volno neplacené - zaměstnavatel hradí 9% zdravotního pojištění ', true, 46, 1.0, 1.0, 0.0, 'dnyPrac;dnyKal;hodiny;dnySvatek;hodinySvatek', 'dnyPrac;dnyKal;hodiny;dnyPrac;hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 5, 370, 16);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (4623, '2013-10-14 00:00:00.000', 'ZDR.POJ.NEP.VOL.4.5%', 'Volno neplacené - zaměstnavatel hradí 9% zdravotního pojištění ', true, 318, 1.0, 1.0, 0.0, 'dnyKalReal', 'procMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 5, 370, 371);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (4624, '2013-10-14 00:00:00.000', 'ZDR.POJ.NEP.VOL.4.5%', 'Zdravotní pojištění za neplacené volno', true, 320, 1.0, 0.0, -0.49, 'zaokrJak.matem', 'zaokrNa.jednotky', 'procMzd', 'procMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 5, 371, 371);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (4625, '2013-10-14 00:00:00.000', 'ZDR.POJ.NEP.VOL.4.5%', 'Zdravotní pojištění za neplacené volno', true, 322, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'castkaDen', 'procMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, false, 5, 371, 371, 371);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (4627, '2013-10-14 00:00:00.000', 'ZDR.ZÁKL.FIRMA', 'Zdravotní pojištění za neplacené volno', true, 333, 1.0, 1.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 5, 371, 202);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (4628, '2013-10-14 00:00:00.000', 'ZDR.POJ.NEP.VOL.4.5%', 'Zdravotní pojištění za neplacené volno', true, 315, 1.0, 0.0, 0.0, 'castkaDen', 'castkaDen', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 5, 106, 371);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (4629, '2013-10-14 00:00:00.000', '10', 'Zdravotní pojištění za neplacené volno', true, 329, 1.0, 1.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 5, 371, 234);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (4630, '2013-10-14 00:00:00.000', 'POHOTOVOST', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', true, 147, 1.0, 0.0, 0.0, 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 5, 172, 39);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (4631, '2013-10-14 00:00:00.000', 'POHOTOVOST', 'Odměna za prac. pohot.na pracovišti', '14.10.2013 - přechod z částky za hodinu na 10% z průměru', true, 164, 0.01, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'procMzd', 'zaklMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, false, 5, 39, 39, 39);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (4632, '2013-10-14 00:00:00.000', 'POHOTOVOST MIMO', 'Odměna za prac. pohot.mimo pracoviště', 'změna z částky na hodinu na pracovně právní průměr', true, 166, 1.0, 0.0, 0.0, 'hodiny', 'prumNaHodNem', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, false, 5, 205, 172, 205);

-- parametry pomeru
-- hromadne

PERFORM pg_catalog.setval('seq_pcismzdsloz', 371, true);
PERFORM pg_catalog.setval('seq_pmzdcalc', 4632, true);

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 783, 't', %appVersion%, clock_timestamp());
