-- Bug 13454 – [WinStrom] oprava výkazu DPH
-- zneplatneni radek 51 a 51 KR
update uclendph set platido = 2008 where uuid in ('CZ 51', 'CZ 51 KR');

-- pridani novych radek
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '01-02, 51 SN', '01-02 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3)', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.tuzem', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 01-02, 51 SN');
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, KodPlneniK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '20 PM, 51 SN', '20 PM + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3)', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', 'kodPlneni.1', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 20 PM, 51 SN');
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, KodPlneniK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '20, 51 SN', '20 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3)', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', 'kodPlneni.0', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 20, 51 SN');
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, KodPlneniK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '21, 51 SN', '21 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3)', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', 'kodPlneni.0', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 21, 51 SN');
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, KodPlneniK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '22, 51 SN', '22 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3)', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', 'kodPlneni.0', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 22, 51 SN');
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, KodPlneniK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '23, 51 SN', '23 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3)', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', 'kodPlneni.0', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 23, 51 SN');
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, KodPlneniK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '24, 51 SN', '24 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3)', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', 'kodPlneni.0', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 24, 51 SN');
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '25, 51 SN', '25 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3)', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 25, 51 SN');
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, KodPlneniK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '30 D, 51 SN', '30 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3)', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', 'kodPlneni.2', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 30 D, 51 SN');
INSERT into uClenDph (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, TypPlneniK, TypObchoduK, JeDph, IdStatu, uuid)
 VALUES ('2009-03-31 00:00:00.000', '50, 51 BN', '50 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 3) - krácený nárok na odpočet', true, 2009, 9999, 'typPlneni.uskutecnena', 'typObchodu.tuzem', true, (select IdStatu from aStaty where uuid like '%_CZ'), 'CZ 50, 51 BN');


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 80, 't');
