--------------------------------------------------------------------------------
-- Bug 37592 – Novy nazev mBank
-- Bug 39227 – Změna názvu Unicredit Bank
--------------------------------------------------------------------------------

-- Bug 37592 – Novy nazev mBank
UPDATE asmerkod
SET nazev='mBank S.A., organizační složka'
WHERE uuid='CZ_6210' 
  -- Název banky měníme jenom v případě, že už si ho sám uživatel nepřejmenoval
  AND (nazev='BRE Bank S.A., organizační složka podniku (mBank)'
    OR nazev='BRE Bank S.A., org. složka podniku (mBank)');  -- Bug 34773 – [FlexiBee] Zkrátit název pro mbank

UPDATE asmerkod
SET nazev='mBank S.A., pobočka zahraničnej banky'
WHERE uuid='SK_8360'
  -- Název banky měníme jenom v případě, že už si ho sám uživatel nepřejmenoval
  AND nazev='BRE Bank SA, pobočka zahraničnej banky mBank v Slovenskej republike';


-- Bug 39227 – Změna názvu Unicredit Bank
UPDATE asmerkod
SET nazev='UniCredit Bank Czech Republic and Slovakia, a.s.'
WHERE uuid='CZ_2700' 
  -- Název banky měníme jenom v případě, že už si ho sám uživatel nepřejmenoval
  AND nazev='UniCredit Bank Czech Republic a.s.';

UPDATE asmerkod
SET nazev='UniCredit Bank Czech Republic and Slovakia, a.s.'
WHERE uuid='SK_1111'
  -- Název banky měníme jenom v případě, že už si ho sám uživatel nepřejmenoval
  AND nazev='UniCredit Bank Slovakia, a.s.';


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 852, 't', %appVersion%, clock_timestamp());

