--------------------------------------------------------------------------------
-- Bug 39640 – [Bug] Chyba ve výkazu daňové evidence
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _podvojUcto boolean;
begin
  select podvojucto into _podvojUcto from nnastav
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- prepocet danove evidence provedeme jen pro DE
  if (_podvojUcto = false) then
    perform uUpdateDanEvid(iddoklint) from ddoklint as D where (modul = 'BAN' or modul = 'POK') 
       and (select count(*) from dvazebtab where idtabb = D.iddoklint and modulb <> D.modul and typvazbyk = 'typVazbyDokl.zaucProdejky') > 0;
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 856, 't', %appVersion%, clock_timestamp());
