<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />



    <xsl:key name="cisloKey" match="Řádky_výdejek" use="Kód_položky"/>

    <xsl:template match="/Řádky_výdejek">
        <winstrom version="1.0">
<!--            <xsl:apply-templates select="*[local-name() = 'Řádky_příjemek' and position() &lt; 100]"/> -->
            <xsl:apply-templates select="Řádky_výdejek"/> 
        </winstrom>
    </xsl:template>


<!--
/usr/share/flexibee/bin/flexibee2xml -t prijemky-cenik-in.xslt -x prijemky-radky.xml -o ppv-sklad.xml
kod, nazev
-->

    <xsl:template match="Řádky_výdejek">
	<xsl:if test="generate-id(.) = generate-id(key('cisloKey', Kód_položky)[1])">
		    <cenik update="ignore">
			<id>ean:<xsl:value-of select="java:flexibee.Tool.toUpper(Kód_položky)"/></id>
			<nazev>Již smazané zboží: <xsl:value-of select="java:flexibee.Tool.toUpper(Kód_položky)"/></nazev>
			<skladove>true</skladove>
<!--			<platiDo>2010</platiDo> -->
			<eanKod><xsl:value-of select="java:flexibee.Tool.toUpper(Kód_položky)"/></eanKod>
		    </cenik>
	</xsl:if>

    </xsl:template>

</xsl:stylesheet>
