insert into udphpren (kod, nazev, platiod, platido, uuid)
values
('2618 00 00','Granulovaná struska (struskový písek) z výroby železa nebo oceli', 0, 2011, 'CZ_2618_00_00'),
('2619 00','Struska, zpěněná struska (jiná než granulovaná struska), okuje a jiné odpady z výroby železa nebo oceli', 0, 2011, 'CZ_2619_00'),
('2620','Struska, popel a zbytky (jiné než z výroby železa nebo oceli), obsahující kovy, arsen, nebo jejich sloučeniny', 0, 2011, 'CZ_2620'),
('3915','Odpady, úlomky a odřezky z plastů ', 0, 2011, 'CZ_3915'),
('4004 00 00','Odpady, úlomky a odřezky z kaučuku (jiné než z tvrdého kaučuku) a prášky a zrna z nich', 0, 2011, 'CZ_4004_00_00'),
('4707','Sběrový papír, kartón nebo lepenka (odpad a výmět)', 0, 2011, 'CZ_4707'),
('6310',' Použité nebo nové hadry, motouzy, šňůry, provazy a lana z textilních materiálů ve formě zbytků nebo výrobků vyřazených z používání', 0, 2011, 'CZ_6310'),
('7001 00 10','Skleněné střepy a jiné skleněné odpady', 0, 2011, 'CZ_7001_00_10'),
('7112','Odpad a šrot z drahých kovů nebo z kovů plátovaných drahými kovy, ostatní odpad a šrot obsahující drahé kovy nebo sloučeniny drahých kovů, používaný hlavně pro rekuperaci drahých kovů', 0, 2011, 'CZ_7112'),
('7204','Odpad a šrot ze železa nebo oceli,  přetavený odpad ze železa nebo oceli v ingotech', 0, 2011, 'CZ_7204'),
('7404 00','Měděný odpad a šrot', 0, 2011, 'CZ_7404_00'),
('7503 00','Niklový odpad a šrot', 0, 2011, 'CZ_7503_00'),
('7602 00','Hliníkový odpad a šrot', 0, 2011, 'CZ_7602_00'),
('7802 00 00','Olověný odpad a šrot', 0, 2011, 'CZ_7802_00_00'),
('7902 00 00','Zinkový odpad a šrot', 0, 2011, 'CZ_7902_00_00'),
('8002 00 00','Cínový odpad a šrot', 0, 2011, 'CZ_8002_00_00'),
('8101 97 00','Odpad a šrot z wolframu', 0, 2011, 'CZ_8101_97_00'),
('8102 97 00','Odpad a šrot z molybdenu', 0, 2011, 'CZ_8102_97_00'),
('8103 30 00','Odpad a šrot z tantalu', 0, 2011, 'CZ_8103_30_00'),
('8104 20 00','Odpad a šrot z hořčíku', 0, 2011, 'CZ_8104_20_00'),
('8105 30 00','Odpad a šrot z kobaltu ex ', 0, 2011, 'CZ_8105_30_00'),
('8106 00 10','Odpad a šrot z bismutu', 0, 2011, 'CZ_8106_00_10'),
('8107 30 00','Odpad a šrot z kadmia', 0, 2011, 'CZ_8107_30_00'),
('8108 30 00','Odpad a šrot z titanu', 0, 2011, 'CZ_8108_30_00'),
('8109 30 00','Odpad a šrot ze zirkonia', 0, 2011, 'CZ_8109_30_00'),
('8110 20 00','Odpad a šrot z antimonu', 0, 2011, 'CZ_8110_20_00'),
('8111 00 19','Odpad a šrot z manganu', 0, 2011, 'CZ_8111_00_19'),
('8112 13 00','Odpad a šrot z berylia', 0, 2011, 'CZ_8112_13_00'),
('8112 22 00','Odpad a šrot z chrómu', 0, 2011, 'CZ_8112_22_00'),
('8112 52 00','Odpad a šrot z thallia', 0, 2011, 'CZ_8112_52_00'),
('8112 92 21','Odpad a šrot z niobu (columbia),  gallia,  rhenia,  india,  vanadu a germania', 0, 2011, 'CZ_8112_92_21'),
('8113 00 40','Odpad a šrot z cermetů', 0, 2011, 'CZ_8113_00_40'),
('8548 10','Odpad a zbytky galvanických článků, baterií a elektrických akumulátorů,  nepoužitelné galvanické články, baterie a elektrické akumulátory.', 0, 2011, 'CZ_8548_10');

-- Kódy § 92a platné od 1.1.2012
insert into udphpren (kod, nazev, platiod, platido, uuid)
values
('1', '§ 92b – zlato', 2012, 9999, 'CZ_§92_1_2012'),
('2', '§ 92d – povolenky (do 31. 3. 2015)', 2012, 2015,'CZ_§92_2_2012'),
('4', '§ 92e – stavební a montážní práce', 2012, 9999,'CZ_§92_4_2012'),
('5', '§ 92c – zboží uvedené v příloze č. 5', 2012, 9999,'CZ_§92_5_2012');

-- Kódy § 92a platné od 1.4.2015
insert into udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
values
('11', '§ 92f – povolenky (od 1. 4. 2015)','omezPrenDanPov.bezOmezeni', 2015, 9999, 'CZ_§92_11_2015'), 
('12', '§ 92f – obiloviny a technické plodiny','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_12_2015'),
('13', '§ 92f – kovy','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_13_2015'),
('14', '§ 92f – mobilní telefony','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_14_2015'),
('15', '§ 92f – integrované obvody','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_15_2015'),
('16', '§ 92f – přenosná zařízení pro automatizované zpracování dat','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_16_2015'),
('17', '§ 92f – videoherní konzole','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_17_2015');

-- kód § 92d platný od 1.1.2016
insert into udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
values
('3', '§ 92d – dodání nemovité věci','omezPrenDanPov.bezOmezeni', 2016, 9999, 'CZ_§92_3_2016');

-- kód § 92f platný od 1.2.2016
insert into udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
values
('18', '§ 92f – dodání certifikátů elektřiny','omezPrenDanPov.bezOmezeni', 2016, 9999, 'CZ_§92_18_2016'),
('19', '§ 92f – dodání elektřiny soustavami nebo sítěmi obchodníkovi','omezPrenDanPov.bezOmezeni', 2016, 9999, 'CZ_§92_19_2016'),
('20', '§ 92f – dodání plynu soustavami nebo sítěmi obchodníkovi','omezPrenDanPov.bezOmezeni', 2016, 9999, 'CZ_§92_20_2016');

-- kód § 92f platný od 1.10.2016
insert into udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
    values ('21', '§ 92f - poskytnutí vymezených služeb elektronických komunikací', 'omezPrenDanPov.bezOmezeni', 2016, 9999, 'CZ_§92_21_2016');
    
-- kód § 92. platný od 1.7.2017
insert into udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
values
('1a', '§ 92b – zlato – zprostředkování dodání investičního zlata','omezPrenDanPov.bezOmezeni', 2017, 9999, 'CZ_§92_1A_2017'),
('3a', '§ 92d – dodání nemovité věci v nuceném prodeji','omezPrenDanPov.bezOmezeni', 2017, 9999, 'CZ_§92_3A_2017'),
('4a', '§ 92e – stavební a montážní práce – poskytnutí pracovníků','omezPrenDanPov.bezOmezeni', 2017, 9999, 'CZ_§92_4A_2017'),
('6', '§ 92ea – dodání zboží poskytnutého původně jako záruka','omezPrenDanPov.bezOmezeni', 2017, 9999, 'CZ_§92_6_2017'),
('7', '§ 92ea – dodání zboží po postoupení výhrady vlastnictví','omezPrenDanPov.bezOmezeni', 2017, 9999, 'CZ_§92_7_2017');
