/**
 * odecte obrat danoveho nakladu v tabulce uObraty
 * pricte obrat danoveho naklady v tabulce uObraty
 *
 * @author jdrahos
 */
create or replace function mDanNaklUpdate() returns trigger as $$
declare
  mena integer;
begin
  select leasing.idMeny into mena from mleasing leasing where NEW.idleasing = leasing.idleasing;

  execute createOrUpdateObraty(OLD.Ucetni, false, OLD.DatUcto, OLD.idZklMdUcet, OLD.idZklDalUcet,
        mena, OLD.idStred, -OLD.sumZkl, -OLD.sumZklMen);

  execute createOrUpdateObraty(NEW.Ucetni, false, NEW.DatUcto, NEW.idZklMdUcet, NEW.idZklDalUcet,
        mena, NEW.idStred, NEW.sumZkl, NEW.sumZklMen);

  return NEW;
end;
$$ LANGUAGE plpgsql;

drop trigger if exists mDanNaklUpdate on mdannakl;

create trigger mDanNaklUpdate before update on mdannakl
for each row execute procedure mDanNaklUpdate();