--------------------------------------------------------------------------------
-- Bug 46100 - Přenést příznak pro automatický odpočet z typu dokladu na dokladu 
--------------------------------------------------------------------------------

alter table ddoklfak add column odpocAuto boolean NOT NULL DEFAULT false;

alter table ddoklfak disable trigger all;

update ddoklfak
  set odpocAuto = true
  where odpocAuto = false
    and modul = 'FAV'
    and idTypDokl in (select td.idTypDokl from dTypDokl td where td.odpocAuto = true and modul = 'FAV');

alter table ddoklfak enable trigger all;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 1061, 't', %appVersion%, clock_timestamp());
