-- 10246, Tabulky obchodního modulu dDoklObch, dPolObch, WKLI_DOKLOBCH, rozšíření dTypDokl pro obchod, ...
-- 10247, [WinStrom] Upgrade skript pro obchodní modul

    
--
-- TOC entry 1999 (class 1259 OID 44714)
-- Dependencies: 3
-- Name: seq_ddoklobch; Type: SEQUENCE; Schema: public; Owner: %firmaRole%
--

CREATE SEQUENCE seq_ddoklobch
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2000 (class 1259 OID 44716)
-- Dependencies: 3
-- Name: seq_dpolobch; Type: SEQUENCE; Schema: public; Owner: %firmaRole%
--

CREATE SEQUENCE seq_dpolobch
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;
    

--
-- TOC entry 1997 (class 1259 OID 44213)
-- Dependencies: 2934 2935 2936 2937 2938 2939 2940 2941 2942 2943 2944 2945 2946 2947 2948 2949 2950 2951 2952 2953 2954 2955 2956 2957 2958 2959 2960 3
-- Name: ddoklobch; Type: TABLE; Schema: public; Owner: %firmaRole%; Tablespace: 
--

CREATE TABLE ddoklobch (
    iddoklobch integer DEFAULT nextval('seq_ddoklobch'::regclass) NOT NULL,
    lastupdate timestamp without time zone DEFAULT '2008-01-01 00:00:00'::timestamp without time zone NOT NULL,
    bezpolozek boolean DEFAULT false NOT NULL,
    bic character varying(255),
    buc character varying(255),
    cisdodak character varying(30),
    cisdosle character varying(30),
    cisobj character varying(30),
    cissml character varying(30),
    datobj date,
    datreal date,
    datsplat date,
    dattermin date,
    datucto date,
    datuhr date,
    datvyst date NOT NULL,
    dic character varying(20),
    doprava character varying(255),
    duzppuv date,
    duzpucto date,
    eankod character varying(20),
    faeankod character varying(20),
    famesto character varying(255),
    fapsc character varying(255),
    faulice character varying(255),
    iban character varying(255),
    ic character varying(20),
    kod character varying(20) NOT NULL,
    kurz numeric(10,6) DEFAULT 0.0 NOT NULL,
    kurzmnozstvi integer DEFAULT 0 NOT NULL,
    mesto character varying(255),
    modul character varying(3) NOT NULL,
    nazfirmy character varying(255),
    popis character varying(255),
    poznam text,
    psc character varying(255),
    slevadokl numeric(6,2) DEFAULT 0.0 NOT NULL,
    specsym character varying(255),
    stavuzivk character varying(50),
    storno boolean DEFAULT false NOT NULL,
    sumcelkem numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumcelkemmen numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumdphsniz numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumdphsnizmen numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumdphzakl numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumdphzaklmen numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumosv numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumosvmen numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumzklsniz numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumzklsnizmen numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumzklzakl numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumzklzaklmen numeric(15,2) DEFAULT 0.0 NOT NULL,
    szbdphsniz numeric(6,2) DEFAULT 0.0 NOT NULL,
    szbdphzakl numeric(6,2) DEFAULT 0.0 NOT NULL,
    typpohybuk character varying(50) NOT NULL,
    ucetni boolean DEFAULT false NOT NULL,
    ulice character varying(255),
    uvodtxt text,
    varsym character varying(30),
    zamek boolean DEFAULT false NOT NULL,
    zavtxt text,
    zuctovano boolean DEFAULT false NOT NULL,
    formauhrk character varying(50),
    juhsum numeric(15,2) DEFAULT 0.0 NOT NULL,
    juhsummen numeric(15,2) DEFAULT 0.0 NOT NULL,
    procreal numeric(6,2) DEFAULT 0.0 NOT NULL,
    sumnaklady numeric(15,2) DEFAULT 0.0 NOT NULL,
    idzvlpoh integer,
    idstred integer,
    iduziv integer,
    idsmerkod integer,
    idstatodesl integer,
    idkrajurc integer,
    idmur integer,
    idsazbydphsniz integer,
    idsazbydphzakl integer,
    idprotiucet integer,
    idbanspojdod integer,
    idfirmy integer,
    idclendph integer,
    idmeny integer,
    iddphzaklucet integer,
    idprimucet integer,
    idtypdokl integer NOT NULL,
    idobchtrans integer,
    idkonsym integer,
    iddruhdopr integer,
    idfastatu integer,
    iddodpodm integer,
    idtypdoklnabfak integer,
    idzakazky integer,
    idstatu integer,
    idstatpuvod integer,
    idtypdoklban integer,
    idstaturc integer,
    idstatdph integer,
    idpolrady integer,
    idrady integer,
    iddphsnizucet integer,
    idsazbydphosv integer
);


--
-- TOC entry 1998 (class 1259 OID 44250)
-- Dependencies: 2961 2962 2963 2964 2965 2966 2967 2968 2969 2970 2971 2972 2973 2974 2975 2976 2977 2978 2979 2980 2981 2982 2983 2984 2985 2986 2987 2988 2989 2990 2991 2992 2993 2994 2995 2996 3
-- Name: dpolobch; Type: TABLE; Schema: public; Owner: %firmaRole%; Tablespace: 
--

CREATE TABLE dpolobch (
    idpolobch integer DEFAULT nextval('seq_dpolobch'::regclass) NOT NULL,
    lastupdate timestamp without time zone DEFAULT '2008-01-01 00:00:00'::timestamp without time zone NOT NULL,
    autozaokr boolean DEFAULT false NOT NULL,
    autogen boolean DEFAULT false NOT NULL,
    baleniid integer DEFAULT 0 NOT NULL,
    cenjednotka numeric(19,6) DEFAULT 0.0 NOT NULL,
    cenamj numeric(19,6) DEFAULT 0.0 NOT NULL,
    cenamjnakup numeric(19,6) DEFAULT 0.0 NOT NULL,
    cenamjprodej numeric(19,6) DEFAULT 0.0 NOT NULL,
    cisrad integer DEFAULT 0 NOT NULL,
    datucto date,
    datvyst date NOT NULL,
    eankod character varying(20),
    expirace character varying(20),
    kod character varying(20),
    kopclendph boolean DEFAULT true NOT NULL,
    kopdphdalucet boolean DEFAULT true NOT NULL,
    kopdphmducet boolean DEFAULT true NOT NULL,
    kopklice boolean DEFAULT true NOT NULL,
    kopstred boolean DEFAULT true NOT NULL,
    kopzakazku boolean DEFAULT true NOT NULL,
    kopzkldalucet boolean DEFAULT true NOT NULL,
    kopzklmducet boolean DEFAULT true NOT NULL,
    mnozbaleni integer DEFAULT 0 NOT NULL,
    mnozmj numeric(19,6) DEFAULT 0.0 NOT NULL,
    mnozmjplan numeric(19,6) DEFAULT 0.0 NOT NULL,
    mnozmjreal numeric(19,6) DEFAULT 0.0 NOT NULL,
    modul character varying(3) NOT NULL,
    nazev character varying(255),
    objednatk character varying(50),
    objem numeric(19,6) DEFAULT 0.0 NOT NULL,
    poznam text,
    proczakl numeric(19,6) DEFAULT 0.0 NOT NULL,
    rezervovat boolean DEFAULT false NOT NULL,
    sarze character varying(20),
    slevadokl numeric(6,2) DEFAULT 0.0 NOT NULL,
    slevamnoz numeric(6,2) DEFAULT 0.0 NOT NULL,
    slevapol numeric(6,2) DEFAULT 0.0 NOT NULL,
    stavuzivk character varying(50),
    storno boolean DEFAULT false NOT NULL,
    stornopol boolean DEFAULT false NOT NULL,
    sumdph numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumdphmen numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumzkl numeric(15,2) DEFAULT 0.0 NOT NULL,
    sumzklmen numeric(15,2) DEFAULT 0.0 NOT NULL,
    szbdph numeric(6,2) DEFAULT 0.0 NOT NULL,
    typcenydphk character varying(50),
    typpolozkyk character varying(50) NOT NULL,
    typszbdphk character varying(50),
    typvypcenyk character varying(50),
    ucetni boolean DEFAULT false NOT NULL,
    uplslevadokl boolean DEFAULT false NOT NULL,
    vyrcis character varying(20),
    zaokrjakk character varying(50),
    zaokrnak character varying(50),
    idstred integer,
    idzkldalucet integer,
    idsazbydph integer,
    iddphmducet integer,
    idskladu integer,
    idfirmy integer,
    iddphdalucet integer,
    idmjobjem integer,
    idmj integer,
    idcenik integer,
    idzklmducet integer,
    idclendph integer,
    idzakazky integer,
    idmeny integer,
    iddoklobch integer NOT NULL
);


--
-- TOC entry 1996 (class 1259 OID 44208)
-- Dependencies: 3
-- Name: wkli_doklobch; Type: TABLE; Schema: public; Owner: %firmaRole%; Tablespace: 
--

CREATE TABLE wkli_doklobch (
    iddoklobch integer NOT NULL,
    idvybklic integer NOT NULL
);


-- prirazeni vlastnika sekvenci a tabulek
ALTER TABLE public.ddoklobch OWNER TO %firmaRole%;
ALTER TABLE public.dpolobch OWNER TO %firmaRole%;
ALTER TABLE public.wkli_doklobch OWNER TO %firmaRole%;

ALTER TABLE public.seq_ddoklobch OWNER TO %firmaRole%;
ALTER TABLE public.seq_dpolobch OWNER TO %firmaRole%;


--
-- TOC entry 3674 (class 2606 OID 44249)
-- Dependencies: 1997 1997 1997
-- Name: ddoklobch_kod_key; Type: CONSTRAINT; Schema: public; Owner: %firmaRole%; Tablespace: 
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT ddoklobch_kod_key UNIQUE (kod, modul);


--
-- TOC entry 3676 (class 2606 OID 44247)
-- Dependencies: 1997 1997
-- Name: ddoklobch_pkey; Type: CONSTRAINT; Schema: public; Owner: %firmaRole%; Tablespace: 
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT ddoklobch_pkey PRIMARY KEY (iddoklobch);


--
-- TOC entry 3678 (class 2606 OID 44293)
-- Dependencies: 1998 1998
-- Name: dpolobch_pkey; Type: CONSTRAINT; Schema: public; Owner: %firmaRole%; Tablespace: 
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT dpolobch_pkey PRIMARY KEY (idpolobch);


--
-- TOC entry 3672 (class 2606 OID 44212)
-- Dependencies: 1996 1996 1996
-- Name: wkli_doklobch_pkey; Type: CONSTRAINT; Schema: public; Owner: %firmaRole%; Tablespace: 
--

ALTER TABLE ONLY wkli_doklobch
    ADD CONSTRAINT wkli_doklobch_pkey PRIMARY KEY (iddoklobch, idvybklic);


--
-- TOC entry 4089 (class 2606 OID 44509)
-- Dependencies: 1868 1997 3194
-- Name: fk2f0cd34816d5fb4; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd34816d5fb4 FOREIGN KEY (idkonsym) REFERENCES dkonsym(idkonsym);


--
-- TOC entry 4110 (class 2606 OID 44614)
-- Dependencies: 1965 3602 1997
-- Name: fk2f0cd3481d7880f; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd3481d7880f FOREIGN KEY (idprimucet) REFERENCES uucty(iducet);


--
-- TOC entry 4094 (class 2606 OID 44534)
-- Dependencies: 1997 1843 3021
-- Name: fk2f0cd3481e32cb48; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd3481e32cb48 FOREIGN KEY (idmur) REFERENCES amisturc(idmur);


--
-- TOC entry 4113 (class 2606 OID 44629)
-- Dependencies: 3653 1997 1987
-- Name: fk2f0cd3482ec2f001; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd3482ec2f001 FOREIGN KEY (iduziv) REFERENCES wuzivatel(iduzivatel);


--
-- TOC entry 4102 (class 2606 OID 44574)
-- Dependencies: 3549 1945 1997
-- Name: fk2f0cd348354149ba; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348354149ba FOREIGN KEY (idsazbydphsniz) REFERENCES usazbydph(idsazbydph);


--
-- TOC entry 4099 (class 2606 OID 44559)
-- Dependencies: 1997 3549 1945
-- Name: fk2f0cd348354447b6; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348354447b6 FOREIGN KEY (idsazbydphzakl) REFERENCES usazbydph(idsazbydph);


--
-- TOC entry 4082 (class 2606 OID 44474)
-- Dependencies: 1997 1945 3549
-- Name: fk2f0cd348375c62d8; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348375c62d8 FOREIGN KEY (idsazbydphosv) REFERENCES usazbydph(idsazbydph);


--
-- TOC entry 4090 (class 2606 OID 44514)
-- Dependencies: 1849 3039 1997
-- Name: fk2f0cd348408ec4f; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348408ec4f FOREIGN KEY (idfastatu) REFERENCES astaty(idstatu);


--
-- TOC entry 4096 (class 2606 OID 44544)
-- Dependencies: 1847 1997 3033
-- Name: fk2f0cd34842e718e7; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd34842e718e7 FOREIGN KEY (idsmerkod) REFERENCES asmerkod(idsmerkod);


--
-- TOC entry 4088 (class 2606 OID 44504)
-- Dependencies: 3039 1849 1997
-- Name: fk2f0cd34843d3196a; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd34843d3196a FOREIGN KEY (idstatu) REFERENCES astaty(idstatu);


--
-- TOC entry 4109 (class 2606 OID 44609)
-- Dependencies: 3602 1965 1997
-- Name: fk2f0cd34864253e7b; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd34864253e7b FOREIGN KEY (iddphsnizucet) REFERENCES uucty(iducet);


--
-- TOC entry 4103 (class 2606 OID 44579)
-- Dependencies: 3315 1997 1886
-- Name: fk2f0cd3486ba1df4; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd3486ba1df4 FOREIGN KEY (idtypdokl) REFERENCES dtypdokl(idtypdokl);


--
-- TOC entry 4091 (class 2606 OID 44519)
-- Dependencies: 3602 1965 1997
-- Name: fk2f0cd34885077075; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd34885077075 FOREIGN KEY (idprotiucet) REFERENCES uucty(iducet);


--
-- TOC entry 4095 (class 2606 OID 44539)
-- Dependencies: 3602 1997 1965
-- Name: fk2f0cd3488e40de77; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd3488e40de77 FOREIGN KEY (iddphzaklucet) REFERENCES uucty(iducet);


--
-- TOC entry 4106 (class 2606 OID 44594)
-- Dependencies: 1937 3528 1997
-- Name: fk2f0cd3489e26e1a5; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd3489e26e1a5 FOREIGN KEY (idclendph) REFERENCES uclendph(idclendph);


--
-- TOC entry 4086 (class 2606 OID 44494)
-- Dependencies: 3355 1902 1997
-- Name: fk2f0cd348a570efa7; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348a570efa7 FOREIGN KEY (idzvlpoh) REFERENCES izvlpoh(idzvlpoh);


--
-- TOC entry 4093 (class 2606 OID 44529)
-- Dependencies: 1997 1892 3329
-- Name: fk2f0cd348aa8e8951; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348aa8e8951 FOREIGN KEY (iddruhdopr) REFERENCES idruhdopr(iddruhdopr);


--
-- TOC entry 4092 (class 2606 OID 44524)
-- Dependencies: 1997 1880 3268
-- Name: fk2f0cd348aae264a; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348aae264a FOREIGN KEY (idrady) REFERENCES drady(idrady);


--
-- TOC entry 4097 (class 2606 OID 44549)
-- Dependencies: 3277 1884 1997
-- Name: fk2f0cd348b3280829; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348b3280829 FOREIGN KEY (idpolrady) REFERENCES dradyrok(idradyrok);


--
-- TOC entry 4111 (class 2606 OID 44619)
-- Dependencies: 1997 3339 1896
-- Name: fk2f0cd348c6de1917; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348c6de1917 FOREIGN KEY (idkrajurc) REFERENCES ikrajurc(idkrajurc);


--
-- TOC entry 4105 (class 2606 OID 44589)
-- Dependencies: 3315 1886 1997
-- Name: fk2f0cd348cc51e30b; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348cc51e30b FOREIGN KEY (idtypdoklban) REFERENCES dtypdokl(idtypdokl);


--
-- TOC entry 4085 (class 2606 OID 44489)
-- Dependencies: 1849 1997 3039
-- Name: fk2f0cd348d3286611; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348d3286611 FOREIGN KEY (idstatdph) REFERENCES astaty(idstatu);


--
-- TOC entry 4084 (class 2606 OID 44484)
-- Dependencies: 1997 3039 1849
-- Name: fk2f0cd348d328a61b; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348d328a61b FOREIGN KEY (idstaturc) REFERENCES astaty(idstatu);


--
-- TOC entry 4112 (class 2606 OID 44624)
-- Dependencies: 1890 3324 1997
-- Name: fk2f0cd348d855852d; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348d855852d FOREIGN KEY (iddodpodm) REFERENCES idodpodm(iddodpodm);


--
-- TOC entry 4083 (class 2606 OID 44479)
-- Dependencies: 1849 3039 1997
-- Name: fk2f0cd348e2f2e7fe; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348e2f2e7fe FOREIGN KEY (idstatodesl) REFERENCES astaty(idstatu);


--
-- TOC entry 4087 (class 2606 OID 44499)
-- Dependencies: 3039 1997 1849
-- Name: fk2f0cd348e308f91b; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348e308f91b FOREIGN KEY (idstatpuvod) REFERENCES astaty(idstatu);


--
-- TOC entry 4108 (class 2606 OID 44604)
-- Dependencies: 1997 3539 1941
-- Name: fk2f0cd348e36cb91d; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348e36cb91d FOREIGN KEY (idmeny) REFERENCES umeny(idmeny);


--
-- TOC entry 4101 (class 2606 OID 44569)
-- Dependencies: 1997 1961 3588
-- Name: fk2f0cd348f0c53e9f; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348f0c53e9f FOREIGN KEY (idstred) REFERENCES ustrediska(idstred);


--
-- TOC entry 4107 (class 2606 OID 44599)
-- Dependencies: 1839 3012 1997
-- Name: fk2f0cd348f3343ea4; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348f3343ea4 FOREIGN KEY (idbanspojdod) REFERENCES abanspoj(idbanspoj);


--
-- TOC entry 4098 (class 2606 OID 44554)
-- Dependencies: 3005 1837 1997
-- Name: fk2f0cd348f7b64b9e; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348f7b64b9e FOREIGN KEY (idfirmy) REFERENCES aadresar(idfirmy);


--
-- TOC entry 4100 (class 2606 OID 44564)
-- Dependencies: 1886 1997 3315
-- Name: fk2f0cd348f9673495; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348f9673495 FOREIGN KEY (idtypdoklnabfak) REFERENCES dtypdokl(idtypdokl);


--
-- TOC entry 4104 (class 2606 OID 44584)
-- Dependencies: 3350 1997 1900
-- Name: fk2f0cd348fa63738b; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348fa63738b FOREIGN KEY (idobchtrans) REFERENCES iobchtrans(idobchtrans);


--
-- TOC entry 4081 (class 2606 OID 44469)
-- Dependencies: 1997 1967 3609
-- Name: fk2f0cd348fa994e2f; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY ddoklobch
    ADD CONSTRAINT fk2f0cd348fa994e2f FOREIGN KEY (idzakazky) REFERENCES uzakazky(idzakazky);


--
-- TOC entry 4079 (class 2606 OID 44459)
-- Dependencies: 1996 1989 3659
-- Name: fka0f9bbd24c9fb2f1; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY wkli_doklobch
    ADD CONSTRAINT fka0f9bbd24c9fb2f1 FOREIGN KEY (idvybklic) REFERENCES wvybklice(idvybklice);


--
-- TOC entry 4080 (class 2606 OID 44464)
-- Dependencies: 3675 1996 1997
-- Name: fka0f9bbd2a3ec84c2; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY wkli_doklobch
    ADD CONSTRAINT fka0f9bbd2a3ec84c2 FOREIGN KEY (iddoklobch) REFERENCES ddoklobch(iddoklobch);


--
-- TOC entry 4120 (class 2606 OID 44664)
-- Dependencies: 3061 1855 1998
-- Name: fkdf6948612002dda9; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf6948612002dda9 FOREIGN KEY (idmjobjem) REFERENCES cmerjed(idmj);


--
-- TOC entry 4117 (class 2606 OID 44649)
-- Dependencies: 1998 3602 1965
-- Name: fkdf694861438be206; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861438be206 FOREIGN KEY (iddphmducet) REFERENCES uucty(iducet);


--
-- TOC entry 4116 (class 2606 OID 44644)
-- Dependencies: 1998 1853 3056
-- Name: fkdf694861451651ce; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861451651ce FOREIGN KEY (idcenik) REFERENCES ccenik(idcenik);


--
-- TOC entry 4121 (class 2606 OID 44669)
-- Dependencies: 1998 1965 3602
-- Name: fkdf6948614f7aacdc; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf6948614f7aacdc FOREIGN KEY (iddphdalucet) REFERENCES uucty(iducet);


--
-- TOC entry 4128 (class 2606 OID 44704)
-- Dependencies: 3549 1945 1998
-- Name: fkdf694861791322ee; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861791322ee FOREIGN KEY (idsazbydph) REFERENCES usazbydph(idsazbydph);


--
-- TOC entry 4127 (class 2606 OID 44699)
-- Dependencies: 3061 1855 1998
-- Name: fkdf6948617af9caba; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf6948617af9caba FOREIGN KEY (idmj) REFERENCES cmerjed(idmj);


--
-- TOC entry 4122 (class 2606 OID 44674)
-- Dependencies: 3602 1998 1965
-- Name: fkdf6948617f8edfd; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf6948617f8edfd FOREIGN KEY (idzkldalucet) REFERENCES uucty(iducet);


--
-- TOC entry 4124 (class 2606 OID 44684)
-- Dependencies: 1998 1937 3528
-- Name: fkdf6948619e26e1a5; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf6948619e26e1a5 FOREIGN KEY (idclendph) REFERENCES uclendph(idclendph);


--
-- TOC entry 4126 (class 2606 OID 44694)
-- Dependencies: 1997 3675 1998
-- Name: fkdf694861a3ec84c2; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861a3ec84c2 FOREIGN KEY (iddoklobch) REFERENCES ddoklobch(iddoklobch);


--
-- TOC entry 4123 (class 2606 OID 44679)
-- Dependencies: 1998 3602 1965
-- Name: fkdf694861cda078c5; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861cda078c5 FOREIGN KEY (idzklmducet) REFERENCES uucty(iducet);


--
-- TOC entry 4125 (class 2606 OID 44689)
-- Dependencies: 3539 1998 1941
-- Name: fkdf694861e36cb91d; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861e36cb91d FOREIGN KEY (idmeny) REFERENCES umeny(idmeny);


--
-- TOC entry 4118 (class 2606 OID 44654)
-- Dependencies: 3315 1998 1886
-- Name: fkdf694861e52aa731; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861e52aa731 FOREIGN KEY (idskladu) REFERENCES dtypdokl(idtypdokl);


--
-- TOC entry 4119 (class 2606 OID 44659)
-- Dependencies: 1998 1961 3588
-- Name: fkdf694861f0c53e9f; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861f0c53e9f FOREIGN KEY (idstred) REFERENCES ustrediska(idstred);


--
-- TOC entry 4115 (class 2606 OID 44639)
-- Dependencies: 3005 1837 1998
-- Name: fkdf694861f7b64b9e; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861f7b64b9e FOREIGN KEY (idfirmy) REFERENCES aadresar(idfirmy);


--
-- TOC entry 4114 (class 2606 OID 44634)
-- Dependencies: 1998 1967 3609
-- Name: fkdf694861fa994e2f; Type: FK CONSTRAINT; Schema: public; Owner: %firmaRole%
--

ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT fkdf694861fa994e2f FOREIGN KEY (idzakazky) REFERENCES uzakazky(idzakazky);



-- Indexy
CREATE INDEX dDoklObch_IdTypDokl_index ON dDoklObch USING btree (IdTypDokl);
CREATE INDEX dDoklObch_IdMeny_index ON dDoklObch USING btree (IdMeny);
CREATE INDEX dDoklObch_IdKonSym_index ON dDoklObch USING btree (IdKonSym);
CREATE INDEX dDoklObch_IdFirmy_index ON dDoklObch USING btree (IdFirmy);
CREATE INDEX dDoklObch_IdStatu_index ON dDoklObch USING btree (IdStatu);
CREATE INDEX dDoklObch_IdFaStatu_index ON dDoklObch USING btree (IdFaStatu);
CREATE INDEX dDoklObch_IdMur_index ON dDoklObch USING btree (IdMur);
CREATE INDEX dDoklObch_IdBanSpojDod_index ON dDoklObch USING btree (IdBanSpojDod);
CREATE INDEX dDoklObch_IdTypDoklBan_index ON dDoklObch USING btree (IdTypDoklBan);
CREATE INDEX dDoklObch_IdPrimUcet_index ON dDoklObch USING btree (IdPrimUcet);
CREATE INDEX dDoklObch_IdProtiUcet_index ON dDoklObch USING btree (IdProtiUcet);
CREATE INDEX dDoklObch_IdDphZaklUcet_index ON dDoklObch USING btree (IdDphZaklUcet);
CREATE INDEX dDoklObch_IdDphSnizUcet_index ON dDoklObch USING btree (IdDphSnizUcet);
CREATE INDEX dDoklObch_IdSmerKod_index ON dDoklObch USING btree (IdSmerKod);
CREATE INDEX dDoklObch_IdStatDph_index ON dDoklObch USING btree (IdStatDph);
CREATE INDEX dDoklObch_IdClenDph_index ON dDoklObch USING btree (IdClenDph);
CREATE INDEX dDoklObch_IdStred_index ON dDoklObch USING btree (IdStred);
CREATE INDEX dDoklObch_IdZakazky_index ON dDoklObch USING btree (IdZakazky);
CREATE INDEX dDoklObch_IdStatOdesl_index ON dDoklObch USING btree (IdStatOdesl);
CREATE INDEX dDoklObch_IdStatUrc_index ON dDoklObch USING btree (IdStatUrc);
CREATE INDEX dDoklObch_IdStatPuvod_index ON dDoklObch USING btree (IdStatPuvod);
CREATE INDEX dDoklObch_IdDodPodm_index ON dDoklObch USING btree (IdDodPodm);
CREATE INDEX dDoklObch_IdObchTrans_index ON dDoklObch USING btree (IdObchTrans);
CREATE INDEX dDoklObch_IdDruhDopr_index ON dDoklObch USING btree (IdDruhDopr);
CREATE INDEX dDoklObch_IdZvlPoh_index ON dDoklObch USING btree (IdZvlPoh);
CREATE INDEX dDoklObch_IdKrajUrc_index ON dDoklObch USING btree (IdKrajUrc);
CREATE INDEX dDoklObch_IdUziv_index ON dDoklObch USING btree (IdUziv);
CREATE INDEX dDoklObch_IdRady_index ON dDoklObch USING btree (IdRady);
CREATE INDEX dDoklObch_IdPolRady_index ON dDoklObch USING btree (IdPolRady);
CREATE INDEX dDoklObch_IdSazbyDphOsv_index ON dDoklObch USING btree (IdSazbyDphOsv);
CREATE INDEX dDoklObch_IdSazbyDphSniz_index ON dDoklObch USING btree (IdSazbyDphSniz);
CREATE INDEX dDoklObch_IdSazbyDphZakl_index ON dDoklObch USING btree (IdSazbyDphZakl);
CREATE INDEX dPolObch_IdSkladu_index ON dPolObch USING btree (IdSkladu);
CREATE INDEX dPolObch_IdStred_index ON dPolObch USING btree (IdStred);
CREATE INDEX dPolObch_IdMeny_index ON dPolObch USING btree (IdMeny);
CREATE INDEX dPolObch_IdZklMdUcet_index ON dPolObch USING btree (IdZklMdUcet);
CREATE INDEX dPolObch_IdZklDalUcet_index ON dPolObch USING btree (IdZklDalUcet);
CREATE INDEX dPolObch_IdDphMdUcet_index ON dPolObch USING btree (IdDphMdUcet);
CREATE INDEX dPolObch_IdDphDalUcet_index ON dPolObch USING btree (IdDphDalUcet);
CREATE INDEX dPolObch_IdZakazky_index ON dPolObch USING btree (IdZakazky);
CREATE INDEX dPolObch_IdFirmy_index ON dPolObch USING btree (IdFirmy);
CREATE INDEX dPolObch_IdClenDph_index ON dPolObch USING btree (IdClenDph);
CREATE INDEX dPolObch_IdCenik_index ON dPolObch USING btree (IdCenik);
CREATE INDEX dPolObch_IdMj_index ON dPolObch USING btree (IdMj);
CREATE INDEX dPolObch_IdMjObjem_index ON dPolObch USING btree (IdMjObjem);
CREATE INDEX dPolObch_IdSazbyDph_index ON dPolObch USING btree (IdSazbyDph);
CREATE INDEX dPolObch_IdDoklObch_index ON dPolObch USING btree (IdDoklObch);


-- triggery

-- dokladove rady
CREATE TRIGGER ddoklobchdelete BEFORE DELETE ON ddoklobch
  FOR EACH ROW EXECUTE PROCEDURE ddokldelete();
  
CREATE TRIGGER ddoklobchdelraddiru BEFORE INSERT OR UPDATE ON ddoklobch
  FOR EACH ROW EXECUTE PROCEDURE ddokldelraddiru();
  
-- kontrola vazeb

CREATE OR REPLACE FUNCTION dzdoklcheckvazby()
  RETURNS trigger AS $$
declare  
  _idDokl integer;  
  _notInDVazebTab boolean;    
begin    
  if (OLD.modul in ('FAV', 'FAP', 'PHL', 'ZAV')) then  
    _idDokl:= OLD.idDoklFak;  
  else  
    if (OLD.modul in ('SKL')) then  
      _idDokl:= OLD.idDoklSklad;  
    else  
      if (OLD.modul in ('BAN', 'POK', 'INT')) then  
        _idDokl:= OLD.idDoklInt;  
      else
        if (OLD.modul in ('PPP', 'NAV', 'OBP', 'PPV', 'NAP', 'OBV')) then
          _idDokl := OLD.idDoklObch;
        else  
          raise exception 'dDoklCheckVazby(): Neznámý modul: %', OLD.modul;
        end if;
      end if;
    end if;
  end if;
  
  _notInDVazebTab:= (select dZkontrolujVazebniTab (_idDokl, true, OLD.modul));
  if (_notInDVazebTab = false) then
    raise exception '0004:dDoklCheckVazby(): Ve vazební tabulce zůstávají vazby na doklad.';
  end if;
  
  return OLD;
end;
$$ LANGUAGE plpgsql;

CREATE OR REPLACE FUNCTION dzpoldoklcheckvazby()
  RETURNS trigger AS $$
declare
  _idPolDokl integer;
  _notInDVazebTab boolean;
begin
  if (OLD.modul in( 'FAV','FAP','PHL','ZAV')) then
    _idPolDokl:= OLD.idPolFak;
  else
    if (OLD.modul in( 'SKL')) then
      _idPolDokl:= OLD.idPolSklad;
    else
      if (OLD.modul in( 'BAN','POK','INT')) then
        _idPolDokl:= OLD.idPolInt;
      else
        if (OLD.modul in ('PPP', 'NAV', 'OBP', 'PPV', 'NAP', 'OBV')) then
          _idPolDokl := OLD.idPolObch;
        else
          raise exception 'dPolDoklCheckVazby(): Neznámý modul: %', OLD.modul;
        end if;
      end if;
    end if;
  end if;
  
  _notInDVazebTab:= (select dZkontrolujVazebniTab (_idPolDokl, false, OLD.modul));
  if (_notInDVazebTab = false) then
    raise exception '0003:dDoklCheckVazby(): Ve vazební tabulce zůstávají vazby na položku dokladu.';
  end if;
  
  return OLD;
end;
$$ LANGUAGE plpgsql;


CREATE TRIGGER dzdoklobchcheckvazby BEFORE DELETE ON ddoklobch
  FOR EACH ROW EXECUTE PROCEDURE dzdoklcheckvazby();

CREATE TRIGGER dzpolobchcheckvazby BEFORE DELETE ON dpolobch
  FOR EACH ROW EXECUTE PROCEDURE dzpoldoklcheckvazby();
  
  
-- funkce a trigger slouzici k vypoctu procenta realizovatelnosti
  
CREATE FUNCTION minValue(num1 numeric(15,2), num2 numeric(15,2)) RETURNS numeric(15,2) AS $$ 
begin 
  if (num1 < num2) then
    return num1;
  else
    return num2;
  end if;
end; 
$$ LANGUAGE plpgsql;
ALTER FUNCTION public.minValue(numeric, numeric) OWNER TO %firmaRole%;

CREATE OR REPLACE FUNCTION dpolobchrealizovatelnost()
  RETURNS trigger AS $$
declare
  ZAZNAM record;
  zbyvaNakl numeric(15,2);
  moznoSklad numeric(15,2);
  moznoNesklad numeric(15,2);
  vysledek numeric(6,2);
  _idUcetniObdobi integer;
begin
  if (tg_op = 'DELETE') then  
    ZAZNAM := OLD;  
  else  
    ZAZNAM := NEW;  
  end if;

  if (ZAZNAM.modul in ('PPP', 'NAV', 'OBP')) then
    select idUcetObdobi into _idUcetniObdobi from nUcetObdobi where (DATE(NOW()) >= PlatiOdData and DATE(NOW()) <= PlatiDoData) limit 1;
  
    select coalesce(sum((mnozMj-mnozMjReal) * cenaMj), 0) into zbyvaNakl from dPolObch where idDoklObch = ZAZNAM.idDoklObch;

    select coalesce(sum(
	     minValue(dgetstavnasklade((select idKarty from sKarty where idCenik = P.idCenik AND idTypDokl = P.idSkladu AND idUcetObdobi = _idUcetniObdobi), DATE(NOW()), -1),
		      (mnozMj-mnozMjReal))
	     * cenaMj), 0) into moznoSklad
      from dPolObch as P where idDoklObch = ZAZNAM.idDoklObch and typPolozkyK = 'typPolozky.katalog';

    select coalesce(sum((mnozMj-mnozMjReal) * cenaMj), 0) into moznoNesklad from dPolObch where idDoklObch = ZAZNAM.idDoklObch and typPolozkyK <> 'typPolozky.katalog';

    if (zbyvaNakl = 0) then
      vysledek := 100;
    else
      vysledek := ((moznoSklad + moznoNesklad) / zbyvaNakl) * 100;
    end if;
    
    update ddoklobch SET procReal=vysledek WHERE iddoklobch=ZAZNAM.idDoklObch;
  end if;
  
  return ZAZNAM;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION public.dpolobchrealizovatelnost() OWNER TO %firmaRole%;

CREATE TRIGGER dpolobchrealizovatelnost AFTER INSERT OR UPDATE OR DELETE ON dpolobch
  FOR EACH ROW EXECUTE PROCEDURE dpolobchrealizovatelnost();


-- zvýšení verze DB
insert into dbversion(iddbversion, dbversion, needreimport) values (nextval('seq_dbversion'), 13, 't')