----------------------------------------------------------------
-- Bug 16737 – [WinStrom] Nové sazby DPH od 1.1.2009
----------------------------------------------------------------

UPDATE usazbydph
SET platidodata='2009-12-31'
WHERE uuid='CZ_19_2004' OR uuid='CZ_9_2008';

CREATE OR REPLACE FUNCTION doUpgrade()
  RETURNS void AS
$BODY$    
declare
  pom integer;
  _idstatu integer;
begin    
    select idstatu into _idstatu from astaty where uuid like '%_CZ';

    pom = 0;
    select count(1) into pom from usazbydph where typSzbDphK = 'typSzbDph.dphZakl' and szbdph = 20.00 and idstatu = _idstatu;

    if (pom = 0) then
        INSERT INTO usazbydph (lastupdate, platidodata, platioddata, popis, poznam, szbdph, typszbdphk, idstatu, uuid)
            VALUES ('2009-11-24 12:00:00.000', NULL, '2010-01-01', NULL, NULL, 20.00,
            'typSzbDph.dphZakl', _idstatu, 'CZ_20_2010');
    end if;

    pom = 0;
    select count(1) into pom from usazbydph where typSzbDphK = 'typSzbDph.dphSniz' and szbdph = 10.00 and idstatu = _idstatu;

    if (pom = 0) then
        INSERT INTO usazbydph (lastupdate, platidodata, platioddata, popis, poznam, szbdph, typszbdphk, idstatu, uuid)
            VALUES ('2009-11-24 12:00:00.000', NULL, '2010-01-01', NULL, NULL, 10.00,
            'typSzbDph.dphSniz', _idstatu, 'CZ_10_2010');
    end if;
end;    
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION doUpgrade() OWNER TO %firmaRole%;

select doUpgrade();
drop function doUpgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 178, 't');