--------------------------------------------------------------------------------
-- Bug 19057 – [WinStrom] Změna ve slovenském přiznání k DPH pro rok 2010
--------------------------------------------------------------------------------

-- vypnuti skladovych triggeru
alter table dpolfak disable trigger dpolfakupdatesklad;
alter table dpolint disable trigger dpolintupdatesklad;

-- oprava chybejicich uuid ve firmach vytvorenych ve verzich obsahujicich commit 12241
update uclendph set uuid = kodplnenish, kodplnenish = null where uuid is null and idstatu = (select idstatu from astaty where uuid like '%_SK');

-- odstraneni constraintu, ktery znemoznuje vlozit nove
ALTER TABLE uclendph DROP CONSTRAINT uclendph_kod_stat_key;

-- pridani novych cleneni
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 001-003';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 005-007';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 009';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 011';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 013';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 014';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 015';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 016';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 018-019';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 020-021';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 022-023';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 024';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 025';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 026';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 033';
UPDATE uclendph SET platido = 2009 WHERE uuid = 'SK 034';
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '001-004', 'Dodanie tovaru a služby podľa § 8 a 9 zákona', true, 2010, 9999, 'typPlneni.uskutecnena', 'typObchodu.tuzem', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 001-004 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '005-008', 'Nadobudnutie tovaru v tuzemsku podľa § 11 a 11a zákona', true, 2010, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 005-008 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '009-010', 'Tovary a služby, pri ktorých príjemca platí daň podľa § 69 ods. 2 a 9 až 12 zákona', true, 2010, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUneplat', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 009-010 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '011-012', 'Služby, při ktorých príjemca platí daň podľa § 69 ods. 3 zákona', true, 2010, 9999, 'typPlneni.uskutecnena', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 011-012 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, kodplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '013-014', 'Tovary, pri ktorých druhý odberateľ platí daň podľa § 69 ods. 7 zákona', true, 2010, 9999, 'typPlneni.uskutecnena', 'kodPlneni.tristran', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 013-014 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2008-01-01 00:00:00.000', '015', 'Dodanie tovarov a služieb s oslobodením od dane', true, 2010, 9999, 'typPlneni.uskutecnena', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 015 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '015, 016', 'Dodanie tovarov a služieb s oslobodením od dane – z toho podľa § 43 ods. 1, 2 a 4 zákona', true, 2010, 9999, 'typPlneni.uskutecnena', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 015, 016 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '015, 017', 'Dodanie tovarov a služieb s oslobodením od dane – z toho podľa  § 46, 47 a §48 ods. 8 zákona', true, 2010, 9999, 'typPlneni.uskutecnena', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 015, 017 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '018', 'Daňová povinnosť pri zrušení registrácie podľa § 81 zákona', true, 2010, 9999, 'typPlneni.uskutecnena', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 018 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2008-01-01 00:00:00.000', '020-021', 'Odpočítanie dane celkom podľa § 49 – 54 zákona', true, 2010, 9999, 'typPlneni.prijata', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 020-021 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '020-021, 022-023', 'Odpočítanie dane celkom podľa § 49 – 54 zákona – z toho podľa § 51 ods.1 písm. a) zákona', true, 2010, 9999, 'typPlneni.prijata', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 020-021, 022-023 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '020-021, 024-025', 'Odpočítanie dane celkom podľa § 49 – 54 zákona – z toho podľa § 51 ods. 1 písm. d) zákona', true, 2010, 9999, 'typPlneni.prijata', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 020-021, 024-025 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2008-01-01 00:00:00.000', '026', 'Odpočítanie dane pri registrácii platiteľa dane podľa § 55 zákona', true, 2010, 9999, 'typPlneni.prijata', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 026 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '027', 'Vrátenie dane cestujúcim pri vývoze tovaru podľa § 60 zákona', true, 2010, 9999, 'typPlneni.prijata', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 027 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, kodplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2008-01-01 00:00:00.000', '034', 'Trojstranný obchod podľa § 45 zákona   -  Nadobudnutie tovaru prvým odberateľom', true, 2010, 9999, 'typPlneni.prijata', 'kodPlneni.tristran', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 034 2010');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, kodplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2010-05-05 00:00:00.000', '035', 'Trojstranný obchod podľa § 45 zákona  -  Dodanie tovaru prvým odberateľom', true, 2010, 9999, 'typPlneni.uskutecnena', 'kodPlneni.tristran', true, 0, (select IdStatu from aStaty where uuid  like '%_SK'), 'SK 035 2010');

-- oprava cleneni na dokladech faktury
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 001-004 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 001-003') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 005-008 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 005-007') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 009-010 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 009') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 013-014 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 011') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 015 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 013') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 016 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 014') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 017 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 015') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 018 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 016') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 018-019') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 022-023 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 020-021') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 024-025 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 022-023') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 026 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 024') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 027 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 025') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 034 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 033') and duzpucto >= '2010-01-01' ;
update ddoklfak set idclendph = (select idclendph from uclendph where uuid = 'SK 035 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 034') and duzpucto >= '2010-01-01' ;
-- oprava cleneni na polozkach faktury
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 001-004 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 001-003') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 005-008 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 005-007') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 009-010 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 009') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 013-014 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 011') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 013') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 016 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 014') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 017 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 015') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 018 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 016') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 018-019') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 022-023 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 020-021') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 024-025 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 022-023') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 026 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 024') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 027 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 025') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 034 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 033') and D.duzpucto >= '2010-01-01';
update dpolfak as P set idclendph = (select idclendph from uclendph where uuid = 'SK 035 2010') from ddoklfak as D where P.iddoklfak = D.iddoklfak
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 034') and D.duzpucto >= '2010-01-01';

-- oprava cleneni na internich dokladech
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 001-004 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 001-003') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 005-008 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 005-007') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 009-010 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 009') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 013-014 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 011') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 015 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 013') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 016 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 014') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 017 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 015') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 018 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 016') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 018-019') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 022-023 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 020-021') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 024-025 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 022-023') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 026 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 024') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 027 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 025') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 034 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 033') and duzpucto >= '2010-01-01' ;
update ddoklint set idclendph = (select idclendph from uclendph where uuid = 'SK 035 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 034') and duzpucto >= '2010-01-01' ;
-- oprava cleneni na polozkach internich dokladu
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 001-004 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 001-003') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 005-008 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 005-007') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 009-010 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 009') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 013-014 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 011') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 013') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 016 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 014') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 017 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 015') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 018 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 016') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 018-019') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 022-023 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 020-021') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 024-025 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 022-023') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 026 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 024') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 027 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 025') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 034 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 033') and D.duzpucto >= '2010-01-01';
update dpolint as P set idclendph = (select idclendph from uclendph where uuid = 'SK 035 2010') from ddoklint as D where P.iddoklint = D.iddoklint
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 034') and D.duzpucto >= '2010-01-01';

-- oprava cleneni na skladovych dokladech
/*update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 001-004 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 001-003') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 005-008 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 005-007') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 009-010 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 009') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 013-014 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 011') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 015 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 013') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 016 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 014') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 017 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 015') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 018 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 016') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 018-019') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 022-023 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 020-021') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 024-025 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 022-023') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 026 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 024') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 027 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 025') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 034 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 033') and duzpucto >= '2010-01-01' ;
update ddoklsklad set idclendph = (select idclendph from uclendph where uuid = 'SK 035 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 034') and duzpucto >= '2010-01-01' ;
-- oprava cleneni na polozkach skladovych dokladu
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 001-004 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 001-003') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 005-008 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 005-007') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 009-010 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 009') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 013-014 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 011') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 013') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 016 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 014') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 017 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 015') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 018 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 016') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 018-019') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 022-023 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 020-021') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 024-025 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 022-023') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 026 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 024') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 027 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 025') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 034 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 033') and D.duzpucto >= '2010-01-01';
update dpolsklad as P set idclendph = (select idclendph from uclendph where uuid = 'SK 035 2010') from ddoklsklad as D where P.iddoklsklad = D.iddoklsklad
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 034') and D.duzpucto >= '2010-01-01';*/

-- oprava cleneni na obchodnich dokladech
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 001-004 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 001-003') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 005-008 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 005-007') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 009-010 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 009') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 013-014 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 011') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 015 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 013') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 016 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 014') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 017 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 015') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 018 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 016') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 018-019') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 022-023 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 020-021') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 024-025 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 022-023') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 026 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 024') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 027 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 025') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 034 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 033') and duzpucto >= '2010-01-01' ;
update ddoklobch set idclendph = (select idclendph from uclendph where uuid = 'SK 035 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 034') and duzpucto >= '2010-01-01' ;
-- oprava cleneni na polozkach obchodnich dokladu
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 001-004 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 001-003') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 005-008 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 005-007') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 009-010 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 009') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 013-014 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 011') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 013') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 016 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 014') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 017 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 015') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 018 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 016') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 018-019') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 022-023 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 020-021') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 024-025 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 022-023') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 026 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 024') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 027 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 025') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 034 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 033') and D.duzpucto >= '2010-01-01';
update dpolobch as P set idclendph = (select idclendph from uclendph where uuid = 'SK 035 2010') from ddoklobch as D where P.iddoklobch = D.iddoklobch
 and P.idclendph = (select idclendph from uclendph where uuid = 'SK 034') and D.duzpucto >= '2010-01-01';

-- oprava splatkoveho kalendare
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 001-004 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 001-003') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 005-008 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 005-007') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 009-010 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 009') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 013-014 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 011') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 015 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 013') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 016 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 014') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 015, 017 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 015') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 018 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 016') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 018-019') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 022-023 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 020-021') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 020-021, 024-025 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 022-023') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 026 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 024') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 027 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 025') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 034 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 033') and datvyst >= '2010-01-01' ;
update msplatkal set idclendph = (select idclendph from uclendph where uuid = 'SK 035 2010') where idclendph = (select idclendph from uclendph where uuid = 'SK 034') and datvyst >= '2010-01-01' ;

-- opetovne pusteni skladovych triggeru
alter table dpolfak enable trigger dpolfakupdatesklad;
alter table dpolint enable trigger dpolintupdatesklad;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 312, 't');
