--------------------------------------------------------------------------------
-- Bug 19748 – [WinStrom] Zobecnit pridavani nove feature k pristupovym pravum
--------------------------------------------------------------------------------

alter table wpristprava add column features text;

update wpristprava set features =
(case when uprcreate then 'Pridavat,' else '' end)
|| (case when uprupdate then 'Menit,' else '' end)
|| (case when uprdelete then 'Mazat,' else '' end)
|| (case when uprstorno then 'Storno,' else '' end)
|| (case when uprsumace then 'Sumace,' else '' end)
|| (case when uprnakupcena then 'NakupCena,' else '' end)
|| (case when uprslevazmenaceny then 'SlevaZmenaCeny,' else '' end)
where typeK = 'typPristPrav.upresneni';

alter table wpristprava drop column uprcreate;
alter table wpristprava drop column uprupdate;
alter table wpristprava drop column uprdelete;
alter table wpristprava drop column uprstorno;
alter table wpristprava drop column uprsumace;
alter table wpristprava drop column uprnakupcena;
alter table wpristprava drop column uprslevazmenaceny;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 331, 't');