---------------------------------------------------------------
-- bug none - v db zustavaji stare fifo vazby, ktere uz neplati
---------------------------------------------------------------

-- Function: svyrobnicisloupdate()
-- DROP FUNCTION svyrobnicisloupdate();
CREATE OR REPLACE FUNCTION svyrobnicisloupdate()
  RETURNS trigger AS
$BODY$    
declare 
  _sklFifo boolean; 
  _mnozMj numeric(19,6); 
  _datVyst date; 
  _idRozlozeni integer; 
  _cenaMjP numeric(19,6); 
  _kurzDokladuP numeric(19,6); 
  _kurzDokladuV numeric(19,6); 
  _idDoklSkladP integer; 
  _idDoklSkladV integer; 
  _datVystV date; 
  _cenaMjPMen numeric(19,6); 
begin 
  if(NEW.idPolSkladVydej is not null and OLD.idPolSkladVydej is null) then 
    select datVyst, mnozMj into _datVyst, _mnozMj from dPolSklad where idPolSklad = NEW.idPolSkladVydej; 
 
    _sklfifo := (select isfifosklad(_datVyst)); 
    if(_sklFifo) then 
 
      select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = NEW.idPolSkladPrijem);     
      select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
      if (_kurzDokladuP <> 0.0) then    
	_cenamjP := _cenamjP * _kurzDokladuP;     
      end if;   
      select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = NEW.idPolSkladVydej;   
      _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));   
      _cenamjP := _cenamjP / _kurzDokladuV; 
      _cenaMjPMen := 0.0; 
	  if(_kurzDokladuV <> 1.0) then 
        _cenaMjPMen := _cenaMjP; 
      end if; 
      if(_mnozMj > 1) then 
        -- odecteni 1 z mnoz mj a vytvoreni nove polozky a mnozstvim 1 a 1 vyrobnim cislem 
        select nextval('seq_dpolsklad') into _idrozlozeni;                        
	update dpolsklad set mnozMJ = _mnozMj - 1 where idPolSklad = NEW.idPolSkladVydej; 
         
        insert into dpolsklad(idpolsklad,mnozmj,autozaokr,autogen,baleniid,cenjednotka,cenamj,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,vyrcis) 
	                     (select (_idrozlozeni),1,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_cenamjP*_kurzDokladuV,_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,vyrcis from dpolsklad where idpolsklad = NEW.idpolskladvydej); 
	insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,_idrozlozeni,1,NEW.idvyrobnicislo); 
	insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (NEW.idPolSkladVydej, _idrozlozeni); 
	NEW.idPolSkladVydej = _idRozlozeni; 
      else 
        -- nastaveni vyrobniho cisla na a vytvoreni vazby 
        --update sfifovazby set idvyrobnicislo = NEW.idvyrobnicislo, kusu = 1, idpolskladprijem = NEW.idpolskladprijem where idpolskladvydej = NEW.idpolskladvydej and idvyrobnicislo = -1; 
        insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,NEW.idPolSkladVydej,1,NEW.idvyrobnicislo); 
        --select cenaMj into _cenaMjP from dpolsklad where idPolSklad = NEW.idPolSkladPrijem; 
        update dpolsklad set cenaMJ = _cenaMjP, sumZkl = _cenamjP*_kurzDokladuV, sumZklMen = _cenaMjPMen where idPolSklad = NEW.idPolSkladVydej; 
      end if; 
      -- 
    else 
      insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,NEW.idPolSkladVydej,1,NEW.idvyrobnicislo); 
    end if;
  elsif (NEW.idPolSkladVydej is null and OLD.idPolSkladVydej is not null) then
    -- pokud se idPolSkladVydej nastavi na null z nejake hodnoty musi se smazat i fifo vazba s timto vyrobnim cislem
    delete from sfifovazby where idvyrobnicislo = NEW.idVyrobniCislo;
  end if; 
  execute sprepoctisumydokladu(_idDoklSkladV); 
  return NEW; 
end; 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION svyrobnicisloupdate() OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 339, 't');