---------------------------------------------------------------------------------------
-- Bug 27228 – [WinStrom] Slovenská legislativa
---------------------------------------------------------------------------------------

UPDATE uclendph SET platido = 2011 WHERE uuid = 'SK 026 2010';
UPDATE uclendph SET platido = 2011 WHERE uuid = 'SK 027 2010';
UPDATE uclendph SET platido = 2011, typobchoduk = 'typObchodu.EUplatce' WHERE uuid = 'SK 034 2010';
UPDATE uclendph SET platido = 2011 WHERE uuid = 'SK 035 2010';
UPDATE uclendph SET typobchoduk = 'typObchodu.EUplatce' WHERE uuid = 'SK 009-010, 020-021 2010';
UPDATE uclendph SET typobchoduk = 'typObchodu.EUplatce' WHERE uuid = 'SK 005-008, 020-021 T 2010';
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, kodplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2011-12-28 00:00:00.000', '005-008, 020-021+§25', 'Nadobudnutie tovaru v tuzemsku podľa § 11 a 11a zákona a § 25 - 1 až 3 ( + / - )', true, 2012, 9999, 'typPlneni.obojiRCH', 'typObchodu.EUplatce', 'kodPlneni.zbozi', true, 0, coalesce((select IdStatu from aStaty where uuid like '%_SK'), -1), 'SK_005-008, 020-021+§25 2012');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, jedph, poradi, idstatu, uuid)
 VALUES ('2011-12-28 00:00:00.000', '009-010, 020-021+§25', 'Tovary a služby, pri ktorých príjemca platí daň podľa § 69 ods. 2 a 9 až 12 zákona a § 25 - 1 až 3 ( + / - )', true, 2012, 9999, 'typPlneni.obojiRCH', 'typObchodu.EUplatce', true, 0, coalesce((select IdStatu from aStaty where uuid like '%_SK'), -1), 'SK_009-010, 020-021+§25 2012');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2011-12-27 00:00:00.000', '029', 'Odpočítanie dane pri registrácii platiteľa dane podľa § 55 zákona', true, 2012, 9999, 'typPlneni.prijata', true, 0, coalesce((select IdStatu from aStaty where uuid like '%_SK'), -1), 'SK_029 2012');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2011-12-27 00:00:00.000', '030', 'Vrátenie dane cestujúcim pri vývoze tovaru podľa § 60 zákona', true, 2012, 9999, 'typPlneni.prijata', true, 0, coalesce((select IdStatu from aStaty where uuid like '%_SK'), -1), 'SK_030 2012');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, kodplnenik, jedph, poradi, idstatu, uuid)
 VALUES ('2011-12-27 00:00:00.000', '035', 'Trojstranný obchod podľa § 45 zákona - Nadobudnutie tovaru prvým odberateľom', true, 2012, 9999, 'typPlneni.prijata', 'typObchodu.EUplatce', 'kodPlneni.tristran', true, 0, coalesce((select IdStatu from aStaty where uuid like '%_SK'), -1), 'SK_035 2012');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, kodplnenik, jedph, poradi, kodplnenish, idstatu, uuid)
 VALUES ('2011-12-27 00:00:00.000', '036', 'Trojstranný obchod podľa § 45 zákona - Dodanie tovaru prvým odberateľom', true, 2012, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUplatce', 'kodPlneni.tristran', true, 0, '1', coalesce((select IdStatu from aStaty where uuid like '%_SK'), -1), 'SK_036 2012');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, jedph, poradi, idstatu, uuid)
 VALUES ('2011-12-27 00:00:00.000', '028', 'Oprava odpočítanej dane podľa § 53 zákona ( + / - ) ', true, 2012, 9999, 'typPlneni.prijata', 'typObchodu.tuzem', true, 0, coalesce((select IdStatu from aStaty where uuid like '%_SK'), -1), 'SK_028 2012');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, jedph, poradi, idstatu, uuid)
 VALUES ('2011-12-27 00:00:00.000', '026-027', 'Rozdiel v základe dane a v dani po oprave podľa § 25 ods.1 a 3 zákona ( + / - )', true, 2012, 9999, 'typPlneni.obojiRCH', 'typObchodu.EUplatce', true, 0, coalesce((select IdStatu from aStaty where uuid like '%_SK'), -1), 'SK_026-027 2012');

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 571, 't', %appVersion%, clock_timestamp());
