--------------------------------------------------------------------------------
-- Bug 33558 – [WinStrom] Rozvaha pro nevýdělečné organizace
--------------------------------------------------------------------------------

-- oprava potencionalni chyby z roku 2007
update usestavy set idtyporg = (select idtyporg from nnastav limit 1) where idtyporg <> (select idtyporg from nnastav limit 1);


create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;
begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);

  if (_idtyporg = 4) then
-- ucty
UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvy' WHERE uuid = 'CZ_NEZ_373';
UPDATE uucty as U SET druhuctuk = 'druhUctu.aktpasvy' WHERE (select uuid from ustducty as S where U.idstducet = S.idstducet) = 'CZ_NEZ_373';

-- sestavy
UPDATE usestavy SET nazevsloup3 = 'Stav k poslednímu dni účetního období', zobrazit3 = true, zobrazit4 = false, nazevsloup6 = 'Stav k prvnímu dni účetního období', sloupec3sum12 = true, sloupec6sum45 = true, idradcil = null, idseszdroj = null, idradzdroj = null, idradzaokr1 = 20124, idradzaokr2 = 20077 WHERE idsestavy = 201;
UPDATE usestavy SET vypminobd = false, nazevsloup3 = 'Celkem', zobrazit3 = true, zobrazit4 = false, zobrazit5 = false, sloupec3sum12 = true WHERE idsestavy = 202;

-- radky
DELETE FROM usesradky WHERE idsesradky = 20131;
DELETE FROM usesradky WHERE idsesradky = 20135;
DELETE FROM usesradky WHERE idsesradky = 20136;
UPDATE usesradky SET cisrad = 34 WHERE idsesradky = 20023;
UPDATE usesradky SET cisrad = 35 WHERE idsesradky = 20024;
UPDATE usesradky SET cisrad = 36 WHERE idsesradky = 20025;
UPDATE usesradky SET cisrad = 37 WHERE idsesradky = 20026;
UPDATE usesradky SET cisrad = 38 WHERE idsesradky = 20027;
UPDATE usesradky SET cisrad = 39 WHERE idsesradky = 20028;
UPDATE usesradky SET poznam = null WHERE idsesradky = 20031;
UPDATE usesradky SET cisrad = 42 WHERE idsesradky = 20036;
UPDATE usesradky SET cisrad = 43 WHERE idsesradky = 20037;
UPDATE usesradky SET cisrad = 44 WHERE idsesradky = 20038;
UPDATE usesradky SET cisrad = 45 WHERE idsesradky = 20039;
UPDATE usesradky SET cisrad = 46 WHERE idsesradky = 20040;
UPDATE usesradky SET cisrad = 47 WHERE idsesradky = 20041;
UPDATE usesradky SET cisrad = 48 WHERE idsesradky = 20042;
UPDATE usesradky SET cisrad = 49 WHERE idsesradky = 20043;
UPDATE usesradky SET popis = '' WHERE idsesradky = 20061;
UPDATE usesradky SET cisrad = 127, oznaceni = 'A.   B.        III  22', popis = 'přesunut z aktiv' WHERE idsesradky = 20073;
UPDATE usesradky SET cisrad = 99 WHERE idsesradky = 20081;
UPDATE usesradky SET cisrad = 100 WHERE idsesradky = 20082;
UPDATE usesradky SET cisrad = 101 WHERE idsesradky = 20083;
UPDATE usesradky SET cisrad = 102 WHERE idsesradky = 20084;
UPDATE usesradky SET cisrad = 104 WHERE idsesradky = 20085;
UPDATE usesradky SET cisrad = 106 WHERE idsesradky = 20086;
UPDATE usesradky SET cisrad = 107 WHERE idsesradky = 20087;
UPDATE usesradky SET cisrad = 108 WHERE idsesradky = 20088;
UPDATE usesradky SET cisrad = 109 WHERE idsesradky = 20089;
UPDATE usesradky SET cisrad = 110 WHERE idsesradky = 20090;
UPDATE usesradky SET cisrad = 111 WHERE idsesradky = 20091;
UPDATE usesradky SET cisrad = 113 WHERE idsesradky = 20092;
UPDATE usesradky SET cisrad = 114 WHERE idsesradky = 20093;
UPDATE usesradky SET cisrad = 115 WHERE idsesradky = 20094;
UPDATE usesradky SET cisrad = 116 WHERE idsesradky = 20095;
UPDATE usesradky SET cisrad = 117 WHERE idsesradky = 20096;
UPDATE usesradky SET cisrad = 118 WHERE idsesradky = 20097;
UPDATE usesradky SET cisrad = 119 WHERE idsesradky = 20098;
UPDATE usesradky SET cisrad = 120 WHERE idsesradky = 20099;
UPDATE usesradky SET cisrad = 122, oznaceni = 'P.   B.        III   17' WHERE idsesradky = 20101;
UPDATE usesradky SET cisrad = 123, oznaceni = 'P.   B.        III   18' WHERE idsesradky = 20102;
UPDATE usesradky SET cisrad = 126, oznaceni = 'P.   B.        III   21' WHERE idsesradky = 20106;
UPDATE usesradky SET cisrad = 112 WHERE idsesradky = 20107;
UPDATE usesradky SET cisrad = 130 WHERE idsesradky = 20108;
UPDATE usesradky SET cisrad = 131 WHERE idsesradky = 20109;
UPDATE usesradky SET cisrad = 132 WHERE idsesradky = 20110;
UPDATE usesradky SET cisrad = 103 WHERE idsesradky = 20111;
UPDATE usesradky SET cisrad = 40 WHERE idsesradky = 20116;
UPDATE usesradky SET cisrad = 41, oznaceni = 'A.   B.' WHERE idsesradky = 20118;
UPDATE usesradky SET oznaceni = 'A.   B.        III' WHERE idsesradky = 20119;
UPDATE usesradky SET oznaceni = 'A.   B.        I' WHERE idsesradky = 20120;
UPDATE usesradky SET oznaceni = 'A.   B.        II' WHERE idsesradky = 20121;
UPDATE usesradky SET oznaceni = 'A.   B.        IV' WHERE idsesradky = 20122;
UPDATE usesradky SET cisrad = 133 WHERE idsesradky = 20129;
UPDATE usesradky SET cisrad = 129 WHERE idsesradky = 20130;
UPDATE usesradky SET cisrad = 105 WHERE idsesradky = 20132;
UPDATE usesradky SET cisrad = 134 WHERE idsesradky = 20134;
UPDATE usesradky SET cisrad = 10 WHERE idsesradky = 20144;
UPDATE usesradky SET cisrad = 12 WHERE idsesradky = 20145;
UPDATE usesradky SET cisrad = 13 WHERE idsesradky = 20146;
UPDATE usesradky SET cisrad = 14 WHERE idsesradky = 20147;
UPDATE usesradky SET cisrad = 15 WHERE idsesradky = 20148;
UPDATE usesradky SET cisrad = 16 WHERE idsesradky = 20149;
UPDATE usesradky SET cisrad = 18 WHERE idsesradky = 20150;
UPDATE usesradky SET cisrad = 19 WHERE idsesradky = 20151;
UPDATE usesradky SET cisrad = 20 WHERE idsesradky = 20152;
UPDATE usesradky SET cisrad = 22 WHERE idsesradky = 20153;
UPDATE usesradky SET cisrad = 23 WHERE idsesradky = 20154;
UPDATE usesradky SET cisrad = 24 WHERE idsesradky = 20155;
UPDATE usesradky SET cisrad = 25 WHERE idsesradky = 20156;
UPDATE usesradky SET cisrad = 26 WHERE idsesradky = 20157;
UPDATE usesradky SET cisrad = 27 WHERE idsesradky = 20158;
UPDATE usesradky SET cisrad = 28 WHERE idsesradky = 20159;
UPDATE usesradky SET cisrad = 29 WHERE idsesradky = 20160;
UPDATE usesradky SET cisrad = 31 WHERE idsesradky = 20161;
UPDATE usesradky SET cisrad = 32 WHERE idsesradky = 20162;
UPDATE usesradky SET cisrad = 33 WHERE idsesradky = 20163;
UPDATE usesradky SET cisrad = 34 WHERE idsesradky = 20164;
UPDATE usesradky SET cisrad = 35 WHERE idsesradky = 20165;
UPDATE usesradky SET cisrad = 36 WHERE idsesradky = 20166;
UPDATE usesradky SET cisrad = 38 WHERE idsesradky = 20167;
UPDATE usesradky SET cisrad = 39 WHERE idsesradky = 20168;
UPDATE usesradky SET cisrad = 78, oznaceni = 'VII. 1' WHERE idsesradky = 20197;
UPDATE usesradky SET cisrad = 81 WHERE idsesradky = 20198;
UPDATE usesradky SET oznaceni = 'VIII. 1' WHERE idsesradky = 20199;
UPDATE usesradky SET cisrad = 79 WHERE idsesradky = 20201;
UPDATE usesradky SET cisrad = 80 WHERE idsesradky = 20202;
UPDATE usesradky SET cisrad = 82 WHERE idsesradky = 20203;
UPDATE usesradky SET cisrad = 83 WHERE idsesradky = 20204;
UPDATE usesradky SET cisrad = 11 WHERE idsesradky = 20209;
UPDATE usesradky SET cisrad = 17 WHERE idsesradky = 20210;
UPDATE usesradky SET cisrad = 21 WHERE idsesradky = 20211;
UPDATE usesradky SET cisrad = 30 WHERE idsesradky = 20212;
UPDATE usesradky SET cisrad = 37 WHERE idsesradky = 20213;
UPDATE usesradky SET cisrad = 124, oznaceni = 'P.   B.        III   19' WHERE idsesradky = 20222;
UPDATE usesradky SET cisrad = 98 WHERE idsesradky = 20224;
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, idsestavy)
 VALUES (20225, '2013-03-18 00:00:00.000', 40, 'VIII.', 'Daň z příjmů celkem', false, 202);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, idsestavy)
 VALUES (20226, '2013-03-18 00:00:00.000', 77, 'VII.', '691 - Provozní dotace', false, 202);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, idsestavy)
 VALUES (20227, '2013-03-19 00:00:00.000', 50, 'A.   B.        I    9', '314 - Poskytnuté zálohy na zásoby', false, 201);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, idsestavy)
 VALUES (20228, '2013-03-19 00:00:00.000', 97, 'P.   B.        I', 'Rezervy celkem', false, 201);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, idsestavy)
 VALUES (20229, '2013-03-19 00:00:00.000', 121, 'P.   B.        III   16', '373 - Závazky z pevných termínovaných operací a opcí', false, 201);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, idsestavy)
 VALUES (20230, '2013-03-19 00:00:00.000', 125, 'P.   B.        III   20', '241 - Vydané krátkodobé dluhopisy', false, 201);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, idsestavy)
 VALUES (20231, '2013-03-19 00:00:00.000', 128, 'A.   B.        III  23', '249 - Ostatní krátkodobé finanční výpomoci', false, 201);

-- sumace
UPDATE usessumace SET prevratznam = false WHERE idsessumace = 20059;
UPDATE usessumace SET idsesradkysum = 20228 WHERE idsessumace = 20096;
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20343, '2013-03-18 00:00:00.000', false, 20225, 20199);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20344, '2013-03-18 00:00:00.000', false, 20226, 20197);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20345, '2013-03-19 00:00:00.000', false, 20120, 20227);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20346, '2013-03-19 00:00:00.000', false, 20077, 20124);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20347, '2013-03-19 00:00:00.000', true, 20077, 20126);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20348, '2013-03-19 00:00:00.000', true, 20077, 20078);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20349, '2013-03-19 00:00:00.000', true, 20077, 20079);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20350, '2013-03-19 00:00:00.000', true, 20077, 20128);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20351, '2013-03-19 00:00:00.000', false, 20228, 20080);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20352, '2013-03-19 00:00:00.000', false, 20130, 20229);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20353, '2013-03-19 00:00:00.000', false, 20130, 20230);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20354, '2013-03-19 00:00:00.000', false, 20130, 20231);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20355, '2013-03-22 00:00:00.000', false, 20121, 20223);
DELETE FROM usessumace WHERE idsessumace = 20083;

-- standartni predpisy
UPDATE usesstdpred SET jenkladne = true WHERE idsesstdpred = 20184;
UPDATE usesstdpred SET prevratznam = true WHERE idsesstdpred = 20196;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.aktivni', prevratznam = false, idsesradky = 20227, idstducet = coalesce((select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_314'), -1) WHERE idsesstdpred = 20202;
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (20203, '2013-03-19 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 20229, coalesce((select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_373'), -1));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (20204, '2013-03-19 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', false, false, 20230, coalesce((select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_241'), -1));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (20205, '2013-03-19 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', false, false, 20231, coalesce((select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_249'), -1));
DELETE FROM usesstdpred WHERE idsesstdpred = 20079;
DELETE FROM usesstdpred WHERE idsesstdpred = 20188;

  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 724, 't', %appVersion%, clock_timestamp());

