--------------------------------------------------------------------------------
-- Bug 34635 – [WinStrom] Filtr like similar nefunguje
--------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION ws_lexize(i_hodnota character varying)
  RETURNS character varying AS $$
DECLARE
  _pg_version text;
  result character varying;
  tmpGloTxVarTableExists boolean;
BEGIN
  SELECT version() INTO _pg_version;
  IF (_pg_version NOT LIKE 'PostgreSQL 8.%') THEN
    result = (ts_lexize('unaccent', i_hodnota))[1];
  END IF;

  IF (result IS NULL) THEN
    result = i_hodnota;
  END IF;

  RETURN result;
END;
$$ LANGUAGE plpgsql;

ALTER FUNCTION ws_lexize(character varying) OWNER TO %firmaRole%;


-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 742, 't', %appVersion%, clock_timestamp());
