--------------------------------------------------------------------------------
-- Bug 34759 – [FlexiBee] Doplnit zodpovědnou osobu do smluv
--------------------------------------------------------------------------------

ALTER TABLE dsmlouvy ADD COLUMN idzodposoba integer;
ALTER TABLE dsmlouvy ADD COLUMN idkontaktosoba integer;

ALTER TABLE dsmlouvy ADD CONSTRAINT dsmlouvy_idzodposoba FOREIGN KEY (idzodposoba)
  REFERENCES wuzivatel (iduzivatel) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
ALTER TABLE dsmlouvy ADD CONSTRAINT dsmlouvy_idkontaktosoba FOREIGN KEY (idkontaktosoba)
  REFERENCES akontakty (idkontakt) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX dSmlouvy_IdZodpOsoba_index ON dSmlouvy USING btree (IdZodpOsoba);
CREATE INDEX dSmlouvy_IdKontaktOsoba_index ON dSmlouvy USING btree (IdKontaktOsoba);

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 762, 't', %appVersion%, clock_timestamp());
