--------------------------------------------------------------------------------
-- Bug 38497 – [Legis] VZZ pro příspěvkové organizace - chybějící sumace
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;
begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);

  if (_idtyporg = 2) then
-- doplneni sumaci
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES
(11302, '2014-04-30 00:00:00.000', false, 11130, 11139),
(11303, '2014-04-30 00:00:00.000', false, 11033, 11040),
(11304, '2014-04-30 00:00:00.000', false, 11140, 11160),
(11305, '2014-04-30 00:00:00.000', false, 11202, 11207),
(11306, '2014-04-30 00:00:00.000', false, 11202, 11208),
(11307, '2014-04-30 00:00:00.000', false, 11202, 11209),
(11308, '2014-04-30 00:00:00.000', false, 11202, 11213),
(11309, '2014-04-30 00:00:00.000', false, 11202, 11237);

  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 848, 't', %appVersion%, clock_timestamp());

