--Bug 40571 - [Legis] Nová tisková sestava pro SK rozvahu

CREATE OR REPLACE FUNCTION vytvorSestavaVysledovkaSk2014()
RETURNS void AS $$
DECLARE
 legislativa varchar(20);
BEGIN
  legislativa := (select kod from astaty where idstatu = (select idstatuleg from nnastav order by coalesce(platioddata, '1900-01-01') desc limit 1));
  IF (legislativa = 'SK') THEN   

INSERT INTO usestavy (idsestavy, lastupdate, kod, nazev, show, platiod, platido, typsesk, standard, vypminobd, nazevsloup1, zobrazit1, zobrazit2, zobrazit3, nazevsloup4, zobrazit4, zobrazit5, zobrazit6, sloupec3sum12, sloupec6sum45, rokod, rokdo, mesicod, mesicdo, predrokod, predrokdo, predmesicod, predmesicdo, datvypocet, typvypsestavyk, idtyporg)
 VALUES (8, '2014-12-29 00:00:00.000', 'VYSLEDOVKA2014', 'Výkaz ziskov a strát 2014', true, 2010, 9999, 'typSestavy.vysledov', false, true, 'Aktuálna účtovné obdobie', true, false, false, 'Minulé účtovné obdobie', true, false, false, true, true, 2014, 2014, 1, 12, 0, 0, 0, 0, '2014-12-29', 'typVypSestavy.vKcPresne', 3);
UPDATE usestavy SET platido=2014  WHERE kod='ROZVAHA2010';
UPDATE usestavy SET platido=2014  WHERE kod='VYSLEDOVKA2010';
UPDATE usestavy SET platiod=2014, standard=true, datvypocet=null  WHERE kod='ROZVAHA2014';
UPDATE usestavy SET platiod=2014, standard=true, datvypocet=null  WHERE kod='VYSLEDOVKA2014';
 
UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvo' WHERE idstducet = 758;
    
UPDATE uucty SET druhuctuk = null WHERE iducet = 259;

INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3200, '2014-12-23 00:00:00.000', 3, 'I.', 'Tržby z predaja tovaru (604, 607)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3201, '2014-12-23 00:00:00.000', 11, 'A.', 'Náklady vynaložené na obstaranie predaného tovaru (504, 507)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3204, '2014-12-23 00:00:00.000', 5, 'III.', 'Tržby z predaja služieb (602, 606)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3205, '2014-12-23 00:00:00.000', 6, 'IV.', 'Zmeny stavu vnútroorganizačných zásob (+/- účtová sk. 61)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3206, '2014-12-23 00:00:00.000', 7, 'V.', 'Aktivácia (účtová skupina 62)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3208, '2014-12-23 00:00:00.000', 12, 'B.', 'Spotreba materiálu, energie a ostatných neskladovateľných dodávok (501, 502, 503)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3209, '2014-12-23 00:00:00.000', 14, 'D.', 'Služby (účtová skupina 51)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3210, '2014-12-23 00:00:00.000', 28, '*', 'Pridaná hodnota (r.03 + r.04 + r. 05 + r. 06 + r. 07) - (r. 11 + r. 12 + r. 13 + r. 14) ', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3212, '2014-12-23 00:00:00.000', 16, 'E.1.', 'Mzdové náklady (521, 522)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3213, '2014-12-23 00:00:00.000', 17, 'E.2.', 'Odmeny členom orgánov spoločnosti a družstva (523)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3214, '2014-12-23 00:00:00.000', 18, 'E.3.', 'Náklady na sociálne poistenie (524, 525, 526)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3215, '2014-12-23 00:00:00.000', 19, 'E.4.', 'Sociálne náklady (527, 528)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3216, '2014-12-23 00:00:00.000', 20, 'F.', 'Dane a poplatky  (účtová skupina 53)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3217, '2014-12-23 00:00:00.000', 22, 'G.1.', 'Odpisy dlhodobého nehmotného majetku a dlhodobého hmotného majetku (551)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3218, '2014-12-23 00:00:00.000', 8, 'VI.', 'Tržby z predaja dlhodobého nehmotného majetku, dlhodobého hmotného majetku a materiálu (641, 642)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3219, '2014-12-23 00:00:00.000', 24, 'H.', 'Zostatková cena predaného dlhodobého majetku a predaného materiálu (541,542)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3220, '2014-12-23 00:00:00.000', 25, 'I.', 'Opravné položky k pohľadávkam (+/-) (547)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3221, '2014-12-23 00:00:00.000', 9, 'VII.', 'Ostatné výnosy z hospodárskej činnosti (644, 645, 646, 648, 655, 657)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3222, '2014-12-29 00:00:00.000', 26, 'J.', 'Ostatné náklady na hospodársku činnosť (543, 544, 545, 546, 548, 549, 555, 557)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3225, '2014-12-29 00:00:00.000', 27, '***', 'Výsledok hospodárenia z hospodárskej činnosti (+/-) (r. 02 - r. 10)', false,  0.0, 0.0,  0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3226, '2014-12-23 00:00:00.000', 30, 'VIII.', 'Tržby z predaja cenných papierov a podielov (661)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3227, '2014-12-23 00:00:00.000', 46, 'K.', 'Predané cenné papiere a podiely (561)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3229, '2014-12-22 00:00:00.000', 33, 'IX.2.', 'Výnosy z cenných papierov a podielov v podielovej účasti okrem výnosov prepojených účtovných jednotiek (665A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3230, '2014-12-29 00:00:00.000', 32, 'IX.1.', 'Výnosy z cenných papierov a podielov od prepojených účtovných jednotiek (665A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3231, '2014-12-22 00:00:00.000', 34, 'IX.3.', 'Ostatné výnosy z cenných papierov a podielov (665A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3232, '2014-12-23 00:00:00.000', 36, 'X.1.', 'Výnosy z krátkodobého finančného majetku od prepojených účtovných jednotiek (666A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3233, '2014-12-23 00:00:00.000', 47, 'L.', 'Náklady na krátkodobý finančný majetok (566)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3234, '2014-12-23 00:00:00.000', 43, 'XIII.', 'Výnosy z precenenia cenných papierov a výnosy z derivátových operácií (664, 667)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3235, '2014-12-23 00:00:00.000', 53, 'P.', 'Náklady na precenenie cenných papierov a náklady na derivátové operácie (564, 567)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3236, '2014-12-23 00:00:00.000', 48, 'M.', 'Opravné položky k finančnému majetku (+/-) (565)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3237, '2014-12-23 00:00:00.000', 40, 'XI.1.', 'Výnosové úroky od prepojených účtovných jednotiek (662)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3238, '2014-12-22 00:00:00.000', 51, 'N.2.', 'Ostatné nákladové úroky (562A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3239, '2014-12-23 00:00:00.000', 42, 'XII.', 'Kurzové zisky (663)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3240, '2014-12-23 00:00:00.000', 52, 'O.', 'Kurzové straty (563)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3241, '2014-12-23 00:00:00.000', 44, 'XIV.', 'Ostatné výnosy z finančnej činnosti (668)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3242, '2014-12-29 00:00:00.000', 54, 'Q.', 'Ostatné náklady na finančnú činnosť (568, 569)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3245, '2014-12-29 00:00:00.000', 55, '***', 'Výsledok hospodárenia z finančnej činnosti (+/-) (r.29 - r. 45)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3248, '2014-12-23 00:00:00.000', 58, 'R.1.', 'Daň z prijmov splatná (591, 595)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3249, '2014-12-23 00:00:00.000', 59, 'R.2.', 'Daň z prijmov odložená (+/-) (592)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3258, '2014-12-29 00:00:00.000', 56, '****', 'Výsledok hospodárenia za účtovné obdobie před zdanenim (+/-) (r.27 + r.55)', false,  0.0, 0.0,  0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3259, '2014-12-23 00:00:00.000', 60, 'S.', 'Prevod podielov na výsledku hospodárenia spoločníkom (+/-596)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3261, '2014-12-23 00:00:00.000', 4, 'II.', 'Tržby z predaja vlastných výrobkov (601)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3262, '2014-12-23 00:00:00.000', 13, 'C.', 'Opravné položky k zásobám (+/-) (505)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3263, '2014-12-23 00:00:00.000', 23, 'G.2.', 'Opravné položky k dlhodobému nehmotnému majetku a dlhodobému hmotnému majetku (+/-) (553)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3264, '2014-12-22 00:00:00.000', 37, 'X.2.', 'Výnosy z krátkodobého finančného majetku v podielovej účasti okrem výnosov prepojených účtovných jednotiek (666A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3265, '2014-12-22 00:00:00.000', 38, 'X.3.', 'Ostatné výnosy z krátkodobého finančného majetku (666A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3266, '2014-12-22 00:00:00.000', 41, 'XI.2.', 'Ostatné výnosové úroky (662)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3267, '2014-12-23 00:00:00.000', 50, 'N.1.', 'Nákladové úroky pre prepojené účtovné jednotky (562A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3268, '2014-12-29 00:00:00.000', 1, '*', 'Čistý obrat (časť účt. tr. 6 podľa zákona)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3271, '2014-12-23 00:00:00.000', 15, 'E.', 'Osobné náklady (r. 16 až 19)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3272, '2014-12-23 00:00:00.000', 21, 'G.', 'Odpisy a opravné položky k dlhodobému nehmotnému majetku a dlhodobému hmotnému majetku (r. 22 + r. 23)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3273, '2014-12-29 00:00:00.000', 31, 'IX.', 'Výnosy z dlhodobého finančného majetku súčet (r. 32 až r. 34)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3274, '2014-12-23 00:00:00.000', 35, 'X.', 'Výnosy z krátkodobého finančného majetku súčet (r. 36 až r. 38)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3275, '2014-12-23 00:00:00.000', 39, 'XI.', 'Výnosové úroky (r. 40 + r. 41)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3276, '2014-12-23 00:00:00.000', 49, 'N.', 'Nákladové úroky (r. 50 + r. 51)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3277, '2014-12-23 00:00:00.000', 57, 'R.', 'Daň z prijmov (r. 58 + r. 59)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3278, '2014-12-23 00:00:00.000', 2, '**', 'Výnosy z hospodárskej činnosti spolu súčet (r. 03 až r. 09)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3279, '2014-12-29 00:00:00.000', 10, '**', 'Náklady na hospodársku činnostť spolu r. 11 + r. 12 + r. 13 + r. 14 + r. 15 + r. 20 + r. 21 + r. 24 + r. 25 + r. 26', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3280, '2014-12-29 00:00:00.000', 29, '**', 'Výnosy z finančnej činnosti spolu r. 30 + r. 31 + r. 35 + r. 39 + r. 42 + r. 43 + r. 44', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3281, '2014-12-29 00:00:00.000', 45, '**', 'Náklady na finančnú činnosť  spolu r. 46 + r. 47 + r. 48 + r. 49 + r. 52 + r. 53 + r. 54', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 8);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (3282, '2014-12-29 00:00:00.000', 61, '****', 'Výsledok hospodárenia za účtovné obdobie po zdanení (+/-) (r. 56 - r. 57 - r. 60)', false,  0.0, 0.0,  0.0, 0.0, 0.0, 0.0, 8);
 
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3500, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3200, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_604'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3501, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3200, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_607'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3502, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3201, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_507'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3503, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3201, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_504'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3506, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3204, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_600'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3507, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3204, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_602'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3508, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3204, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_606'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3509, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3205, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_614'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3510, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3205, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_613'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3511, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3205, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_611'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3512, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3205, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_612'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3513, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3205, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_610'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3514, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3206, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_622'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3515, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3206, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_621'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3516, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3206, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_620'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3517, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3206, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_624'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3518, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3206, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_623'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3519, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3208, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_500'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3521, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3208, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_503'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3522, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3208, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_502'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3523, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3208, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_501'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3524, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3209, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_511'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3525, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3209, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_512'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3526, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3209, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_513'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3527, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3209, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_518'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3528, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3209, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_510'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3529, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_521'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3530, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_522'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3531, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_520'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3532, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3213, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_523'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3533, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3214, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_525'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3534, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3214, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_526'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3535, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3214, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_524'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3536, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3215, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_527'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3537, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3215, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_528'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3538, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3216, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_532'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3539, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3216, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_531'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3540, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3216, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_538'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3541, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3216, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_530'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3542, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3217, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_551'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3543, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3217, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_550'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3545, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3218, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_642'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3546, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3218, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_641'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3547, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3218, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_640'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3548, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_540'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3549, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_541'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3550, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_542'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3551, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3220, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_547'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3552, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_645'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3553, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_644'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3554, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_657'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3555, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_655'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3556, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_648'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3557, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_650'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3558, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_646'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3559, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_550'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3560, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_549'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3561, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_548'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3562, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_555'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3563, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_557'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3564, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_546'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3565, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_545'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3566, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_544'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3567, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_543'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3571, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3226, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_661'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3572, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3226, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_660'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3573, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3227, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_561'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3574, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3227, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_560'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3575, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3229, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_665'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3576, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3230, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_665'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3577, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3231, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_665'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3578, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3232, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_666'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3579, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3233, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_566'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3580, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3234, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_667'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3581, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3234, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_664'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3582, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3235, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_567'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3583, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3235, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_564'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3584, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3236, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_565'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3585, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3237, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_662'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3586, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3238, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_562'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3587, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3239, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_663'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3588, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3240, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_563'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3589, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3241, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_668'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3590, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3242, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_568'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3591, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3242, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_569'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3594, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3248, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_590'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3595, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3248, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_595'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3596, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3248, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_591'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3597, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3249, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_592'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3606, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3259, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_596'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3607, '2014-12-23 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3261, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_601'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3608, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3262, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_505'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3611, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3263, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_553'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3612, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3264, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_666'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3613, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3265, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_666'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3614, '2014-12-22 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3266, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_662'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3615, '2014-12-22 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3267, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_562'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3616, '2014-12-23 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_597'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3617, '2014-12-29 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_697'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3618, '2014-12-23 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3242, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_598'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3619, '2014-12-29 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', false, false, 3242, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_698'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3620, '2014-12-23 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_580'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3621, '2014-12-23 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_582'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3622, '2014-12-23 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_588'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3623, '2014-12-23 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_680'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3624, '2014-12-23 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_682'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3625, '2014-12-23 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 3221, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_688'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3626, '2014-12-23 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3248, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_593'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3627, '2014-12-23 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 3249, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_594'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3634, '2014-12-29 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', false, false, 3222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_690'));
 INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
  VALUES (3635, '2014-12-29 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', false, false, 3242, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_690'));
  
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3200, '2014-12-23 00:00:00.000', false, 3271, 3212);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3201, '2014-12-23 00:00:00.000', false, 3271, 3213);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3202, '2014-12-23 00:00:00.000', false, 3271, 3214);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3203, '2014-12-23 00:00:00.000', false, 3271, 3215);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3204, '2014-12-23 00:00:00.000', false, 3272, 3217);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3205, '2014-12-23 00:00:00.000', false, 3272, 3263);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3206, '2014-12-22 00:00:00.000', false, 3273, 3230);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3207, '2014-12-22 00:00:00.000', false, 3273, 3229);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3208, '2014-12-22 00:00:00.000', false, 3273, 3231);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3209, '2014-12-22 00:00:00.000', false, 3274, 3232);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3210, '2014-12-22 00:00:00.000', false, 3274, 3264);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3211, '2014-12-22 00:00:00.000', false, 3274, 3265);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3212, '2014-12-22 00:00:00.000', false, 3275, 3237);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3213, '2014-12-22 00:00:00.000', false, 3275, 3266);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3214, '2014-12-23 00:00:00.000', false, 3276, 3267);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3215, '2014-12-23 00:00:00.000', false, 3276, 3238);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3216, '2014-12-23 00:00:00.000', false, 3277, 3248);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3217, '2014-12-23 00:00:00.000', false, 3277, 3249);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3218, '2014-12-23 00:00:00.000', false, 3278, 3200);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3219, '2014-12-23 00:00:00.000', false, 3278, 3261);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3220, '2014-12-23 00:00:00.000', false, 3278, 3204);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3221, '2014-12-23 00:00:00.000', false, 3278, 3205);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3222, '2014-12-23 00:00:00.000', false, 3278, 3206);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3223, '2014-12-23 00:00:00.000', false, 3278, 3218);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3224, '2014-12-23 00:00:00.000', false, 3278, 3221);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3225, '2014-12-23 00:00:00.000', false, 3279, 3201);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3226, '2014-12-23 00:00:00.000', false, 3279, 3208);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3227, '2014-12-23 00:00:00.000', false, 3279, 3262);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3228, '2014-12-23 00:00:00.000', false, 3279, 3209);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3229, '2014-12-23 00:00:00.000', false, 3279, 3271);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3230, '2014-12-23 00:00:00.000', false, 3279, 3216);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3231, '2014-12-23 00:00:00.000', false, 3279, 3272);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3232, '2014-12-23 00:00:00.000', false, 3279, 3219);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3233, '2014-12-23 00:00:00.000', false, 3279, 3220);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3234, '2014-12-23 00:00:00.000', false, 3279, 3222);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3235, '2014-12-23 00:00:00.000', false, 3225, 3278);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3236, '2014-12-23 00:00:00.000', true, 3225, 3279);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3237, '2014-12-23 00:00:00.000', false, 3210, 3200);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3238, '2014-12-23 00:00:00.000', false, 3210, 3261);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3239, '2014-12-23 00:00:00.000', false, 3210, 3204);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3240, '2014-12-23 00:00:00.000', false, 3210, 3205);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3241, '2014-12-23 00:00:00.000', false, 3210, 3206);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3242, '2014-12-23 00:00:00.000', true, 3210, 3201);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3243, '2014-12-23 00:00:00.000', true, 3210, 3208);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3244, '2014-12-23 00:00:00.000', true, 3210, 3262);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3245, '2014-12-23 00:00:00.000', true, 3210, 3209);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3246, '2014-12-23 00:00:00.000', false, 3280, 3226);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3247, '2014-12-23 00:00:00.000', false, 3280, 3273);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3248, '2014-12-23 00:00:00.000', false, 3280, 3274);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3249, '2014-12-23 00:00:00.000', false, 3280, 3275);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3250, '2014-12-23 00:00:00.000', false, 3280, 3239);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3251, '2014-12-23 00:00:00.000', false, 3280, 3234);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3252, '2014-12-23 00:00:00.000', false, 3280, 3241);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3253, '2014-12-23 00:00:00.000', false, 3281, 3227);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3254, '2014-12-23 00:00:00.000', false, 3281, 3233);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3255, '2014-12-23 00:00:00.000', false, 3281, 3236);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3256, '2014-12-23 00:00:00.000', false, 3281, 3276);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3257, '2014-12-23 00:00:00.000', false, 3281, 3240);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3258, '2014-12-23 00:00:00.000', false, 3281, 3235);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3259, '2014-12-23 00:00:00.000', false, 3281, 3242);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3260, '2014-12-23 00:00:00.000', false, 3245, 3280);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3261, '2014-12-23 00:00:00.000', true, 3245, 3281);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3262, '2014-12-23 00:00:00.000', false, 3258, 3225);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3263, '2014-12-23 00:00:00.000', false, 3258, 3245);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3264, '2014-12-23 00:00:00.000', false, 3282, 3258);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3265, '2014-12-23 00:00:00.000', true, 3282, 3277);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3266, '2014-12-23 00:00:00.000', true, 3282, 3259);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3267, '2014-12-29 00:00:00.000', false, 3268, 3200);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3268, '2014-12-29 00:00:00.000', false, 3268, 3261);
  INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
   VALUES (3269, '2014-12-29 00:00:00.000', false, 3268, 3204);
   
   END IF;
   RETURN;
 END;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION vytvorSestavaVysledovkaSk2014() OWNER TO %firmaRole%;
   
   
   
select vytvorSestavaVysledovkaSk2014();
drop function vytvorSestavaVysledovkaSk2014();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
    values (nextval('seq_dbversion'), 879, 't', %appVersion%, clock_timestamp());