--Bug 43971 - Do nastavení doplnit příznak, že se jedná o osobitnou úpravu

ALTER TABLE nnastav ADD COLUMN osobUpravaDph boolean NOT NULL DEFAULT false;

ALTER TABLE ddoklfak
    ADD COLUMN osobUpravaDph boolean NOT NULL DEFAULT false,
    ADD COLUMN osobUpravaDphDodavatel boolean NOT NULL DEFAULT false;

-------------------------------------------------------------------------------------
-- Bug 44175 - Na interní doklad přidat příznak osobitná úprava
-------------------------------------------------------------------------------------
ALTER TABLE ddoklint ADD COLUMN osobUpravaDph boolean NOT NULL DEFAULT false;

---------------------------------------------------------------------------------------
-- Bug 44100 - Přidání informací pro pomocný doklad DPH do nastavení
---------------------------------------------------------------------------------------
ALTER TABLE nnastav

    ADD COLUMN idTypDoklOsUpravaPrijem integer,
    ADD COLUMN idTypDoklOsUpravaVydej integer,
    ADD COLUMN idUcetOsUpravaDphSniz integer,
    ADD COLUMN idUcetOsUpravaDphZakl integer,
    ADD COLUMN idUcetOsUpravaZaklad integer,
    
    ADD CONSTRAINT nnastav_idtypdoklosupravaprijem FOREIGN KEY (idTypDoklOsUpravaPrijem)
        REFERENCES dtypdokl (idtypdokl) ON UPDATE NO ACTION ON DELETE NO ACTION,
    ADD CONSTRAINT nnastav_idtypdoklosupravavydej FOREIGN KEY (idTypDoklOsUpravaVydej)
        REFERENCES dtypdokl (idtypdokl) ON UPDATE NO ACTION ON DELETE NO ACTION,
        
    ADD CONSTRAINT nnastav_iducetosupravadphsniz FOREIGN KEY (idUcetOsUpravaDphSniz)
        REFERENCES uucty (iducet) ON UPDATE NO ACTION ON DELETE NO ACTION,
    ADD CONSTRAINT nnastav_iducetosupravadphzakl FOREIGN KEY (idUcetOsUpravaDphZakl)
        REFERENCES uucty (iducet) ON UPDATE NO ACTION ON DELETE NO ACTION,
    ADD CONSTRAINT nnastav_iducetosupravazaklad FOREIGN KEY (idUcetOsUpravaZaklad)
        REFERENCES uucty (iducet) ON UPDATE NO ACTION ON DELETE NO ACTION;

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
    VALUES (nextval('seq_dbversion'), 957, 't', %appVersion%, clock_timestamp());
