-- Bug 44818 - Podmínění editace přehledů vlastností licence "uziv-dashboard"

ALTER TABLE wdashboardpanel ADD standard boolean DEFAULT false NOT NULL;

-- nastavení příznaku "standard" s aktualizací definic
UPDATE wdashboardpanel SET
  standard = true,
  definition = $json$%dashboard-panel-1%$json$
WHERE
  kod = 'DEFAULT-STATUS';
  
UPDATE wdashboardpanel SET
  standard = true,
  definition = $json$%dashboard-panel-2%$json$
WHERE
  kod = 'DEFAULT-ANALYTIC';

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 987, 't', %appVersion%, clock_timestamp());
