<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

    <xsl:template match="winstrom">
	<winstrom version="1.0">
		<xsl:apply-templates select="faktura-vydana"/>
	</winstrom>
    </xsl:template>

    <xsl:template match="faktura-vydana">
	<faktura-vydana>
	    <!-- TYP, ID_VYPISU, ID_DOKLAD_TYP, ID_DOKLADU, DATUM, CASTKA, UCET -->
	    <TYP>Banka</TYP>
	    <ID_VYPISU></ID_VYPISU>
	    <ID_DOKLAD_TYP><xsl:value-of select="substring(typDokl, 6)"/></ID_DOKLAD_TYP>
	    <ID_DOKLADU><xsl:value-of select="kod"/></ID_DOKLADU>
	    <DATUM><xsl:value-of select="java:flexibee.Tool.formatDate(datUhr, 'd.M.yyyy')" /></DATUM>
	    <CASTKA><xsl:value-of select="java:flexibee.Tool.formatMoney(juhSum)"/></CASTKA>
	    <UCET></UCET>
	</faktura-vydana>
    </xsl:template>

</xsl:stylesheet>