<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

    <xsl:variable name="poznamka" select="java:flexibee.Tool.generateUniqueString()"/>

    <xsl:template match="winstrom">
        <winstrom version="1.0" source="epos">
<!--            <xsl:apply-templates select="*[local-name() = 'Příjemky' and position() &lt; 100]"/> -->
            <xsl:apply-templates select="*"/>
        </winstrom>
    </xsl:template>


<!--
/usr/share/flexibee/bin/flexibee2xml -t prijemky-in.xslt -x prijemky.xml -o prijemky-vystup.xml
-->

    <xsl:template match="//winstrom/*">
       <!--<ucet update="ignore">
           <id>code:<xsl:value-of select="UcetDAL"/></id>
           <kod><xsl:value-of select="UcetDAL"/></kod>
           <stdUcet>code:<xsl:value-of select="java:flexibee.Tool.substring(UcetDAL, 0, 3)"/></stdUcet>
       </ucet>
       <skladova-karta update="ignore">
           <id>ext:MIGRACE-POCATKY:<xsl:value-of select="Sklad"/>-<xsl:value-of select="Cenik"/>-2012</id>
           <cenik>code:<xsl:value-of select="Cenik"/></cenik>
           <sklad>code:<xsl:value-of select="Sklad"/></sklad>           
           <ucetObdobi>code:2012</ucetObdobi>
       </skladova-karta>-->
       <skladovy-pohyb>
           <id>ext:MIG-POC:<xsl:value-of select="Sklad"/>:1</id>
           <kod>M-<xsl:value-of select="Sklad"/>-1</kod>
           <typDokl>code:MIGRACE</typDokl>
           <sklad>code:<xsl:value-of select="Sklad"/></sklad>
           <typPohybuK>typPohybu.prijem</typPohybuK>
           <skladovePolozky>
                <skladovy-pohyb-polozka>
                     <id>ext:MIG-POC:<xsl:value-of select="Sklad"/>-<xsl:value-of select="Cenik"/>-<xsl:value-of select="UcetDAL"/></id>
                     <cenik>code:<xsl:value-of select="Cenik"/></cenik>
                     <sklad>code:<xsl:value-of select="Sklad"/></sklad>
                     <nazev><xsl:value-of select="Nazev"/></nazev>
                     <mnozMj><xsl:value-of select="Mnozstvi"/></mnozMj>
                     <cenaMj><xsl:value-of select="java:flexibee.Tool.parseMoney(Cena)"/></cenaMj>

                     <stredisko>code:<xsl:value-of select="Stredisko"/></stredisko>
                     <kopStred>false</kopStred>

                     <zklMdUcet>code:<xsl:value-of select="Ucet"/></zklMdUcet>
                     <kopZklMdUcet>false</kopZklMdUcet>

                     <zklDalUcet>code:<xsl:value-of select="UcetDAL"/></zklDalUcet>
                     <kopZklDalUcet>false</kopZklDalUcet>

                     <typUcOp>code:<xsl:value-of select="Predpis"/></typUcOp>
                     <kopTypUcOp>false</kopTypUcOp>

                     <sarze><xsl:value-of select="Sarze"/></sarze>
                     <expirace><xsl:value-of select="java:flexibee.Tool.parseDate(Expirace, 'd.M.y')"/></expirace>
                </skladovy-pohyb-polozka>
           </skladovePolozky>
       </skladovy-pohyb>
    </xsl:template>

</xsl:stylesheet>
